/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace gov.va.med.imaging.exchange.VixInstaller.ui
{
    /// <summary>
    /// Note that this class would be abstract, except that that would prevent the Visual Studio designer from
    /// working properly. This class is the base class for all interior wizard pages. It contributes a header bar at the
    /// top of the user control.
    /// </summary>
    public partial class InteriorWizardPage : WizardPage
    {
        protected InteriorWizardPage()
        {
            InitializeComponent();
        }

        protected InteriorWizardPage(IWizardForm wizForm, int pageIndex)
            : base(wizForm, pageIndex)
        {
            InitializeComponent();

        }

        #region protected properties
        protected String InteriorPageHeader
        {
            get { return this.textBoxInteriorHeader.Text; }
            set
            {
                if (value != null)
                {
                    this.textBoxInteriorHeader.Text = value;
                }
            }
        }

        protected String InteriorPageSubHeader
        {
            get { return this.textBoxInteriorSubHeader.Text; }
            set
            {
                if (value != null)
                {
                    this.textBoxInteriorSubHeader.Text = value;
                }
            }
        }
        #endregion
    }
}
