/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace gov.va.med.imaging.exchange.VixInstaller.ui
{
    public partial class LaurelBridgeInfoDialog : Form
    {
        public String LicensePath
        {
            get { return this.textBoxLicenseFile.Text; }
        }

        public LaurelBridgeInfoDialog()
        {
            InitializeComponent();
        }

        private void LaurelBridgeInfoDialog_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.ClearErrors();

            if (this.DialogResult == DialogResult.OK)
            {
                if (this.textBoxLicenseFile.Text.Length == 0)
                {
                    this.errorProvider.SetError(this.textBoxLicenseFile, "You must select the License file.");
                    this.labelErrorInfo.Visible = true;
                    e.Cancel = true;
                }
            }
        }

        private void buttonLicenseFile_Click(object sender, EventArgs e)
        {
            DialogResult result = this.openLicenseFileDialog.ShowDialog();
            if (result == DialogResult.OK)
            {
                this.textBoxLicenseFile.Text = this.openLicenseFileDialog.FileName;
                this.ClearErrors();
            }
        }

        private void ClearErrors()
        {
            this.labelErrorInfo.Visible = false;
            this.errorProvider.Clear();
        }

    }
}
