/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
namespace gov.va.med.imaging.exchange.VixInstaller.business
{
    public interface IVixConfigurationParameters
    {
        string TomcatAdminPassword { get; set; }
        string BiaPassword { get; set; }
        string BiaUsername { get; set; }
        string ConfigDir { get; set; }
        string FederationKeystorePassword { get; set; }
        string FederationTruststorePassword { get; set; }
        bool HasLocalDodConfiguration();
        bool IsNewVixInstallation();
        string LocalCacheDir { get; set; }
        string LocalDodPassword { get; set; }
        string LocalDodServer { get; set; }
        string LocalDodServerPort { get; set; }
        string LocalDodSiteNumber { get; set; }
        string LocalDodUsername { get; set; }
        string NetworkFileShare { get; set; }
        string NetworkFileSharePassword { get; set; }
        string NetworkFileShareUsername { get; set; }
        string PreviousProductVersionProp { get; set; }
        string ProductVersionProp { get; set; }
        string SiteAbbreviation { get; set; }
        string SiteName { get; set; }
        string SiteNumber { get; set; }
        string SiteServiceUri { get; set; }
        void ToXml();
        string VistaServerName { get; set; }
        string VistaServerPort { get; set; }
        VixCacheType VixCacheOption { get; set; }
        int VixCacheSize { get; set; }
        //string VixCertificateInstallZipFilespec { get; set; }
        VixDeploymentType VixDeploymentOption { get; }
        bool AreBothNodesInstalled();
        bool AreBothNodesUpdated();
        string GetOtherNode();
        //bool IsPatch90orPatch101Installed { get; set; }
        string ApacheTomcatPassword { get; set; }
        VixRoleType VixRole { get; set; }
        bool IsPatch { get; set; }
        string VdigAccessor { get; set; }
        string VdigVerifier { get; set; }
        string DicomImageGatewayServer { get; set; }
        string DicomImageGatewayPort { get; set; }
        bool HasDicomConfiguration();
        //string DivisionNumber { get; set; }
        bool DicomListenerEnabled { get; set; }
        bool ArchiveEnabled { get; set; }
        bool IconGenerationEnabled { get; set; }
        string SitesFile { get; set; }
        string BhieUserName { get; set; }
        string BhiePassword { get; set; }
        string BhieProtocol { get; set; }
        string HaimsUserName { get; set; }
        string HaimsPassword { get; set; }
        string HaimsProtocol { get; set; }
        string NcatUserName { get; set; }
        string NcatPassword { get; set; }
        string NcatProtocol { get; set; }
        bool HasXcaConfiguration();
        int XcaConnectorPort { get; set; }
        int HttpConnectorPort { get; set; }
        string Station200UserName { get; set; }
        string VixServerNameProp { get; }
        bool UseOpenSslForXCAConnector { get; set; }
        string RenamedDeprecatedDcfRoot { get; set; }
        string NotificationEmailAddresses { get; set; }
        string RoiAccessor { get; set; }
        string RoiVerifier { get; set; }
        bool HasRoiConfiguration();
        bool IsLaurelBridgeRequired { get; }
    }
}
