/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Dec 16, 2011
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.webservices.commands.v2;

import gov.va.med.imaging.awiv.translator.AWIVTranslatorV2;
import gov.va.med.imaging.awiv.webservices.commands.AbstractAwivGetImageAnnotationDetailsCommand;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.exchange.business.annotations.ImageAnnotationDetails;
import gov.va.med.imaging.exchange.translation.exceptions.TranslationException;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivGetImageAnnotationDetailsCommandV2
extends AbstractAwivGetImageAnnotationDetailsCommand<gov.va.med.imaging.awiv.webservices.soap.v2.AnnotationDetailsType>
{
	
	public AwivGetImageAnnotationDetailsCommandV2(String transactionId,
			gov.va.med.imaging.awiv.webservices.soap.v2.UserCredentialsType credentials, 
			String imageId, String annotationId)
	{
		super(imageId, annotationId);
		AwivCommandCommonV2.setTransactionContext(credentials, transactionId);
	}

	@Override
	protected gov.va.med.imaging.awiv.webservices.soap.v2.AnnotationDetailsType translateRouterResult(
			ImageAnnotationDetails routerResult) 
	throws TranslationException, MethodException
	{
		return AWIVTranslatorV2.translate(routerResult);
	}

	@Override
	protected Class<gov.va.med.imaging.awiv.webservices.soap.v2.AnnotationDetailsType> getResultClass()
	{
		return gov.va.med.imaging.awiv.webservices.soap.v2.AnnotationDetailsType.class;
	}

	@Override
	public String getInterfaceVersion()
	{
		return AwivCommandCommonV2.awivV2InterfaceVersion;
	}

	@Override
	public Integer getEntriesReturned(gov.va.med.imaging.awiv.webservices.soap.v2.AnnotationDetailsType translatedResult)
	{
		return translatedResult == null ? 0 : 1;
	}

}
