/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jan 27, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.business;

import java.io.Serializable;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivImage
implements Serializable
{

	private static final long serialVersionUID = -1274699428051360047L;
	
	private String imageIdentifier;
	private int imageType;
	private String absLocation;
	private String fullLocation;
	
	
	public AwivImage()
	{
		super();
	}

	public AwivImage(String imageIdentifier, int imageType, String absLocation,
			String fullLocation)
	{
		super();
		this.imageIdentifier = imageIdentifier;
		this.imageType = imageType;
		this.absLocation = absLocation;
		this.fullLocation = fullLocation;
	}

	/**
	 * @return the imageIdentifier
	 */
	public String getImageIdentifier()
	{
		return imageIdentifier;
	}

	/**
	 * @param imageIdentifier the imageIdentifier to set
	 */
	public void setImageIdentifier(String imageIdentifier)
	{
		this.imageIdentifier = imageIdentifier;
	}

	public int getImageType()
	{
		return imageType;
	}

	public void setImageType(int imageType)
	{
		this.imageType = imageType;
	}

	public String getAbsLocation()
	{
		return absLocation;
	}

	public void setAbsLocation(String absLocation)
	{
		this.absLocation = absLocation;
	}

	public String getFullLocation()
	{
		return fullLocation;
	}

	public void setFullLocation(String fullLocation)
	{
		this.fullLocation = fullLocation;
	}
}
