/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: 
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.client;

import gov.va.med.imaging.awiv.business.AwivMeansTestResult;
import gov.va.med.imaging.awiv.business.AwivPatientSensitivity;
import gov.va.med.imaging.awiv.business.Patient;
import com.google.gwt.user.client.rpc.AsyncCallback;

public interface PatientLookupServiceAsync 
{
	/**
	 * Search for a patient 
	 * @param transactionId
	 * @param siteNumber
	 * @param searchString
	 * @throws AwivMethodException
	 * @throws AwivConnectionException
	 */
	public void search(String transactionId, String siteNumber, String searchString, AsyncCallback<Patient[]> callback);
	
	/**
	 * Get information about a patient
	 * @param transactionId
	 * @param siteNumber
	 * @param patientIcn
	 * @throws AwivMethodException
	 * @throws AwivConnectionException
	 */
	public void getPatientInformation(String transactionId, String siteNumber, String patientIcn, AsyncCallback<Patient> callback);
	
	/**
	 * Get the sensitivity level of the specified patient
	 * @param transactionId
	 * @param siteNumber
	 * @param patientIcn
	 * @throws AwivMethodException
	 * @throws AwivConnectionException
	 */
	public void getPatientSensitivity(String transactionId, String siteNumber, String patientIcn, AsyncCallback<AwivPatientSensitivity> callback);
	
	/**
	 * Log access to sensitive patients
	 * 
	 */
	public void logPatientSensitiveAccess(String transactionId, String siteNumber, String patientIcn, AsyncCallback<Boolean> callback);
	
	public void getPatientMeansTest(String transactionId, String siteNumber, String patientIcn, AsyncCallback<AwivMeansTestResult> callback);
}
