/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/*
 * Copyright 2011 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package gov.va.med.imaging.awiv.client;

import gov.va.med.imaging.awiv.business.AwivArtifactResults;
import gov.va.med.imaging.awiv.business.AwivStudyDetails;
import gov.va.med.imaging.awiv.exceptions.AwivConnectionException;
import gov.va.med.imaging.awiv.exceptions.AwivInsufficientPatientSensitivityException;
import gov.va.med.imaging.awiv.exceptions.AwivMethodException;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

@RemoteServiceRelativePath("PatientStudyService")
public interface PatientStudyService 
extends RemoteService 
{
	/**
	 * Utility class for simplifying access to the instance of async service.
	 */
	public static class Util {
		private static PatientStudyServiceAsync instance;
		public static PatientStudyServiceAsync getInstance(){
			if (instance == null) {
				instance = GWT.create(PatientStudyService.class);
			}
			return instance;
		}
	}
	
	public AwivArtifactResults getPatientStudies(String transactionId, String patientIcn, String routingTokenString, 
			int maximumAllowedSensitivity, String cls)
	throws AwivConnectionException, AwivMethodException, AwivInsufficientPatientSensitivityException;
	
	public String getStudyReport(String transactionId, String studyIdentifier)
	throws AwivConnectionException, AwivMethodException;
	
	public AwivStudyDetails getStudyDetails(String transactionId, String studyIdentifier)
	throws AwivConnectionException, AwivMethodException;
	
	public String getStudyInformation(String transactionId, String studyIdentifier)
	throws AwivConnectionException, AwivMethodException;
	
}
