/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Feb 6, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.exceptions;

import java.io.Serializable;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivInsufficientPatientSensitivityException
extends Exception
implements Serializable
{
	private static final long serialVersionUID = 5827605972132838040L;
	
	private int code;
	private String warningMessage;
	
	public AwivInsufficientPatientSensitivityException()
	{
		super();
	}

	/**
	 * @param code
	 * @param warningMessage
	 */
	public AwivInsufficientPatientSensitivityException(int code,
			String warningMessage)
	{
		super();
		this.code = code;
		this.warningMessage = warningMessage;
	}

	/**
	 * @return the code
	 */
	public int getCode()
	{
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(int code)
	{
		this.code = code;
	}

	/**
	 * @return the warningMessage
	 */
	public String getWarningMessage()
	{
		return warningMessage;
	}

	/**
	 * @param warningMessage the warningMessage to set
	 */
	public void setWarningMessage(String warningMessage)
	{
		this.warningMessage = warningMessage;
	}
}
