/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.exchange.business.taglib.artifactsource;

import gov.va.med.imaging.artifactsource.ResolvedArtifactSource;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.Tag;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * @author zzzzzzbeckec
 *
 */
public class ResolvedArtifactSourceCollectionElementTag
extends AbstractResolvedArtifactSourceTag
{
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 * @param subject
	 * @return
	 */
	protected AbstractResolvedArtifactSourceCollectionTag getParentResolvedArtifactSourceCollectionTag()
	{
		return (AbstractResolvedArtifactSourceCollectionTag)
			TagSupport.findAncestorWithClass(this, AbstractResolvedArtifactSourceCollectionTag.class);
	}

	/**
	 * 
	 * @return
	 * @throws JspException
	 */
	@Override
	protected ResolvedArtifactSource getResolvedArtifactSource() 
	throws JspException
	{
		AbstractResolvedArtifactSourceCollectionTag resolvedArtifactSourceCollectionTag = 
			getParentResolvedArtifactSourceCollectionTag();
		if(resolvedArtifactSourceCollectionTag == null)
			throw new JspException("A ResolvedArtifactSourceCollectionElement tag does not have an ancestor ResolvedArtifactSourceCollection tag.");
		
		ResolvedArtifactSource resolvedArtifactSource = 
			resolvedArtifactSourceCollectionTag.getCurrentResolvedArtifactSource();
		
		if(resolvedArtifactSource == null)
			throw new JspException("A ResolvedArtifactSourceProperty tag was unable to get the ResolvedArtifactSource from its parent tag.");
		
		return resolvedArtifactSource;
	}
	
}
