/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.taglib.series;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import gov.va.med.imaging.exchange.business.Image;
import gov.va.med.imaging.exchange.business.Series;
import gov.va.med.imaging.exchange.business.taglib.image.AbstractImageCollectionTag;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

public class SeriesImageCollectionTag 
extends AbstractImageCollectionTag
{
	private static final long serialVersionUID = 1L;

	private AbstractSeriesTag getParentSeriesTag()
	throws JspException
	{
		try
        {
	        return (AbstractSeriesTag)TagSupport.findAncestorWithClass(this, AbstractSeriesTag.class);
        } 
		catch (ClassCastException e)
        {
			throw new JspException("SeriesImageCollectionTag must have an ancestor  of type AbstractSeriesTag");
        }
	}
	
	protected Series getSeries()
	throws JspException
	{
		return getParentSeriesTag().getSeries();
	}

	@Override
    protected Collection<Image> getImageCollection() 
    throws JspException
    {
		List<Image> images = new ArrayList<Image>();
		for(Image image : getSeries())
			images.add(image);
	    return images;
    }

}
