/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.taglib.study;

import gov.va.med.imaging.exchange.business.Series;
import gov.va.med.imaging.exchange.business.Study;
import gov.va.med.imaging.exchange.business.taglib.series.AbstractSeriesCollectionTag;

import java.util.Collection;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * This class is a concrete implementation of AbstractSeriesCollectionTag
 * where this tag is within an AbstractStudyTag element.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class StudySeriesCollectionTag 
extends AbstractSeriesCollectionTag
{
	private static final long serialVersionUID = 1L;

	private AbstractStudyTag getParentStudyTag()
	throws JspException
	{
		try
        {
			return (AbstractStudyTag)TagSupport.findAncestorWithClass(this, AbstractStudyTag.class);
        } 
		catch (ClassCastException e)
        {
			throw new JspException("StudySeriesCollectionTag must have an ancestor of type AbstractStudyTag");
        }
	}
	
	protected Study getStudy()
	throws JspException
	{
		return getParentStudyTag().getBusinessObject();
	}

	@Override
    protected Collection<Series> getSeriesCollection() 
    throws JspException
    {
	    return getStudy() == null ? null : getStudy().getSeries();
    }

}
