/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/*
 * Originally HttpHeaderModifier.java 
 * created on Nov 19, 2004 @ 2:42:10 PM
 * by Chris Beckey mailto:c.beckey@seetab.com
 *
 */
package gov.va.med.imaging.http;

import gov.va.med.imaging.http.exceptions.HttpHeaderParseException;

/**
 * @author Chris Beckey mailto:c.beckey@seetab.com
 * @since Nov 19, 2004 2:42:10 PM
 *
 * A class to represent generic name/value pairs in Http Header Accept element.
 * This class is a simple subclass of the HttpParameter class, providing nothing
 * more than a type specific to Accept elements.
 */
public class AcceptParameter
extends HttpParameter
{
	/**
	 * Takes any String in a format: name"="value and parses it into a name/value
	 * pair.
	 * @param modifier
	 * @return
	 */
	public static AcceptParameter parseAcceptParameter(String parameter)
	throws HttpHeaderParseException
	{
		AcceptParameter newParameter = new AcceptParameter();
		newParameter.parse(parameter);
		
		return newParameter;
	}
	
	protected AcceptParameter()
	{
		super();
	}

	/**
	 * Type checking equals implementation
	 */
	public boolean equals(Object obj)
	{
		if(obj instanceof AcceptParameter)		// more specific type checking
			return super.equals(obj);
		else
			return false;
	}
}
