/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.system;

import java.util.Iterator;
import java.util.Map;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTag;
import javax.servlet.jsp.tagext.BodyTagSupport;

/**
 * An abstract tag element for display Map<String, String>
 * 
 * @author ZZZZZZBECKEC
 *
 */
public abstract class AbstractMapElement 
extends BodyTagSupport
{
	private static final long serialVersionUID = 1L;
	private Map<String, String> displayMap;
	private Iterator<String> keySetIterator;
	private String currentKey = null;
	private String currentValue = null;

	public AbstractMapElement()
	{
		super();
	}

	protected abstract Map<String, String> getDisplayMap();
	
	@Override
    public int doStartTag() throws JspException
    {
    	displayMap = getDisplayMap();
    	if(displayMap != null && !displayMap.isEmpty())
    	{
    		keySetIterator = displayMap.keySet().iterator();
    		return setIterator() ? BodyTag.EVAL_BODY_INCLUDE : BodyTag.SKIP_BODY;
    	}
        return BodyTag.SKIP_BODY;
    }

	@Override
    public int doAfterBody() throws JspException
    {
    	return setIterator() ? BodyTag.EVAL_BODY_AGAIN : BodyTag.SKIP_BODY;
    }

	private boolean setIterator()
    {
    	if(keySetIterator.hasNext())
    	{
    		Object key = keySetIterator.next();
    		currentKey = key.toString();
    		currentValue = displayMap.get(currentKey);
    		return true;
    	}
    	else
    	    return false;
    }

	public String getCurrentKey()
    {
    	return currentKey;
    }

	public String getCurrentValue()
    {
    	return currentValue;
    }

}
