/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jan 11, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.translator;

import gov.va.med.imaging.exchange.business.documents.Document;
import gov.va.med.imaging.exchange.enums.VistaImageType;
import gov.va.med.imaging.webservices.clinical.AbstractClinicalWebAppConfiguration;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public abstract class AbstractClinicalTranslator
{
	public final static String cannedDoDAbstract = ".\\BMP\\DOD_Doc.bmp";
	public final static String annotationDateFormat = "MMM dd, yyyy@kk:mm:ss";
	
	protected final static String ncatRepositoryId = "2.16.840.1.113883.3.198.1";
	
	protected static VistaImageType getImageType(AbstractClinicalWebAppConfiguration configuration, Document document)
	{
		if(ncatRepositoryId.equals(document.getRepositoryId()))
		{
			return VistaImageType.NCAT;
		}
		
		VistaImageType vistaImageType = 
			configuration.getVistaImageType(document.getMediaType());	
		return vistaImageType;
		
	}
}
