/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.wado.query;

enum ComplianceType
{
	WADO("Enforces strict WADO compliance."), 
	VA("Enforces VA-WADO compliance checking."), 
	XCHANGE("Enforces VA-XChange compliance checking."),
	FEDERATION("Enforced VA ViX to ViX Federation compliance checking"),
	ACCELERATOR("Enforce VA ViX to ViX image only compliance checking for retrieving images from a Jukebox"),
	NONE("No compliance checking or default value implementation."),
	CDTP("Compliance for request from Clinical Display"),
	VRTP("Compliance for request from VistARad"),
	PATCH83_VFTP("Patch 83 Federation");
	
	private String description;
	ComplianceType(String description)
	{
		this.description = description;
	}
	
	public String getDescription()
	{
		return description;
	}
}
