/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.webapp;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.log4j.Logger;
import org.springframework.web.context.ContextLoader;
import org.springframework.web.context.WebApplicationContext;

public class ImageExchangeApplicationContextServletContextListener 
implements ServletContextListener
{
	private ServletContext context = null;
	private static Logger log = Logger.getLogger(ImageExchangeApplicationContextServletContextListener.class);

	public void contextInitialized(ServletContextEvent event)
	{
		log.info("ImageExchangeApplicationContextServletContextListener.contextInitialized() begin.");
		context = event.getServletContext();
		String configLocation = context.getInitParameter(ContextLoader.CONFIG_LOCATION_PARAM);
		
		String[] contexts = configLocation.split("[ ,]");
		log.info("ImageExchangeApplicationContextServletContextListener.contextInitialized() loading from '" + configLocation + "'");
		
		ImageExchangeApplicationContext applicationContext = ImageExchangeApplicationContext.getSingleton(contexts);
		
		context.setAttribute(WebApplicationContext.ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, applicationContext);
		log.info("ImageExchangeApplicationContext available in servlet context attribute '" + WebApplicationContext.ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE + "'.");
		log.info("ImageExchangeApplicationContextServletContextListener.contextInitialized() complete.");
	}
	
	public void contextDestroyed(ServletContextEvent event)
	{
		log.info("ImageExchangeApplicationContextServletContextListener.contextDestroyed() begin.");
		context.setAttribute(WebApplicationContext.ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, null);
		context = null;
		log.info("ImageExchangeApplicationContextServletContextListener.contextDestroyed() complete.");
	}

}
