/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache;

import gov.va.med.imaging.storage.cache.exceptions.CacheException;
import gov.va.med.imaging.storage.cache.memento.EvictionStrategyMemento;

/**
 * 
 * 
 */
public interface EvictionStrategy
{
	/**
	 * <p>
	 * Does ...
	 * </p>
	 * 
	 * 
	 * @return
	 */
	public String getName();

	/**
	 * <p>
	 * Does ...
	 * </p>
	 * 
	 * 
	 * @param region
	 */
	public void addRegion(gov.va.med.imaging.storage.cache.Region region);

	/**
	 * <p>
	 * Does ...
	 * </p>
	 * 
	 * 
	 * @param region
	 */
	public void removeRegion(gov.va.med.imaging.storage.cache.Region region);
	
	/**
	 * Return a String array of the managed region names.
	 * This is intended for monitoring only.
	 */
	public abstract String[] getRegionNames();
	
	/**
	 * Once initialized an EvictionStrategy should never be uninitialized.
	 * An exception throw in setInitialized() will result in an initialization failure
	 * of the enclosing Cache.
	 */
	public abstract boolean isInitialized();
	
	public abstract void setInitialized(boolean initialized)
	throws CacheException;
	
	/**
	 * Create and return a serializable representation of the state of the EvictionStrategy.
	 * The instance returned here must be usable in a static create() method in the EvictionStrategy
	 * such that the newly created EvictionStrategy is functionally identical to the source of the
	 * EvictionStrategyMemento.
	 * The EvictionStrategyMemento does NOT include the managed Regions.
	 * @return
	 */
	public EvictionStrategyMemento createMemento();
}
