/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

public abstract class CacheException 
extends Exception
{
	public final static String defaultMessage = 
		"A generic cache exception has occured." + 
		"Actually this message should never be seen, something more specific (and useful) should take its place";

	protected static String createInstanceMessage(String regionName, String[] groups, String instance)
	{
		StringBuilder sb = new StringBuilder();
		
		sb.append( regionName + ":" );
		for(String group:groups)
			sb.append(group + ".");
		sb.append(instance);
		
		return sb.toString();
	}
	
	
	public CacheException()
	{
		super(defaultMessage);
	}

	public CacheException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public CacheException(String message)
	{
		super(message);
	}

	public CacheException(Throwable cause)
	{
		super(defaultMessage, cause);
	}
}
