/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

public class CacheInterruptedException 
extends CacheException
{
	private static final long serialVersionUID = 6734169682884263186L;
	public final static String defaultMessage = 
		"A cache thread was interrupted while waiting for another cache thread to finish a dependency operation." + 
		"The cache does not interrupt its own threads so this indicates an external interrupt, perhaps the server shutting down.";
	
	public CacheInterruptedException()
	{
		super(defaultMessage);
	}

	public CacheInterruptedException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public CacheInterruptedException(String message)
	{
		super(message);
	}

	public CacheInterruptedException(Throwable cause)
	{
		super(defaultMessage, cause);
	}

}
