/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

import gov.va.med.imaging.storage.cache.Messages;

public class GroupDoesNotExistException 
extends CacheException
{
	private static final long serialVersionUID = 6085338776034331995L;

	private static String makeMessage(String regionName, String group)
	{
		return Messages.getString("GroupDoesNotExistException.0") + group + 
			Messages.getString("GroupDoesNotExistException.1") + regionName + 
			Messages.getString("GroupDoesNotExistException.2"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
	}
	
	public GroupDoesNotExistException(String regionName, String group)
	{
		super(makeMessage(regionName, group));
	}
	
	public GroupDoesNotExistException(String regionName, String group, Throwable cause)
	{
		super(makeMessage(regionName, group), cause);
	}
	
	public GroupDoesNotExistException()
	{
	}

	public GroupDoesNotExistException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public GroupDoesNotExistException(String message)
	{
		super(message);
	}

	public GroupDoesNotExistException(Throwable cause)
	{
		super(cause);
	}

}
