/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

/**
 * InstanceInaccessibleException is thrown when an Instance exists in cache but is not available for access. 
 * This probably means that a writer has not closed the channel yet and we have either time out waiting for it or
 * have been interrupted while waiting for it.
 * 
 * @see gov.va.med.imaging.storage.cache.exceptions.InstanceUnavailableException
 * 
 * @author ZZZZZZBECKEC
 * 
 * This class needs to be renamed to, maybe, InstanceWritableChannelOpenException
 *
 */
public class InstanceInaccessibleException 
extends TransientCacheException
{
	private static final long serialVersionUID = -1859055142704500911L;
	public final static String defaultMessage = 
		"InstanceInaccessibleException is thrown when an Instance exists in cache but is not available for access. \n" +  
		"This probably means that a writer has not closed the channel yet and we have either time out waiting for it or \n" +
		"have been interrupted while waiting for it.";

	public InstanceInaccessibleException(String regionName, String[] groups, String instance)
	{
		super(createInstanceMessage(regionName, groups, instance));
	}
	
	public InstanceInaccessibleException(String regionName, String[] groups, String instance, Throwable cause)
	{
		super(createInstanceMessage(regionName, groups, instance), cause);
	}
	
	public InstanceInaccessibleException()
	{
		super(defaultMessage);
	}

	public InstanceInaccessibleException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public InstanceInaccessibleException(String message)
	{
		super(message + " - " + defaultMessage);
	}

	public InstanceInaccessibleException(Throwable cause)
	{
		super(cause.getMessage());
	}

	/**
	 * @param name
	 * @param l
	 */
	public InstanceInaccessibleException(String name, long waitTime, int secondsToWait)
	{
		super(name + "-" + defaultMessage + " Waited for " + waitTime + " milliseconds.  Instance is configured to wait " + secondsToWait + " seconds.");
	}

}
