/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.exceptions;

/**
 * @author ZZZZZZBECKEC
 * 
 * An exception that is thrown to indicate that a persistent copy of an instance or group
 * is not readable or writable.  For file based persistence instances of this class should be 
 * constructed using the single, Throwable, arg constructor wrapping an IOException instance.  
 */
public class PersistenceIOException 
extends PersistenceException
{
	private static final long serialVersionUID = 7266004726024496915L;

	public PersistenceIOException()
	{
		super();
	}

	public PersistenceIOException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public PersistenceIOException(String message)
	{
		super(message);
	}

	public PersistenceIOException(Throwable cause)
	{
		super(cause);
	}

}
