/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

import gov.va.med.imaging.storage.cache.Messages;

public class RegionDoesNotExistException 
extends CacheException
{
	private static final long serialVersionUID = 805476869215996877L;

	private static String makeMessage(String regionName)
	{
		return Messages.getString("RegionDoesNotExistException.0") + regionName + 
			Messages.getString("RegionDoesNotExistException.1"); 
	}
	
	public RegionDoesNotExistException(String regionName, boolean msgIsRegion)		// boolean msgIsRegion differentiates from msg
	{
		super(makeMessage(regionName));
	}
	
	public RegionDoesNotExistException(String regionName, Throwable cause, boolean msgIsRegion)
	{
		super(makeMessage(regionName), cause);
	}
	
	public RegionDoesNotExistException()
	{
		super();
	}

	public RegionDoesNotExistException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public RegionDoesNotExistException(String message)
	{
		super(message);
	}

	public RegionDoesNotExistException(Throwable cause)
	{
		super(cause);
	}

}
