/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.exceptions;

public class SimultaneousWriteException 
extends CacheException
{
	private static final long serialVersionUID = -6297213885922714932L;
	public final static String defaultMessage = 
		"Two cache threads are attempting to open the same cache instance for writing." + 
		"This thread should cease its source read and open the cache copy for read." + 
		"The open operation on the read will be properly synchronized by the cache.";
	
	public SimultaneousWriteException()
	{
		super(defaultMessage);
	}

	public SimultaneousWriteException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public SimultaneousWriteException(String instanceName)
	{
		super(instanceName + defaultMessage);
	}

	public SimultaneousWriteException(Throwable cause)
	{
		super(defaultMessage, cause);
	}

}
