/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.exceptions;

/**
 * A subclass of CacheException for exceptions that may be transient.
 * When an exception of this type is thrown the client may reasonably retry the operation
 * with some expectation of success.
 * By implication, cache exceptions that are not derived from this class should not be
 * retriead as the result will be the same.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class TransientCacheException 
extends CacheException
{
	private static final long serialVersionUID = -1661188055942877780L;

	/**
	 * 
	 */
	public TransientCacheException()
	{
	}

	/**
	 * @param message
	 * @param cause
	 */
	public TransientCacheException(String message, Throwable cause)
	{
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public TransientCacheException(String message)
	{
		super(message);
	}

	/**
	 * @param cause
	 */
	public TransientCacheException(Throwable cause)
	{
		super(cause);
	}

}
