/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.impl.eviction;

/**
 * @author ZZZZZZBECKEC
 *
 */
public interface StorageThresholdEvictionStrategyMBean
{

	public abstract long getDelay();

	public abstract long getInterval();

	/**
	 * Get the minimum free space threshold.  Once the free space falls below
	 * this level the eviction strategy will evict the LRU files until the
	 * free space is greater than targetFreeSpaceThreshold.
	 * minFreeSpaceThreshold can be changed at runtime, but the
	 * change will not be effective until the next sweep.
	 * minFreeSpaceThreshold must be less than or equal to targetFreeSpaceThreshold.
	 * It is recommended that minFreeSpaceThreshold be significantly less than 
	 * targetFreeSpaceThreshold to avoid many sweep invocations (which require
	 * traversing the files in the regions).
	 * @return
	 */
	public abstract long getMinFreeSpaceThreshold();

	/**
	 * @see #getMinFreeSpaceThreshold()
	 */
	public abstract void setMinFreeSpaceThreshold(long minFreeSpaceThreshold);

	/**
	 * @see #getMinFreeSpaceThreshold()
	 * @return
	 */
	public abstract long getTargetFreeSpaceThreshold();

	/**
	 * @see #getMinFreeSpaceThreshold()
	 */
	public abstract void setTargetFreeSpaceThreshold(long targetFreeSpaceThreshold);

	/**
	 * 
	 * @return
	 */
	public abstract long getMaxUsedSpaceThreshold();

	/**
	 * 
	 * @param maxUsedSpaceThreshold
	 */
	public abstract void setMaxUsedSpaceThreshold(long maxUsedSpaceThreshold);
	
}
