/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.impl.eviction;

/**
 * A simple value object that encapsulates statistics from an eviction sweep.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class SweepStatistics
{
	private long sweepTime;
	private int totalEvictedGroups;
	
	/**
	 * The defualt constructor is usually used to build a summary
	 * SweepStatistics instance.
	 */
	public SweepStatistics()
	{
		this.sweepTime = 0L;
		this.totalEvictedGroups = 0;
	}

	/**
	 * 
	 * @param sweepTime
	 * @param totalEvictedGroups
	 */
	public SweepStatistics(long sweepTime, int totalEvictedGroups)
	{
		super();
		this.sweepTime = sweepTime;
		this.totalEvictedGroups = totalEvictedGroups;
	}

	public long getSweepTime()
	{
		return this.sweepTime;
	}

	public int getTotalEvictedGroups()
	{
		return this.totalEvictedGroups;
	}
	
	/**
	 * Add the total evicted groups from the given SweepStatistics to this
	 * instance.  Set the sweep time to the minimum of this instance and the
	 * given instance.
	 * 
	 * @param sweepStatistics
	 */
	public void add(SweepStatistics sweepStatistics)
	{
		this.totalEvictedGroups += sweepStatistics.getTotalEvictedGroups();
		this.sweepTime = Math.min(this.getSweepTime(), sweepStatistics.getSweepTime());
	}
}
