/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.memento;

import java.io.Serializable;
import java.util.List;

/**
 * This class is the container for serializing and deserializing configuration strategies
 * for caches.  A configuration strategy is the definition of the regions and eviction
 * strategies that a cache should have.
 * 
 * The region and eviction strategies may be implementation specific but that should be
 * avoided if possible.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class CacheConfigurationMemento 
implements Serializable
{
	private static final long serialVersionUID = -1612861631046608357L;
	private List<? extends EvictionStrategyMemento> evictionStrategyMementoes;
	private List<? extends RegionMemento> regionMementoes;
	
	/**
	 * Required public no-arg constructor
	 */
	public CacheConfigurationMemento()
	{
	}

	public CacheConfigurationMemento(List<? extends EvictionStrategyMemento> evictionStrategyMementoes, List<? extends RegionMemento> regionMementoes)
	{
		super();
		this.evictionStrategyMementoes = evictionStrategyMementoes;
		this.regionMementoes = regionMementoes;
	}

	public List<? extends EvictionStrategyMemento> getEvictionStrategyMementoes()
	{
		return this.evictionStrategyMementoes;
	}

	public void setEvictionStrategyMementoes(List<? extends EvictionStrategyMemento> evictionStrategyMementoes)
	{
		this.evictionStrategyMementoes = evictionStrategyMementoes;
	}

	public List<? extends RegionMemento> getRegionMementoes()
	{
		return this.regionMementoes;
	}

	public void setRegionMementoes(List<? extends RegionMemento> regionMementoes)
	{
		this.regionMementoes = regionMementoes;
	}
	
	
}
