/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.memento;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author ZZZZZZBECKEC
 *
 */
public abstract class CacheMemento
implements Serializable
{
	private static final long serialVersionUID = -75707646507196869L;
	private String name;
	private String locationUri;			// stored as a String but really a URI in the cache implementations
	private boolean enabled;
	private boolean initialized;
	private ByteChannelFactoryMemento byteChannelFactoryMemento = null;
	private EvictionTimerMemento evictionTimerMemento;
	private List<? extends EvictionStrategyMemento> evictionStrategyMementos = new ArrayList<EvictionStrategyMemento>();
	
	public String getName()
	{
		return this.name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String getLocationUri()
	{
		return this.locationUri;
	}

	public void setLocationUri(String locationUri)
	{
		this.locationUri = locationUri;
	}

	public boolean isInitialized()
	{
		return this.initialized;
	}

	public void setInitialized(boolean initialized)
	{
		this.initialized = initialized;
	}

	public boolean isEnabled()
	{
		return this.enabled;
	}

	public void setEnabled(boolean enabled)
	{
		this.enabled = enabled;
	}

	public ByteChannelFactoryMemento getByteChannelFactoryMemento()
	{
		return this.byteChannelFactoryMemento;
	}
	
	public void setByteChannelFactoryMemento(ByteChannelFactoryMemento byteChannelConfiguration)
	{
		this.byteChannelFactoryMemento = byteChannelConfiguration;
	}
	
	public void setEvictionTimerMemento(EvictionTimerMemento memento)
	{
		this.evictionTimerMemento = memento;
	}
	
	public EvictionTimerMemento getEvictionTimerMemento()
	{
		return evictionTimerMemento;
	}

	public List<? extends EvictionStrategyMemento> getEvictionStrategyMementos()
	{
		return this.evictionStrategyMementos;
	}

	public void setEvictionStrategyMementos(List<? extends EvictionStrategyMemento> evictionStrategies)
	{
		this.evictionStrategyMementos = evictionStrategies;
	}
	
	public abstract List<? extends RegionMemento> getRegionMementos();
	public abstract void setRegionMementos(List<? extends RegionMemento> regionMementos);
}
