/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.memento;

import java.beans.XMLDecoder;
import java.io.InputStream;
import java.io.Serializable;
import java.util.Map;
import java.util.TreeMap;

public class EvictionTimerImplMemento
extends EvictionTimerMemento
implements Serializable
{
	private static final long serialVersionUID = -1226753608913657581L;
	
	public static EvictionTimerImplMemento createDefault()
	{
		EvictionTimerImplMemento memento = null;
		XMLDecoder decoder = null;
		
		InputStream inStream = EvictionTimerImplMemento.class.getClassLoader().getResourceAsStream("defaultEvictionTimerMemento.xml");
		if(inStream != null)
		{
			decoder = new XMLDecoder(inStream);
			
			memento = (EvictionTimerImplMemento)decoder.readObject();
			
			decoder.close();
		}
		
		return memento;
	}

	// map from the max age to the scheduled sweep time (as an interval specification)
	// the order of the Map is critical so assure that the order is preserved by
	// using a sorted Map instance
	private Map<Long, String> sweepIntervalMap = new TreeMap<Long, String>();
	
	public EvictionTimerImplMemento()
	{
		
	}
	
	public void addSweepInterval(Long max, String intervalSpecification)
	{
		sweepIntervalMap.put(max, intervalSpecification);
	}
	
	public Map<Long, String> getSweepIntervalMap()
	{
		return sweepIntervalMap;
	}
	
	public void setSweepIntervalMap(Map<Long, String> map)
	{
		sweepIntervalMap = map;
	}
}
