/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.impl.filesystem;

import gov.va.med.imaging.storage.cache.exceptions.RegionNotInitializedException;
import gov.va.med.imaging.storage.cache.impl.PersistentRegionMBean;

import java.io.File;

/**
 * @author ZZZZZZBECKEC
 *
 */
public interface FileSystemRegionMBean
extends PersistentRegionMBean
{
	/**
	 * Get the directory that this region is rooted at.
	 */
	public abstract File getRegionDirectory() throws RegionNotInitializedException;

	/**
	 * Get the available free space on the device where this region is persisted.
	 * Return -1 if the freespace cannot be calculated.
	 * NOTEL under JRE 1.5 and before this will always return -1, for JRE 1.6
	 * and later this should work correctly.
	 */
	public abstract long getFreeSpace();

}
