/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache.impl.filesystem.memento;

import gov.va.med.imaging.storage.cache.impl.memento.PersistentRegionMemento;
import gov.va.med.imaging.storage.cache.memento.CacheMemento;
import gov.va.med.imaging.storage.cache.memento.RegionMemento;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * This class contains all of the fields required to persist and recreate the Cache instance. 
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class FileSystemCacheMemento
extends CacheMemento
implements Serializable
{
	private static final long serialVersionUID = 1;
	
	public FileSystemCacheMemento() 
	{
	}

	private List<? extends RegionMemento> regionMementos = new ArrayList<PersistentRegionMemento>();
	public List<? extends RegionMemento> getRegionMementos()
	{
		return this.regionMementos;
	}
	
	public void setRegionMementos(List<? extends RegionMemento> regionMementos)
	{
		this.regionMementos = regionMementos;
	}
}
