/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.interactive;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import gov.va.med.imaging.storage.cache.impl.CacheManagerImpl;
import gov.va.med.interactive.CommandListCommandFactory;

/**
 * @author zzzzzzbeckec
 *
 */
public class InteractiveCacheCommandFactoryImpl
extends CommandListCommandFactory<CacheManagerImpl>
{
	/**
	 * Implement typical singleton pattern
	 */
	private static InteractiveCacheCommandFactoryImpl singleton;
	public static synchronized InteractiveCacheCommandFactoryImpl getSingleton()
	{
		if(singleton == null)
			try{singleton = new InteractiveCacheCommandFactoryImpl();}
			catch(Exception x){x.printStackTrace();}
		
		return singleton;
	}
	
	protected InteractiveCacheCommandFactoryImpl() 
	throws IOException, ClassNotFoundException, SecurityException, NoSuchMethodException, IllegalArgumentException, IllegalAccessException, InvocationTargetException
	{
		super();
	}
	
	@Override
	public String[] getCommandPackageNames()
	{
		return new String[]
		{
			"gov.va.med.interactive.commands",						// standard commands
			"gov.va.med.imaging.storage.cache.interactive.commands"	// application commands
		};
	}
}
