/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.interactive.commands;

import gov.va.med.imaging.storage.cache.Cache;
import gov.va.med.imaging.storage.cache.impl.CacheManagerImpl;
import gov.va.med.interactive.Command;
import gov.va.med.interactive.CommandParametersDescription;
import gov.va.med.interactive.CommandProcessor;

import java.net.URI;

public class CreateCommand 
extends Command<CacheManagerImpl>
{
	private static CommandParametersDescription[] commandParameters = new CommandParametersDescription[]
    {
 		new CommandParametersDescription(String.class, true), 	// cache name
 		new CommandParametersDescription(String.class, true),	// location URI
 		new CommandParametersDescription(String.class, false)	// prototype
 	};
 	
 	public static CommandParametersDescription[] getCommandParametersDescription()
 	{
 		return commandParameters;
 	}

	public CreateCommand (String[] commandParameterValues)
	{
		super(commandParameterValues);
	}

	public void processCommand(CommandProcessor commandProcessor, CacheManagerImpl cacheManager) 
	throws Exception
	{
		String[] parameters = this.getCommandParameterValues();
		
		String cacheName = parameters[0];
		URI locationUri = new URI(parameters[1]);
		String prototypeName = parameters.length >= 3 ? parameters[2] : null;
		
		Cache cache = cacheManager.createCache(cacheName, locationUri, prototypeName);
		
		cacheManager.setActiveCache(cache);
	}
}
