/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage;

import java.io.File;
import java.io.FileFilter;
import java.io.FilenameFilter;
import java.io.IOException;

import org.junit.Test;

import junit.framework.TestCase;


public class TestFileSystemAtomicity 
{
	public static final String DIRECTORY_PATH = "/test";
	public static final String FILE_NAME = "testfile.txt";
	
	@Test
	public void testFileCreateDelete() 
	throws IOException
	{
		File directory = new File(DIRECTORY_PATH);
		if( !directory.exists() )
			directory.mkdirs();
		
		File file = new File(directory, FILE_NAME);
		TestCase.assertTrue( !file.exists() );
		
		TestCase.assertTrue( file.createNewFile() );
		TestCase.assertTrue( file.exists() );
		
		TestCase.assertEquals(1, directory.listFiles(new MyFileFilter()).length);
		
		TestCase.assertTrue( file.delete() );
		TestCase.assertTrue( !file.exists() );

		TestCase.assertEquals(0, directory.listFiles(new MyFileFilter()).length);
	}

	class MyFileFilter 
	implements FileFilter
	{
		@Override
		public boolean accept(File instanceFile) 
		{
			return !instanceFile.isDirectory() 
				&& FILE_NAME.equals(instanceFile.getName())
				&& instanceFile.exists();
		}
	}
}
