/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache;

import gov.va.med.imaging.storage.cache.exceptions.CacheException;
import gov.va.med.imaging.storage.cache.impl.CacheFactory;

import java.net.URI;
import java.net.URISyntaxException;

import junit.framework.TestCase;

/**
 * @author ZZZZZZBECKEC
 *
 */
public abstract class AbstractCacheFactoryTest 
extends TestCase
{
	protected abstract URI getCacheUri() 
	throws URISyntaxException;
	
	protected abstract String getPrototypeName();

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() 
	throws Exception
	{
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() 
	throws Exception
	{
		super.tearDown();
	}

	/**
	 * Test method for {@link gov.va.med.imaging.storage.cache.impl.memory.MemoryCache#create(java.lang.String, java.net.URI, gov.va.med.imaging.storage.cache.EvictionTimer)}.
	 * @throws URISyntaxException 
	 * @throws CacheException 
	 */
	public void testSimpleCreate() 
	throws URISyntaxException, CacheException
	{
		CacheFactory cacheFactory = CacheFactory.getSingleton();
		Cache cache = null;
		
		cache = cacheFactory.createCache(this.getName() + "-SimpleCreate", getCacheUri(), (String)null);
		
		assertNotNull(cache);
	}
}
