/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.cache;

import gov.va.med.imaging.storage.cache.exceptions.CacheException;

import java.io.IOException;

import org.junit.Test;

public abstract class AbstractTestSimpleDirectAccess 
extends AbstractAccessDirectCacheTest
{
	@Test
	public void testShallowSaveAndRetrieve() 
	throws CacheException, IOException
	{
		createRetrieveAndCompareInstance("test-metadata", new String[]{"fred"}, "barney", getSampleData());
	}
	
	@Test
	public void testModerateSaveAndRetrieve() 
	throws CacheException, IOException
	{
		createRetrieveAndCompareInstance("test-metadata", new String[]{"fred", "wilma"}, "betty", getSampleData());
	}
	
	@Test
	public void testDeepSaveAndRetrieve() 
	throws CacheException, IOException
	{
		createRetrieveAndCompareInstance("test-metadata", new String[]{"group1", "group2", "group3", "group4"}, "instance", getSampleData());
	}
	
	public void testLotsaRandomSaveRetrieveAndDelete()
	throws CacheException, IOException
	{
		for(int testPointIndex=0; testPointIndex < 1000; ++testPointIndex)
		{
			int groupDepth = (int)(Math.random() * 9.0) + 1;
			
			String[] groupNames = new String[groupDepth]; 
			for(int groupIndex=0; groupIndex<groupDepth; ++groupIndex)
				groupNames[groupIndex] = makeRandomName();
			String instanceName = makeRandomName();
			
			createRetrieveAndCompareInstance("test-metadata", groupNames, instanceName, getSampleData());
		}
	}
}
