/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.impl.timer;

import gov.va.med.imaging.storage.cache.memento.EvictionTimerImplMemento;

import java.beans.XMLEncoder;

/**
 * @author ZZZZZZBECKEC
 *
 */
public class EvictionTimerImplUtil
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		EvictionTimerImplMemento memento = new EvictionTimerImplMemento();
		
		memento.addSweepInterval(3600000L, "0000:00:00:00:01:00");	// if less than an hour then next minute
		memento.addSweepInterval(86400000L, "0000:00:00:01:00:00");	// if less than a day then next hour
		memento.addSweepInterval(Long.MAX_VALUE, "0000:00:01:00:00:00@0000:00:00:03:00:00");	//else, run it at 3AM 
		
		XMLEncoder encoder = new XMLEncoder(System.out);
		
		encoder.writeObject(memento);
		
		encoder.close();
	}

}
