/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.interactive;

import gov.va.med.imaging.storage.cache.impl.CacheManagerImpl;
import gov.va.med.interactive.Command;
import java.lang.reflect.InvocationTargetException;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestCommandFactory extends TestCase
{
	private InteractiveCacheCommandFactoryImpl commandFactory;

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception
	{
		super.setUp();
		commandFactory = InteractiveCacheCommandFactoryImpl.getSingleton();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	@Override
	protected void tearDown() throws Exception
	{
		commandFactory = null;
		super.tearDown();
	}

	/**
	 * @return the commandFactory
	 */
	public InteractiveCacheCommandFactoryImpl getCommandFactory()
	{
		return this.commandFactory;
	}

	/**
	 * Test method for {@link gov.va.med.interactive.CommandListCommandFactory#createCommand(java.lang.String, java.lang.String[])}.
	 * @throws InvocationTargetException 
	 * @throws NoSuchMethodException 
	 * @throws IllegalAccessException 
	 * @throws InstantiationException 
	 * @throws IllegalArgumentException 
	 * @throws SecurityException 
	 * @throws ClassCastException 
	 */
	public void testCreateCommand() 
	throws ClassCastException, SecurityException, IllegalArgumentException, InstantiationException, IllegalAccessException, NoSuchMethodException, InvocationTargetException
	{
		Command<CacheManagerImpl> vcp = getCommandFactory().createCommand("");
		assertNull(vcp);
		
		vcp = getCommandFactory().createCommand("initialize");
		assertNotNull(vcp);
		
		vcp = getCommandFactory().createCommand("start");
		assertNotNull(vcp);
		
		vcp = getCommandFactory().createCommand("stop");
		assertNotNull(vcp);
	}

	/**
	 * Test method for {@link gov.va.med.interactive.CommandListCommandFactory#getHelpString()}.
	 */
	public void testGetHelpString()
	{
		System.out.println( getCommandFactory().getHelpMessage() );
	}

}
