/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.storage.cache.interactive;

import gov.va.med.imaging.storage.cache.exceptions.CacheException;
import gov.va.med.imaging.storage.cache.impl.CacheManagerImpl;
import gov.va.med.interactive.Command;
import gov.va.med.interactive.CommandController;
import gov.va.med.interactive.CommandLineParseException;
import gov.va.med.interactive.CommandProcessor;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

import javax.management.MBeanException;

import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestInteractiveCacheContainer 
extends TestCase
{
	InteractiveCacheContainer icc;

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() 
	throws Exception
	{
		super.setUp();
		
		CommandController.initializeLogging();
		
		CacheManagerImpl cacheManager;
		try
		{
			cacheManager = CacheManagerImpl.getSingleton();
		}
		catch (MBeanException x1)
		{
			x1.printStackTrace();
			return;
		}
		catch (CacheException x1)
		{
			x1.printStackTrace();
			return;
		}
		try
		{
			InteractiveCacheCommandFactoryImpl commandFactory = InteractiveCacheCommandFactoryImpl.getSingleton();
			icc = new InteractiveCacheContainer(cacheManager, commandFactory);
			icc.getCommandSource().pushCommands(new String[]{"exit"});
			icc.run();
		}
		catch (Exception x)
		{
			x.printStackTrace();
			return;
		}
	}

	public void testExistence() 
	throws CommandLineParseException
	{
		assertNotNull(icc);
	}

	@Override
	protected void tearDown() throws Exception
	{
		super.tearDown();
	}

}
