/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core.router.periodiccommands;

import gov.va.med.imaging.core.router.queue.ScheduledPriorityQueueElement;

public class PeriodicCommandDefinition
{
	private Class returnClass;
	private String commandClassName;
	private Object[] commandParameters;
	private String periodicDelayInterval;
	private ScheduledPriorityQueueElement.Priority priority;
	
	public Class getReturnClass()
	{
		return returnClass;
	}
	public void setReturnClass(Class returnClass)
	{
		this.returnClass = returnClass;
	}
	public String getCommandClassName()
	{
		return commandClassName;
	}
	public void setCommandClassName(String commandClassName)
	{
		this.commandClassName = commandClassName;
	}
	public Object[] getCommandParameters()
	{
		return commandParameters;
	}
	public void setCommandParameters(Object[] commandParameters)
	{
		this.commandParameters = commandParameters;
	}
	public String getPeriodicDelayInterval()
	{
		return periodicDelayInterval;
	}
	public void setPeriodicDelayInterval(String periodicDelayInterval)
	{
		this.periodicDelayInterval = periodicDelayInterval;
	}
	public ScheduledPriorityQueueElement.Priority getPriority()
	{
		return priority;
	}
	public void setPriority(ScheduledPriorityQueueElement.Priority priority)
	{
		this.priority = priority;
	}
}
