/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core.router.storage.providers;

import gov.va.med.imaging.exchange.business.storage.Provider;
import gov.va.med.imaging.exchange.business.storage.ProviderFactory;
import gov.va.med.imaging.exchange.business.storage.exceptions.StorageConfigurationException;

public class StorageProviderFactory extends ProviderFactory
{
	private static final String RAID_PROVIDER = "RAID";
	private static final String JUKEBOX_PROVIDER = "JUKEBOX";
	
	@Override
	public Provider createProvider(Provider provider) throws StorageConfigurationException
	{
		if (provider.getProviderType().equals(RAID_PROVIDER))
		{
			return new RaidProvider(provider);
		}
		else if (provider.getProviderType().equals(JUKEBOX_PROVIDER))
		{
			return new JukeBoxProvider(provider);
		}
		else
		{
			throw new StorageConfigurationException("Unknown provider type: " + provider.getProviderType());
		}
	}
}
