/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core;

import gov.va.med.imaging.artifactsource.ResolvedArtifactSourceImpl;
import gov.va.med.imaging.exchange.business.ResolvedSite;
import gov.va.med.imaging.exchange.business.Site;
import gov.va.med.imaging.exchange.business.SiteImpl;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class MockResolvedSite
extends ResolvedArtifactSourceImpl
implements ResolvedSite
{
	private static final long serialVersionUID = 1L;

	/**
	 * @param artifactSource
	 * @param artifactUrls
	 * @param metadataUrls
	 * @throws MalformedURLException 
	 */
	public MockResolvedSite() 
	throws MalformedURLException
	{
		super(
			new SiteImpl("42", "660", "Washington DC", "WDC",
			new URL("vftp://127.0.0.1"),
			new URL("vista://127.0.0.1:9300")
		), 
		null, null);
		
		addMetadataUrl(new URL("vftp://127.0.0.1/Vix/metadata"));
		addMetadataUrl(new URL("vista://127.0.0.1:9300"));
		addArtifactUrl(new URL("vftp://127.0.0.1/Vix/artifact"));
		addArtifactUrl(new URL("vista://127.0.0.1:9300"));
	}

	@Override
	public Site getSite()
	{
		return (Site)getArtifactSource();
	}

	@Override
	public boolean isAlienSite(){return false;}

	@Override
	public boolean isLocalSite(){return false;}

	@Override
	public boolean isAlien(){return isAlienSite();}

	@Override
	public boolean isLocal(){return isLocalSite();}
}
