/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.access;


/**
 * This Interface lets you concoct your own Http Service accessors.
 * 
 * @author ZZZZZZBATESL1
 *
 */
public interface HttpServiceInvoker
{

   /**
    * Invoke an Http Service request.
    * @param methodName the name of the method to invoke.
    * @param clazzes the classes of the parameters.
    * @param params the method parameters.
    * @return a generic Java Object for the user to puzzle over.
    * @throws Exception if something goes wrong.
    */
   public Object invoke (String     methodName,
                         Class<?>[] clazzes,
                         Object[]   params) throws Exception;
   
} // interface HttpServiceInvoker
