/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.access;


/**
 * This class contains the dope needed to access a Spring Http Web Service.
 * 
 * @author ZZZZZZBATESL1
 *
 */
public class HttpServiceInvokerConfig
{

   private String serviceUrl = null;
   private Class<?> serviceInterface = null;
   
   
   /**
    * MT Constructor.
    */
   public HttpServiceInvokerConfig ()
   {
   
   } // HttpServiceInvokerConfig

   
   /**
    * Set the String URL of the Spring Http service.
    * @param serviceUrl The String URL of the Spring Http service.
    */
   public void setServiceUrl (String serviceUrl) {this.serviceUrl = serviceUrl;}

   
   /**
    * Set the Class of the Spring Http service interface.
    * @param serviceInterface The Class of the Spring Http service interface.
    */
   public void setServiceInterface (Class<?> serviceInterface) {this.serviceInterface = serviceInterface;}

   
   /**
    * Get the String URL of the Spring Http service.
    * @return the String URL of the Spring Http service.
    */
   public String getServiceUrl () {return serviceUrl;}

   
   /**
    * Get the Class of the Spring Http service interface.
    * @return the Class of the Spring Http service interface.
    */
   public Class<?> getServiceInterface () {return serviceInterface;}

   
   /**
    * Display Yourself.
    */
   public String toString ()
   {
   
      StringBuilder sbTxt = new StringBuilder ();
      
      sbTxt.append (getClass ().getName ());
      sbTxt.append (": Http Service Url: ");
      sbTxt.append (getServiceUrl ());
      sbTxt.append (", Http Service Interface: ");
      sbTxt.append (getServiceInterface ().getName ());
      
      return sbTxt.toString ();
      
   } // toString
   
} // class HttpServiceInvokerConfig
