/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.access;

public interface TransactionLogEntry
{

	public abstract Long getStartTime();

	public abstract Long getElapsedTime();

	public abstract String getPatientIcn();

	public abstract String getQueryType();

	public abstract String getQueryFilter();

	public abstract String getCommandClassName();

	public abstract Integer getItemCount();

	public abstract Long getFacadeBytesSent();
	
	public abstract Long getFacadeBytesReceived();
	
	public abstract Long getDataSourceBytesSent();
	
	public abstract Long getDataSourceBytesReceived();
	
	public abstract String getQuality();

	public abstract String getMachineName();

	public abstract String getRequestingSite();

	public abstract String getOriginatingHost();

	public abstract String getUser();

	public abstract String getTransactionId();

	public abstract String getUrn();

	public abstract String getErrorMessage();

	public abstract String getModality();

	public abstract String getPurposeOfUse();

	public abstract String getDatasourceProtocol();
	
	public abstract Boolean isCacheHit();
	
	public abstract String getResponseCode();
	
	public abstract String getExceptionClassName();
	
	public abstract String getRealmSiteNumber();

	public abstract Long getTimeToFirstByte();

	public abstract String getVixSoftwareVersion();
	
	public abstract String getRespondingSite();
	
	public abstract Integer getDataSourceItemsReceived();
	
	public abstract Boolean isAsynchronousCommand();
   
	public abstract String getCommandId();
	
	public abstract String getParentCommandId();
	
	public abstract String getRemoteLoginMethod();
	
	public abstract String getFacadeImageFormatSent();
	
	public abstract String getFacadeImageQualitySent();
	
	public abstract String getDataSourceImageFormatReceived();
	
	public abstract String getDataSourceImageQualityReceived();
	
	public abstract String getClientVersion();
	
	public abstract String getDataSourceMethod();
	
	public abstract String getDataSourceVersion();
	
	public abstract String getDebugInformation();
	
	public abstract String getDataSourceResponseServer();
	
	public abstract String getThreadId();
	
	public abstract String getVixSiteNumber();
	
	public abstract String getRequestingVixSiteNumber();
   
}
