/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.core.interfaces.exceptions;

import gov.va.med.imaging.ImageURN;

/**
 * An exception thrown when the checksum between a local and a transmitted
 * copies of a image fail to compare for equality.
 * 
 * @author zzzzzzbeckec
 *
 */
public class ChecksumComparisonFailedException 
extends MethodException
{
	private static final long serialVersionUID = 8416491369129062879L;
	private final static String msgStart = "For the image '";
	private final static String msgEnd = "' the locally calculated checksum value differs froms the expected (transmitted) value.  Image may have been corrupted in transport.";
	
	/**
	 * 
	 */
	public ChecksumComparisonFailedException(ImageURN imageUrn)
	{
		super( msgStart + imageUrn.toString() + msgEnd );
	}
}
