/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core.interfaces.exceptions;

import java.net.MalformedURLException;
import java.util.Map;

/**
 * This exception is thrown (or just created) when the URL Connection and/or
 * the URL connection handler cannot be found.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class ProtocolConfigurationError 
extends ConfigurationError
{
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 * @param urlExceptions
	 * @return
	 */
	private static String createMessage(Map<String, MalformedURLException> urlExceptions)
	{
		StringBuilder sb = new StringBuilder();
		for(String protocol : urlExceptions.keySet())
			sb.append("A URLStreamHandler for the protocol '" + protocol + "' is not available, " + 
					"error is " + urlExceptions.get(protocol).getMessage() + "\n");
		
		sb.append("The protocol handler (URLStreamHandler derivations) packages should be referenced by the 'java.protocol.handler.pkgs' system property.\n");
		sb.append("See http://java.sun.com/developer/onlineTraining/protocolhandlers/ for an explanation of package and class naming requirements.");
		
		return sb.toString();
	}
	
	/**
	 * 
	 * @param urlExceptions
	 */
	public ProtocolConfigurationError(Map<String, MalformedURLException> urlExceptions)
	{
		super(createMessage(urlExceptions));
	}
}
