/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core.interfaces.router.exceptions;

public class FacadeRouterNotAnInterfaceException 
extends RouterInstantiationException 
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public final static String intfNameToken = "%1";
	public final static String msg = "The class '%1' is not an interface and cannot be use to instantiate a router facade.";

	/**
	 * 
	 * @param intf
	 */
	public FacadeRouterNotAnInterfaceException(Class<?> intf)
	{
		super(buildMessage(intf));
	}

	/**
	 * 
	 * @param intf
	 * @return
	 */
	private static String buildMessage(Class<?> intf) 
	{
		StringBuilder message = new StringBuilder();
		String intfName = intf == null ? "<null interface>" : intf.getName();
		
		int tokenIndex = msg.indexOf(intfNameToken);
		int tokenLength = intfNameToken.length();
		
		if(tokenIndex >= 0)
		{
			message.append(msg.substring(0, tokenIndex));
			message.append(intfName);
			if(tokenIndex + tokenLength <= msg.length())
				message.append(msg.substring(tokenIndex + tokenLength));
			
			return message.toString();
		}
		
		return msg;
	}
}
