/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.datasource;

import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.datasource.annotations.SPI;
import gov.va.med.imaging.exchange.business.dicom.DicomAE;

/**
 * This class defines the Service Provider Interface (SPI) for the DicomDataSource class. 
 * All the abstract methods in this class must be implemented by each 
 * data source service provider who wishes to supply the implementation of a 
 * DicomDataSource for a particular datasource type.
 * 
 * @since 1.0
 * @author zzzzzzlouthj
 *
 */
@SPI(description="The service provider interface for DICOM operations")
public interface DicomDataSourceSpi
extends VersionableDataSourceSpi
{
	@Deprecated
    abstract String getStudyDetails(String studyId) 
    throws MethodException, ConnectionException;
    
	@Deprecated
    abstract String getImageDetails(String image)
    throws MethodException, ConnectionException;
    
    abstract boolean isModalityDeviceAuthenticated(String manufacturer, String model, String softwareVersion)
    throws MethodException, ConnectionException;
    
    abstract void loadDicomGatewayConfig(String hostName) 
    throws MethodException, ConnectionException;
    
}
