/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.datasource;

import gov.va.med.GlobalArtifactIdentifier;
import gov.va.med.imaging.DocumentURN;
import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.datasource.annotations.SPI;
import gov.va.med.imaging.exchange.business.ImageStreamResponse;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
@SPI(description="The service provider interface for document (artifact) access")
public interface DocumentDataSourceSpi 
extends VersionableDataSourceSpi
{
	/**
	 * Retrieves a document from the data source
	 * @param documentUrn The unique identifier for the document
	 * @return An InputStream to the document or null if the Document does not exist.
	 * @throws MethodException
	 * @throws ConnectionException
	 */
	public abstract ImageStreamResponse getDocument(DocumentURN documentUrn)
	throws MethodException, ConnectionException;
	
	/**
	 * This method might be deprecated/removed soon, better to use the other method that requires a DocumentURN
	 * @param homeCommunityUid
	 * @param repositoryUniqueId
	 * @param documentId
	 * @return
	 * @throws MethodException
	 * @throws ConnectionException
	 */
	public abstract ImageStreamResponse getDocument(GlobalArtifactIdentifier gai)
	throws MethodException, ConnectionException;
	
}
