/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business;

import gov.va.med.imaging.artifactsource.ResolvedArtifactSource;
import gov.va.med.imaging.core.interfaces.LocalizedSite;
import gov.va.med.imaging.exchange.InterfaceURLs;

import java.util.SortedSet;

/**
 * A ResolvedSite is a Site that has been resolved to a set of URLs, in the
 * preferred order of contact.
 * The Router will use the URLs protocol to determine the service implementation
 * to use to contact the site.  Where multiple URLs are specified (i.e. multiple
 * protocols are available) the Router will try each in order until it succeeds or
 * runs out of options.
 * 
 * Resolving a site number to a set of URLs is the responsibility of a
 * SiteResolutionDataSource, each of which may implement their own
 * ResolvedSite class.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public interface ResolvedSite 
extends LocalizedSite, ResolvedArtifactSource
{	
	public abstract Site getSite();
}
