/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.exchange.business.dicom;

/**
 * @author zzzzzzlouthj
 *
 */
public class CFindElement {
	
	private static final String CONTROL_CHARACTER_REGEX = "\\p{Cntrl}";
	private String tag;
	private String value;
	
	public String getTag() { return tag;}
	public String getValue() {return value; }

	public CFindElement(String tag, String value)
	{
		this.tag = cleanControlCharacters(tag);
		this.value = cleanControlCharacters(value);
	}

	// This code replaces the loop over each char found in the original code...
	private String cleanControlCharacters(String stringToClean)
	{
        return stringToClean.replaceAll(CONTROL_CHARACTER_REGEX, "");
	}

}
