/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.dicom;

/**
 * This class holds the purge delays for each of the Importer work item statuses
 * 
 * A value of 0 indicates immediate purge availablity.
 * 
 * A value of -1 indicates never purge
 * 
 * @author zzzzzzlouthj
 *
 */
public class ImporterPurgeDelays 
{
	private int NewPurgeDelayInDays = -1;
	private int FailedStagingPurgeDelayInDays = 0;
	private int FailedDirectImportStagingPurgeDelayInDays = 0;
	private int CancelledStagingPurgeDelayInDays = 0;
	private int CancelledDirectImportStagingPurgeDelayInDays = 0;
	private int InReconciliationPurgeDelayInDays = -1;
	private int ReadyForImportPurgeDelayInDays = -1;
	private int ImportingPurgeDelayInDays = -1;
	private int ImportCompletePurgeDelayInDays = 14;
	private int FailedImportPurgeDelayInDays = 30;

	public int getNewPurgeDelayInDays() {
		return NewPurgeDelayInDays;
	}
	public void setNewPurgeDelayInDays(int newPurgeDelayInDays) {
		NewPurgeDelayInDays = newPurgeDelayInDays;
	}
	public int getFailedStagingPurgeDelayInDays() {
		return FailedStagingPurgeDelayInDays;
	}
	public void setFailedStagingPurgeDelayInDays(int failedStagingPurgeDelayInDays) {
		FailedStagingPurgeDelayInDays = failedStagingPurgeDelayInDays;
	}
	public int getFailedDirectImportStagingPurgeDelayInDays() {
		return FailedDirectImportStagingPurgeDelayInDays;
	}
	public void setFailedDirectImportStagingPurgeDelayInDays(
			int failedDirectImportStagingPurgeDelayInDays) {
		FailedDirectImportStagingPurgeDelayInDays = failedDirectImportStagingPurgeDelayInDays;
	}
	public int getCancelledStagingPurgeDelayInDays() {
		return CancelledStagingPurgeDelayInDays;
	}
	public void setCancelledStagingPurgeDelayInDays(
			int cancelledStagingPurgeDelayInDays) {
		CancelledStagingPurgeDelayInDays = cancelledStagingPurgeDelayInDays;
	}
	public int getCancelledDirectImportStagingPurgeDelayInDays() {
		return CancelledDirectImportStagingPurgeDelayInDays;
	}
	public void setCancelledDirectImportStagingPurgeDelayInDays(
			int cancelledDirectImportStagingPurgeDelayInDays) {
		CancelledDirectImportStagingPurgeDelayInDays = cancelledDirectImportStagingPurgeDelayInDays;
	}
	public int getInReconciliationPurgeDelayInDays() {
		return InReconciliationPurgeDelayInDays;
	}
	public void setInReconciliationPurgeDelayInDays(
			int inReconciliationPurgeDelayInDays) {
		InReconciliationPurgeDelayInDays = inReconciliationPurgeDelayInDays;
	}
	public int getReadyForImportPurgeDelayInDays() {
		return ReadyForImportPurgeDelayInDays;
	}
	public void setReadyForImportPurgeDelayInDays(int readyForImportPurgeDelayInDays) {
		ReadyForImportPurgeDelayInDays = readyForImportPurgeDelayInDays;
	}
	public int getImportingPurgeDelayInDays() {
		return ImportingPurgeDelayInDays;
	}
	public void setImportingPurgeDelayInDays(int importingPurgeDelayInDays) {
		ImportingPurgeDelayInDays = importingPurgeDelayInDays;
	}
	public int getImportCompletePurgeDelayInDays() {
		return ImportCompletePurgeDelayInDays;
	}
	public void setImportCompletePurgeDelayInDays(int importCompletePurgeDelayInDays) {
		ImportCompletePurgeDelayInDays = importCompletePurgeDelayInDays;
	}
	public int getFailedImportPurgeDelayInDays() {
		return FailedImportPurgeDelayInDays;
	}
	public void setFailedImportPurgeDelayInDays(int failedImportPurgeDelayInDays) {
		FailedImportPurgeDelayInDays = failedImportPurgeDelayInDays;
	}
}
