/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.exchange.business.dicom;

import java.util.Observable;
import java.util.Observer;

/**
 * @author zzzzzzpeterb
 *
 */
public class MoveCommandObserver implements Observer {

	/* (non-Javadoc)
	 * @see java.util.Observer#update(java.util.Observable, java.lang.Object)
	 */
	
	private boolean cancelMoveOperation = false;
	
	private boolean getDicomDataSetsDone = false;
	
	private boolean sendDicomDataSetsDone = false;
	

	/**
	 * @return the cancelMoveOperation
	 */
	public boolean isCancelMoveOperation() {
		return cancelMoveOperation;
	}


	/**
	 * @param cancelMoveOperation the cancelMoveOperation to set
	 */
	public void setCancelMoveOperation(boolean cancelMoveOperation) {
		this.cancelMoveOperation = cancelMoveOperation;
	}


	/**
	 * @return the getDicomDataSetsDone
	 */
	public boolean isGetDicomDataSetsDone() {
		return getDicomDataSetsDone;
	}


	/**
	 * @param getDicomDataSetsDone the getDicomDataSetsDone to set
	 */
	public void setGetDicomDataSetsDone(boolean getDicomDataSetsDone) {
		this.getDicomDataSetsDone = getDicomDataSetsDone;
	}


	/**
	 * @return the sendDicomDataSetsDone
	 */
	public boolean isSendDicomDataSetsDone() {
		return sendDicomDataSetsDone;
	}


	/**
	 * @param sendDicomDataSetsDone the sendDicomDataSetsDone to set
	 */
	public void setSendDicomDataSetsDone(boolean sendDicomDataSetsDone) {
		this.sendDicomDataSetsDone = sendDicomDataSetsDone;
	}


	@Override
	public void update(Observable o, Object arg) {
		this.cancelMoveOperation = true;
	}

}
