/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * Created on Sep 22, 2009
 */
package gov.va.med.imaging.exchange.business.dicom;

import java.io.Serializable;

/**
 *
 *
 *
 * @author zzzzzzpeterb
 *
 */
public class PatientStudyInfo implements Serializable {

	
	private String patientDFN;
	private String patientName;
	private String patientID;
	private String patientBirthDate;
	private String patientSex;
	private String patientICN;
	private String studyAccessionNumber;
	private String studyImagingService; // RAD or CON
	private String siteID;

	public PatientStudyInfo() {}
	
	public PatientStudyInfo( String studyAccessionNumber, String studyImagingService, 
			String patientDFN, String patientName, String patientID, 
			String patientBirthDate, String patientSex, String patientICN) {
		this.patientDFN=patientDFN;
		this.patientName=patientName;
		this.patientID=patientID;
		this.patientBirthDate=patientBirthDate;
		this.patientSex=patientSex;
		this.patientICN=patientICN;
		this.studyAccessionNumber = studyAccessionNumber;
		this.studyImagingService = studyImagingService;
	}
	public String getPatientDFN() {
		return patientDFN;
	}
	public void setPatientDFN(String patientDFN) {
		this.patientDFN = patientDFN;
	}
	public String getPatientName() {
		return patientName;
	}
	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}
	public String getPatientID() {
		return patientID;
	}
	public void setPatientID(String patientID) {
		this.patientID = patientID;
	}
	public String getPatientBirthDate() {
		return patientBirthDate;
	}
	public void setPatientBirthDate(String patientBirthDate) {
		this.patientBirthDate = patientBirthDate;
	}
	public String getPatientSex() {
		return patientSex;
	}
	public void setPatientSex(String patientSex) {
		this.patientSex = patientSex;
	}
	public String getPatientICN() {
		return patientICN;
	}
	public void setPatientICN(String patientICN) {
		this.patientICN = patientICN;
	}
	public String getStudyAccessionNumber() {
		return studyAccessionNumber;
	}
	public void setStudyAccessionNumber(String studyAccessionNumber) {
		this.studyAccessionNumber = studyAccessionNumber;
	}
	public String getStudyImagingService() {
		return studyImagingService;
	}
	public void setStudyImagingService(String studyImagingService) {
		this.studyImagingService = studyImagingService;
	}

	public String getSiteID()
	{
		return siteID;
	}

	public void setSiteID(String siteID)
	{
		this.siteID = siteID;
	}
}
