/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.dicom.importer;

import gov.va.med.imaging.exchange.business.PersistentEntity;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class Procedure implements PersistentEntity
{

    private int id;
    private String name;
    private int imagingTypeId;
    private int imagingLocationId;
    
    private List<ProcedureModifier> procedureModifiers = new ArrayList<ProcedureModifier>(); 

    public Procedure() {}
    public Procedure(String name, int id, int imagingTypeId, int imagingLocationId) 
    {
		this.name = name;
		this.id = id;
		this.imagingTypeId = imagingTypeId;
		this.imagingLocationId = imagingLocationId;
	}

    public int getId() 
    {
        return id;
    }
    public void setId(int value) 
    {
        this.id = value;
    }

    public int getImagingTypeId() 
    {
        return imagingTypeId;
    }
    public void setImagingTypeId(int value) 
    {
        this.imagingTypeId = value;
    }

    public String getName() 
    {
        return name;
    }
    public void setName(String value) 
    {
        this.name = value;
    }

	public List<ProcedureModifier> getProcedureModifiers() 
	{
		return procedureModifiers;
	}

	public void setProcedureModifiers(List<ProcedureModifier> procedureModifiers) 
	{
		this.procedureModifiers = procedureModifiers;
	}
	public void setImagingLocationId(int imagingLocationId) {
		this.imagingLocationId = imagingLocationId;
	}
	public int getImagingLocationId() {
		return imagingLocationId;
	}
    
    

}
