/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.dicom.importer;

import gov.va.med.imaging.exchange.business.Patient;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class Reconciliation {

	private boolean useExistingOrder;
    private boolean createRadiologyOrder;
    private boolean isStudyToBeReadByVaRadiologist;
    private boolean isReconciliationComplete;
    private Patient patient;
    private Study study;
    private Order order;
    private boolean isPatientFromStaging;
    private boolean isPatientPreviouslyResolved;
    
    public boolean isUseExistingOrder() {
		return useExistingOrder;
	}

	public void setUseExistingOrder(boolean useExistingOrder) {
		this.useExistingOrder = useExistingOrder;
	}

	public boolean isCreateRadiologyOrder() {
		return createRadiologyOrder;
	}

	public void setCreateRadiologyOrder(boolean createRadiologyOrder) {
		this.createRadiologyOrder = createRadiologyOrder;
	}

    public boolean isIsStudyToBeReadByVaRadiologist() 
    {
        return isStudyToBeReadByVaRadiologist;
    }

    public void setIsStudyToBeReadByVaRadiologist(boolean value) 
    {
        this.isStudyToBeReadByVaRadiologist = value;
    }

    public boolean isIsReconciliationComplete() 
    {
        return isReconciliationComplete;
    }

    public void setIsReconciliationComplete(boolean value) 
    {
        this.isReconciliationComplete = value;
    }

    public Patient getPatient() 
    {
        return patient;
    }

    public void setPatient(Patient value) 
    {
        this.patient = value;
    }

    public Study getStudy() 
    {
        return study;
    }

    public void setStudy(Study value) 
    {
        this.study = value;
    }

    public Order getOrder() 
    {
        return order;
    }

    public void setOrder(Order value) 
    {
        this.order = value;
    }

	public void setPatientFromStaging(boolean isPatientFromStaging) {
		this.isPatientFromStaging = isPatientFromStaging;
	}

	public boolean isPatientFromStaging() {
		return isPatientFromStaging;
	}

	public void setPatientPreviouslyResolved(boolean isPatientPreviouslyResolved) {
		this.isPatientPreviouslyResolved = isPatientPreviouslyResolved;
	}

	public boolean isPatientPreviouslyResolved() {
		return isPatientPreviouslyResolved;
	}

}
