/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.dicom.importer;

import javax.xml.bind.annotation.XmlRootElement;


@XmlRootElement
public class SopInstance {

	private String uid;
    private String filePath;
	private String transferSyntaxUid;
	private String sopClassUid;
	private String imageNumber;
	private String numberOfFrames;
	private boolean isImportedSuccessfully;
	private String importErrorMessage;

	

	public SopInstance(){}
    
	public SopInstance(String uid, String filePath) 
	{
		this.uid = uid;
		this.filePath = filePath;
	}

	public SopInstance(String uid, String filePath, String transferSyntaxUid) 
	{
		this.uid = uid;
		this.filePath = filePath;
		this.transferSyntaxUid = transferSyntaxUid;
	}

    public String getUid() {
        return uid;
    }

    public void setUid(String value) {
        this.uid = value;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String value) {
        this.filePath = value;
    }

	public void setTransferSyntaxUid(String transferSyntaxUid) {
		this.transferSyntaxUid = transferSyntaxUid;
	}

	public String getTransferSyntaxUid() {
		return transferSyntaxUid;
	}

	public void setSopClassUid(String sopClassUid) {
		this.sopClassUid = sopClassUid;
	}

	public String getSopClassUid() {
		return sopClassUid;
	}

	public void setImageNumber(String imageNumber) {
		this.imageNumber = imageNumber;
	}

	public String getImageNumber() {
		return imageNumber;
	}

	public void setNumberOfFrames(String numberOfFrames) {
		this.numberOfFrames = numberOfFrames;
	}

	public String getNumberOfFrames() {
		return numberOfFrames;
	}

	public void setImportedSuccessfully(boolean isImportedSuccessfully) {
		this.isImportedSuccessfully = isImportedSuccessfully;
	}

	public boolean isImportedSuccessfully() {
		return isImportedSuccessfully;
	}

	public void setImportErrorMessage(String importErrorMessage) {
		this.importErrorMessage = importErrorMessage;
	}

	public String getImportErrorMessage() {
		return importErrorMessage;
	}

}
