/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.exchange.business.documents;

import gov.va.med.GlobalArtifactIdentifier;
import gov.va.med.imaging.DocumentURN;
import gov.va.med.imaging.exchange.FileTypeIdentifierStream;
import gov.va.med.imaging.exchange.enums.VistaImageType;

/**
 * @author zzzzzzbeckec
 *
 */
public class DocumentRetrieveResult
{
	private final GlobalArtifactIdentifier documentIdentifier;
	private final VistaImageType vistaImageType;
	private final FileTypeIdentifierStream documentStream;
	private final Exception exception;

	/**
	 * @param documentStream
	 */
	public DocumentRetrieveResult(GlobalArtifactIdentifier documentIdentifier, FileTypeIdentifierStream documentStream, VistaImageType vistaImageType)
	{
		super();
		this.documentIdentifier = documentIdentifier;
		this.documentStream = documentStream;
		this.vistaImageType = vistaImageType;
		this.exception = null;
	}

	/**
	 * @param exception
	 */
	public DocumentRetrieveResult(GlobalArtifactIdentifier documentIdentifier, Exception exception)
	{
		super();
		this.documentIdentifier = documentIdentifier;
		this.documentStream = null;
		this.vistaImageType = null;
		this.exception = exception;
	}

	public GlobalArtifactIdentifier getDocumentIdentifier()
	{
		return this.documentIdentifier;
	}

	public FileTypeIdentifierStream getDocumentStream()
	{
		return this.documentStream;
	}

	public VistaImageType getVistaImageType()
	{
		return this.vistaImageType;
	}

	public Exception getException()
	{
		return this.exception;
	}
	
	public boolean isSuccessful()
	{
		return getException() == null;
	}
}
