/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.storage;

import gov.va.med.imaging.BusinessKey;
import gov.va.med.imaging.BeanUtils;
import com.thoughtworks.xstream.XStream;

public class AsyncStorageRequest {
	private static final long serialVersionUID = 3238474128342L;
	private String artifactToken;
	private int numAttempts;
	private String lastError;

	public AsyncStorageRequest(String artifactToken) {
		super();
		this.artifactToken = artifactToken;
	}

	@Override
	public int hashCode() {
		return BeanUtils.hashCode(this);
	}

	@Override
	public boolean equals(Object obj) {
		return BeanUtils.equals(this, obj);
	}

	@BusinessKey
	public String getArtifactToken() {
		return artifactToken;
	}

	public void setArtifactToken(String artifactToken) {
		this.artifactToken = artifactToken;
	}

	public int getNumAttempts() {
		return numAttempts;
	}

	public void setNumAttempts(int numAttempts) {
		this.numAttempts = numAttempts;
	}
	
	public static AsyncStorageRequest deserializeUsingXStream(String serializedXml){
		XStream xstream = new XStream();
		return (AsyncStorageRequest)xstream.fromXML(serializedXml);
	}
	
	public String serializeUsingXStream(){
		XStream xstream = new XStream();
		return xstream.toXML(this);
	}

	public String getLastError() {
		return lastError;
	}

	public void setLastError(String lastError) {
		this.lastError = lastError;
	}
}
