/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.storage;

import gov.va.med.imaging.core.interfaces.StorageCredentials;
import gov.va.med.imaging.exchange.business.PersistentEntity;

import java.io.Serializable;

public class NetworkLocationInfo implements PersistentEntity, Serializable, StorageCredentials
{

	private static final long serialVersionUID = 1L;

	private int id;
	private String writeLocationIEN;
	private String physicalPath;
	private String username;
	private String password;
	private int placeId;
	private Place place;
	
	public NetworkLocationInfo(String writeLocationIEN,
			String physicalPath) 
	{
		this.writeLocationIEN = writeLocationIEN;
		this.physicalPath = physicalPath;
	}

	public NetworkLocationInfo(String writeLocationIEN,
			Place place,
			String physicalPath,
			String username,
			String password)
	{
		this(writeLocationIEN, physicalPath);
		this.setPlace(place);
		this.setUsername(username);
		this.setPassword(password);
	}

	public int getId() {
		return id;
	}

	public String getNetworkLocationIEN() {
		return writeLocationIEN;
	}

	public String getPassword() {
		return password;
	}
	
	public String getPhysicalPath() {
		return physicalPath;
	}

	public Place getPlace() {
		return place;
	}

	public int getPlaceId() {
		return placeId;
	}

	public String getUsername() {
		return username;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public void setPlace(Place place) {
		this.place = place;
		if(place != null){
			this.placeId = place.getId();
		}
	}

	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}

	public void setUsername(String username) {
		this.username = username;
	}
}
