/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Apr 8, 2009
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.vistarad;

import gov.va.med.RoutingToken;
import java.io.Serializable;
import java.util.HashMap;

/**
 * Represents the patient exams in the cache. Contains the sites the patient has been seen at even
 * if the VIX was unable to retrieve data from that site.
 * 
 * @author zzzzzzwerfej
 *
 */
public class PatientEnterpriseExams 
implements Serializable
{
	private static final long serialVersionUID = 1L;
	private final String patientIcn;
	private HashMap<RoutingToken, ExamSite> examSites = new HashMap<RoutingToken, ExamSite>(); 		
	
	public PatientEnterpriseExams(String patientIcn) 
	{
		super();
		this.patientIcn = patientIcn;
	}	

	/**
	 * @return the examSites
	 */
	public HashMap<RoutingToken, ExamSite> getExamSites() {
		return examSites;
	}

	/**
	 * @param examSites the examSites to set
	 */
	public void setExamSites(HashMap<RoutingToken, ExamSite> examSites) {
		this.examSites = examSites;
	}

	/**
	 * @return the patientIcn
	 */
	public String getPatientIcn() {
		return patientIcn;
	}
}
