/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.enums;

import gov.va.med.WellKnownOID;

/**
 * This enum should be deleted and the home community ID be used in its place
 * 
 * @author zzzzzzbeckec
 *
 */
@Deprecated
public enum ObjectOrigin 
{
	VA, DOD, UNKNOWN;
	
	public static ObjectOrigin inferFromHomeCommunityId(String homeCommunityId)
	{
		WellKnownOID oid = WellKnownOID.get(homeCommunityId);
		if(oid == null)
			return ObjectOrigin.UNKNOWN;
		
		if( WellKnownOID.HAIMS_DOCUMENT == oid)
			return ObjectOrigin.DOD;
		if( WellKnownOID.HL7 == oid)
			return ObjectOrigin.UNKNOWN;
		if( WellKnownOID.LOINC == oid)
			return ObjectOrigin.UNKNOWN;
		if( WellKnownOID.MHS == oid)
			return ObjectOrigin.UNKNOWN;
		if( WellKnownOID.SNOMED == oid)
			return ObjectOrigin.UNKNOWN;
		if( WellKnownOID.VA_DOCUMENT == oid)
			return ObjectOrigin.VA;
		if( WellKnownOID.VA_RADIOLOGY_IMAGE == oid)
			return ObjectOrigin.VA;
		
		return ObjectOrigin.UNKNOWN;
	}
}
