/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.exchange.enums;

/**
 * @author ZZZZZZBECKEC
 *
 */
public enum StudyClass
{
	CLIN("CLIN", "Clinical Only"), 
	CLIN_ADMIN("CLIN/ADMIN", "Clinical/Administrative"), 
	ADMIN_CLIN("ADMIN/CLIN", "Administrative/Clinical");	

	/**
	 * Return the enumeration element with the given key value.
	 * 
	 * @param shortDescription
	 * @return
	 */
	public static StudyClass valueOfKey(String shortDescription)
	{
		for(StudyClass studyClass : StudyClass.values())
			if(studyClass.getKey().equals(shortDescription))
				return studyClass;
		
		return null;
	}

	/**
	 * Returns the ordinal of the StudyClass with the given key value.
	 * 
	 * @param shortDescription
	 * @return
	 */
	public static int indexOfKey(String shortDescription)
	{
		for(StudyClass studyClass : StudyClass.values())
			if(studyClass.getKey().equals(shortDescription))
				return studyClass.ordinal();
		
		return -1;
	}

	private String key; 
	private String description;
	
	StudyClass(String shortDescription, String description)
	{
		this.key = shortDescription;
		this.description = description;
	}

	public String getDescription()
	{
		return this.description;
	}

	public String getKey()
	{
		return this.key;
	}

}
