/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.veins;

import gov.va.med.imaging.exchange.business.PersistentEntity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ErrorTypeNotificationConfiguration implements PersistentEntity {
	private int id;
	private int placeId;
	private String errorType;
	private Date lastEmailSentDateTime;
	private int executionDelayInSeconds;
	private int evaluationPeriodInSeconds;
	private int maxErrors;
	private Date lastExecutionDateTime;
	private Date dailyExecutionTime;
	private List<String> emailAddresses;

	public ErrorTypeNotificationConfiguration() {
		emailAddresses = new ArrayList<String>();
	}

	public Date getDailyExecutionTime() {
		return dailyExecutionTime;
	}

	public List<String> getEmailAddresses() {
		return emailAddresses;
	}

	public String getErrorType() {
		return errorType;
	}

	public int getEvaluationPeriodInSeconds() {
		return evaluationPeriodInSeconds;
	}

	public int getExecutionDelayInSeconds() {
		return executionDelayInSeconds;
	}

	public int getId() {
		return id;
	}

	public Date getLastEmailSentDateTime() {
		return lastEmailSentDateTime;
	}

	public Date getLastExecutionDateTime() {
		return lastExecutionDateTime;
	}

	public int getMaxErrors() {
		return maxErrors;
	}

	public int getPlaceId() {
		return placeId;
	}

	public void setDailyExecutionTime(Date dailyExecutionTime) {
		this.dailyExecutionTime = dailyExecutionTime;
	}

	public void setEmailAddresses(List<String> emailAddresses) {
		this.emailAddresses = emailAddresses;
	}

	public void setErrorType(String errorType) {
		this.errorType = errorType;
	}

	public void setEvaluationPeriodInSeconds(int evaluationPeriodInSeconds) {
		this.evaluationPeriodInSeconds = evaluationPeriodInSeconds;
	}

	public void setExecutionDelayInSeconds(int executionDelayInSeconds) {
		this.executionDelayInSeconds = executionDelayInSeconds;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setLastEmailSentDateTime(Date lastEmailSentDateTime) {
		this.lastEmailSentDateTime = lastEmailSentDateTime;
	}

	public void setLastExecutionDateTime(Date lastExecutionDateTime) {
		this.lastExecutionDateTime = lastExecutionDateTime;
	}

	public void setMaxErrors(int maxErrors) {
		this.maxErrors = maxErrors;
	}

	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}
}
