/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.artifactsource;

import java.net.MalformedURLException;
import java.net.URL;
import gov.va.med.RoutingToken;
import gov.va.med.WellKnownOID;
import gov.va.med.imaging.exchange.business.SiteImpl;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestArtifactSource
	extends TestCase
{

	protected void setUp() 
	throws Exception
	{
		super.setUp();
	}

	public void testIdentity() 
	throws MalformedURLException
	{
		ArtifactSource a1 = null;
		
		a1 = new SiteImpl("42", "200", "SiteName", "SN", true, true, new URL("http://localhost:8080/app/file"));
		assertNotNull(a1.getIdentifier());
		System.out.println(a1.getIdentifier());
		
		a1 = new ArtifactSourceImpl(
			WellKnownOID.HAIMS_DOCUMENT.getCanonicalValue(),
			RoutingToken.ROUTING_WILDCARD,
			new URL[]{new URL("http://localhost:8080/app/file")}, 
			new URL[]{new URL("http://localhost:8080/app/file")}
		);
		assertNotNull(a1.getIdentifier());
		System.out.println(a1.getIdentifier());
		
		a1 = new ArtifactSourceImpl(
			WellKnownOID.VA_DOCUMENT.getCanonicalValue(), 
			"660", 
			new URL[]{new URL("http://localhost:8080/app/file")}, 
			new URL[]{new URL("http://localhost:8080/app/file")}
		);
		assertNotNull(a1.getIdentifier());
		System.out.println(a1.getIdentifier());
		
	}
	
	public void testInclusion()
	{
		
	}

	protected void tearDown() 
	throws Exception
	{
		super.tearDown();
	}

}
