/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import junit.framework.TestCase;

public class ComparableUtilTest 
extends TestCase
{
	public void testCompareStringStringBoolean()
	{
		assertTrue( ComparableUtil.compare(null, "hello", true) > 0 );
		assertTrue( ComparableUtil.compare("hello", null, true) < 0 );

		assertTrue( ComparableUtil.compare(null, "hello", false) > 0 );
		assertTrue( ComparableUtil.compare("hello", null, false) < 0 );
		
		assertTrue( ComparableUtil.compare((String)null, (String)null, true) == 0 );
		assertTrue( ComparableUtil.compare((String)null, (String)null, false) == 0 );
		
		assertTrue( ComparableUtil.compare("hello", "hello", true) == 0 );
		assertTrue( ComparableUtil.compare("hello", "hello", false) == 0 );
		
		assertTrue( ComparableUtil.compare("hello", "world", true) < 0 );
		assertTrue( ComparableUtil.compare("hello", "world", false) > 0 );
		
		assertTrue( ComparableUtil.compare("world", "hello", true) > 0 );
		assertTrue( ComparableUtil.compare("world", "hello", false) < 0 );
	}
	
	public void testComparedateDateBoolean() 
	throws ParseException
	{
		DateFormat df = new SimpleDateFormat("ddMMMyyyy");
		Date jan012007 = df.parse("01Jan2007");
		Date dec312007 = df.parse("31Dec2007");
		
		assertTrue( ComparableUtil.compare(null, jan012007, true) > 0 );
		assertTrue( ComparableUtil.compare(jan012007, null, true) < 0 );

		assertTrue( ComparableUtil.compare(null, jan012007, false) > 0 );
		assertTrue( ComparableUtil.compare(jan012007, null, false) < 0 );
		
		assertTrue( ComparableUtil.compare((Date)null, (Date)null, true) == 0 );
		assertTrue( ComparableUtil.compare((Date)null, (Date)null, false) == 0 );
		
		assertTrue( ComparableUtil.compare(jan012007, jan012007, true) == 0 );
		assertTrue( ComparableUtil.compare(jan012007, jan012007, false) == 0 );
		
		assertTrue( ComparableUtil.compare(jan012007, dec312007, true) < 0 );
		assertTrue( ComparableUtil.compare(jan012007, dec312007, false) > 0 );
		
		assertTrue( ComparableUtil.compare(dec312007, jan012007, true) > 0 );
		assertTrue( ComparableUtil.compare(dec312007, jan012007, false) < 0 );
		
	}
}
