/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.dicom;


import junit.framework.TestCase;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class InstrumentConfigTest extends TestCase {

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testInstrumentConfigSiteID(){
		InstrumentConfig instrument = new InstrumentConfig();
		instrument.setDescription("Test");
		instrument.setHostName("host");
		instrument.setMachineId("host");
		instrument.setService("RAD");
		instrument.setSiteId("222");
		
		assertEquals("host", instrument.getMachineId());
		assertEquals("RAD", instrument.getService());
		assertEquals("222", instrument.getSiteId());
	}
	
	@Test
	public void testInstrumentConfigSiteIDEmpty(){
		InstrumentConfig instrument = new InstrumentConfig();
		instrument.setDescription("Test");
		instrument.setHostName("host");
		instrument.setMachineId("host");
		instrument.setService("RAD");
		instrument.setSiteId("");
		
		assertEquals("host", instrument.getMachineId());
		assertEquals("RAD", instrument.getService());
		assertEquals("", instrument.getSiteId());
	}

	@Test
	public void testInstrumentConfigSiteIDNull(){
		InstrumentConfig instrument = new InstrumentConfig();
		instrument.setDescription("Test");
		instrument.setHostName("host");
		instrument.setMachineId("host");
		instrument.setService("RAD");
		
		assertEquals("host", instrument.getMachineId());
		assertEquals("RAD", instrument.getService());
		assertEquals(null, instrument.getSiteId());
	}

}
