/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.enums;

import junit.framework.TestCase;

/**
 * This test is more of a sanity check than a real unit test.
 * It exists simply to assure that any changes to mappings from
 * image quality q-values type to ImageQuality are intentional.
 * 
 * @author zzzzzzbeckec
 *
 */
public class TestImageQuality 
extends TestCase
{
	public void testGetImageQuality()
	{
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(80) );
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(99) );
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(90) );
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(85) );
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(82) );
		assertEquals( ImageQuality.DIAGNOSTIC, ImageQuality.getImageQuality(94) );

		assertEquals( ImageQuality.REFERENCE, ImageQuality.getImageQuality(50) );
		assertEquals( ImageQuality.REFERENCE, ImageQuality.getImageQuality(79) );
		assertEquals( ImageQuality.REFERENCE, ImageQuality.getImageQuality(70) );
		assertEquals( ImageQuality.REFERENCE, ImageQuality.getImageQuality(65) );
		assertEquals( ImageQuality.REFERENCE, ImageQuality.getImageQuality(71) );

		assertEquals( ImageQuality.THUMBNAIL, ImageQuality.getImageQuality(1) );
		assertEquals( ImageQuality.THUMBNAIL, ImageQuality.getImageQuality(49) );
		assertEquals( ImageQuality.THUMBNAIL, ImageQuality.getImageQuality(42) );
		assertEquals( ImageQuality.THUMBNAIL, ImageQuality.getImageQuality(10) );
		assertEquals( ImageQuality.THUMBNAIL, ImageQuality.getImageQuality(19) );

		assertEquals( ImageQuality.DIAGNOSTICUNCOMPRESSED, ImageQuality.getImageQuality(100) );
	}
	

}
