/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.business.storage.hibernate;

import java.util.Set;
import java.util.HashSet;
import java.io.Serializable;

public class ArtifactDescriptor implements Serializable
{
	/** 
	 * This attribute maps to the column IEN in the ArtifactDescriptor table.
	 */
	protected int ien;

	/** 
	 * This attribute maps to the column IsActive in the ArtifactDescriptor table.
	 */
	protected short isActive;

	/** 
	 * This attribute represents whether the primitive attribute isActive is null.
	 */
	protected boolean isActiveNull = true;

	/** 
	 * This attribute represents the foreign key relationship to the RetentionPolicy table.
	 */
	protected RetentionPolicy retentionPolicy;

	/**
	 * Method 'ArtifactDescriptor'
	 * 
	 */
	public ArtifactDescriptor()
	{
	}

	/**
	 * Method 'getIen'
	 * 
	 * @return int
	 */
	public int getIen()
	{
		return ien;
	}

	/**
	 * Method 'setIen'
	 * 
	 * @param ien
	 */
	public void setIen(int ien)
	{
		this.ien = ien;
	}

	/**
	 * Method 'getIsActive'
	 * 
	 * @return short
	 */
	public short getIsActive()
	{
		return isActive;
	}

	/**
	 * Method 'setIsActive'
	 * 
	 * @param isActive
	 */
	public void setIsActive(short isActive)
	{
		this.isActive = isActive;
		this.isActiveNull = false;
	}

	/** 
	 * Sets the value of isActiveNull
	 */
	public void setIsActiveNull(boolean isActiveNull)
	{
		this.isActiveNull = isActiveNull;
	}

	/** 
	 * Gets the value of isActiveNull
	 */
	public boolean isIsActiveNull()
	{
		return isActiveNull;
	}

	/**
	 * Method 'getRetentionPolicy'
	 * 
	 * @return RetentionPolicy
	 */
	public RetentionPolicy getRetentionPolicy()
	{
		return retentionPolicy;
	}

	/**
	 * Method 'setRetentionPolicy'
	 * 
	 * @param retentionPolicy
	 */
	public void setRetentionPolicy(RetentionPolicy retentionPolicy)
	{
		this.retentionPolicy = retentionPolicy;
	}

}
