/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.business.storage.hibernate;

import java.util.Set;
import java.util.HashSet;
import java.io.Serializable;
import java.util.Date;

public class ArtifactTransaction implements Serializable
{
	/** 
	 * This attribute maps to the column IEN in the ArtifactTransaction table.
	 */
	protected int ien;

	/** 
	 * This attribute maps to the column Status in the ArtifactTransaction table.
	 */
	protected int status;

	/** 
	 * This attribute represents whether the primitive attribute status is null.
	 */
	protected boolean statusNull = true;

	/** 
	 * This attribute maps to the column TransactionTimestamp in the ArtifactTransaction table.
	 */
	protected Date transactionTimestamp;

	/** 
	 * This attribute represents the foreign key relationship to the Artifact table.
	 */
	protected Artifact artifact;

	/** 
	 * This attribute represents the foreign key relationship to the Provider table.
	 */
	protected Provider provider;

	/**
	 * Method 'ArtifactTransaction'
	 * 
	 */
	public ArtifactTransaction()
	{
	}

	/**
	 * Method 'getIen'
	 * 
	 * @return int
	 */
	public int getIen()
	{
		return ien;
	}

	/**
	 * Method 'setIen'
	 * 
	 * @param ien
	 */
	public void setIen(int ien)
	{
		this.ien = ien;
	}

	/**
	 * Method 'getStatus'
	 * 
	 * @return int
	 */
	public int getStatus()
	{
		return status;
	}

	/**
	 * Method 'setStatus'
	 * 
	 * @param status
	 */
	public void setStatus(int status)
	{
		this.status = status;
		this.statusNull = false;
	}

	/** 
	 * Sets the value of statusNull
	 */
	public void setStatusNull(boolean statusNull)
	{
		this.statusNull = statusNull;
	}

	/** 
	 * Gets the value of statusNull
	 */
	public boolean isStatusNull()
	{
		return statusNull;
	}

	/**
	 * Method 'getTransactionTimestamp'
	 * 
	 * @return java.util.Date
	 */
	public java.util.Date getTransactionTimestamp()
	{
		return transactionTimestamp;
	}

	/**
	 * Method 'setTransactionTimestamp'
	 * 
	 * @param transactionTimestamp
	 */
	public void setTransactionTimestamp(java.util.Date transactionTimestamp)
	{
		this.transactionTimestamp = transactionTimestamp;
	}

	/**
	 * Method 'getArtifact'
	 * 
	 * @return Artifact
	 */
	public Artifact getArtifact()
	{
		return artifact;
	}

	/**
	 * Method 'setArtifact'
	 * 
	 * @param artifact
	 */
	public void setArtifact(Artifact artifact)
	{
		this.artifact = artifact;
	}

	/**
	 * Method 'getProvider'
	 * 
	 * @return Provider
	 */
	public Provider getProvider()
	{
		return provider;
	}

	/**
	 * Method 'setProvider'
	 * 
	 * @param provider
	 */
	public void setProvider(Provider provider)
	{
		this.provider = provider;
	}

}
