/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.business.storage.hibernate;

import java.util.Set;
import java.util.HashSet;
import java.io.Serializable;

public class RetentionPolicy implements Serializable
{
	/** 
	 * This attribute maps to the column IEN in the RetentionPolicy table.
	 */
	protected int ien;

	/** 
	 * This attribute maps to the column MinimumArchiveCopies in the RetentionPolicy table.
	 */
	protected int minimumArchiveCopies;

	/** 
	 * This attribute represents whether the primitive attribute minimumArchiveCopies is null.
	 */
	protected boolean minimumArchiveCopiesNull = true;

	/** 
	 * This attribute maps to the column MinimumOffsiteCopies in the RetentionPolicy table.
	 */
	protected int minimumOffsiteCopies;

	/** 
	 * This attribute represents whether the primitive attribute minimumOffsiteCopies is null.
	 */
	protected boolean minimumOffsiteCopiesNull = true;

	/** 
	 * This attribute maps to the column IsActive in the RetentionPolicy table.
	 */
	protected short isActive;

	/** 
	 * This attribute represents whether the primitive attribute isActive is null.
	 */
	protected boolean isActiveNull = true;

	/**
	 * Method 'RetentionPolicy'
	 * 
	 */
	public RetentionPolicy()
	{
	}

	/**
	 * Method 'getIen'
	 * 
	 * @return int
	 */
	public int getIen()
	{
		return ien;
	}

	/**
	 * Method 'setIen'
	 * 
	 * @param ien
	 */
	public void setIen(int ien)
	{
		this.ien = ien;
	}

	/**
	 * Method 'getMinimumArchiveCopies'
	 * 
	 * @return int
	 */
	public int getMinimumArchiveCopies()
	{
		return minimumArchiveCopies;
	}

	/**
	 * Method 'setMinimumArchiveCopies'
	 * 
	 * @param minimumArchiveCopies
	 */
	public void setMinimumArchiveCopies(int minimumArchiveCopies)
	{
		this.minimumArchiveCopies = minimumArchiveCopies;
		this.minimumArchiveCopiesNull = false;
	}

	/** 
	 * Sets the value of minimumArchiveCopiesNull
	 */
	public void setMinimumArchiveCopiesNull(boolean minimumArchiveCopiesNull)
	{
		this.minimumArchiveCopiesNull = minimumArchiveCopiesNull;
	}

	/** 
	 * Gets the value of minimumArchiveCopiesNull
	 */
	public boolean isMinimumArchiveCopiesNull()
	{
		return minimumArchiveCopiesNull;
	}

	/**
	 * Method 'getMinimumOffsiteCopies'
	 * 
	 * @return int
	 */
	public int getMinimumOffsiteCopies()
	{
		return minimumOffsiteCopies;
	}

	/**
	 * Method 'setMinimumOffsiteCopies'
	 * 
	 * @param minimumOffsiteCopies
	 */
	public void setMinimumOffsiteCopies(int minimumOffsiteCopies)
	{
		this.minimumOffsiteCopies = minimumOffsiteCopies;
		this.minimumOffsiteCopiesNull = false;
	}

	/** 
	 * Sets the value of minimumOffsiteCopiesNull
	 */
	public void setMinimumOffsiteCopiesNull(boolean minimumOffsiteCopiesNull)
	{
		this.minimumOffsiteCopiesNull = minimumOffsiteCopiesNull;
	}

	/** 
	 * Gets the value of minimumOffsiteCopiesNull
	 */
	public boolean isMinimumOffsiteCopiesNull()
	{
		return minimumOffsiteCopiesNull;
	}

	/**
	 * Method 'getIsActive'
	 * 
	 * @return short
	 */
	public short getIsActive()
	{
		return isActive;
	}

	/**
	 * Method 'setIsActive'
	 * 
	 * @param isActive
	 */
	public void setIsActive(short isActive)
	{
		this.isActive = isActive;
		this.isActiveNull = false;
	}

	/** 
	 * Sets the value of isActiveNull
	 */
	public void setIsActiveNull(boolean isActiveNull)
	{
		this.isActiveNull = isActiveNull;
	}

	/** 
	 * Gets the value of isActiveNull
	 */
	public boolean isIsActiveNull()
	{
		return isActiveNull;
	}

}
