/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.business.storage.hibernate;

import java.util.Set;
import java.util.HashSet;
import java.io.Serializable;
import java.util.Date;

public class RetentionPolicyFulfillment implements Serializable
{
	/** 
	 * This attribute maps to the column IEN in the RetentionPolicyFulfillment table.
	 */
	protected int ien;

	/** 
	 * This attribute maps to the column CreatedTimestamp in the RetentionPolicyFulfillment table.
	 */
	protected Date createdTimestamp;

	/** 
	 * This attribute represents the foreign key relationship to the ArtifactInstance table.
	 */
	protected ArtifactInstance artifactInstance;

	/** 
	 * This attribute represents the foreign key relationship to the ArtifactRetentionPolicy table.
	 */
	protected ArtifactRetentionPolicy artifactRetentionPolicy;

	/**
	 * Method 'RetentionPolicyFulfillment'
	 * 
	 */
	public RetentionPolicyFulfillment()
	{
	}

	/**
	 * Method 'getIen'
	 * 
	 * @return int
	 */
	public int getIen()
	{
		return ien;
	}

	/**
	 * Method 'setIen'
	 * 
	 * @param ien
	 */
	public void setIen(int ien)
	{
		this.ien = ien;
	}

	/**
	 * Method 'getCreatedTimestamp'
	 * 
	 * @return java.util.Date
	 */
	public java.util.Date getCreatedTimestamp()
	{
		return createdTimestamp;
	}

	/**
	 * Method 'setCreatedTimestamp'
	 * 
	 * @param createdTimestamp
	 */
	public void setCreatedTimestamp(java.util.Date createdTimestamp)
	{
		this.createdTimestamp = createdTimestamp;
	}

	/**
	 * Method 'getArtifactInstance'
	 * 
	 * @return ArtifactInstance
	 */
	public ArtifactInstance getArtifactInstance()
	{
		return artifactInstance;
	}

	/**
	 * Method 'setArtifactInstance'
	 * 
	 * @param artifactInstance
	 */
	public void setArtifactInstance(ArtifactInstance artifactInstance)
	{
		this.artifactInstance = artifactInstance;
	}

	/**
	 * Method 'getArtifactRetentionPolicy'
	 * 
	 * @return ArtifactRetentionPolicy
	 */
	public ArtifactRetentionPolicy getArtifactRetentionPolicy()
	{
		return artifactRetentionPolicy;
	}

	/**
	 * Method 'setArtifactRetentionPolicy'
	 * 
	 * @param artifactRetentionPolicy
	 */
	public void setArtifactRetentionPolicy(ArtifactRetentionPolicy artifactRetentionPolicy)
	{
		this.artifactRetentionPolicy = artifactRetentionPolicy;
	}

}
