/**
 * Package: MAG - VistA Imaging
 * WARNING: Per VHA Directive 2004-038, this routine should not be modified.
 * Date Created: Oct 1, 2008
 * Site Name:  Washington OI Field Office, Silver Spring, MD
 * @author ZZZZZZBECKEC
 * @version 1.0
 *
 * ----------------------------------------------------------------
 * Property of the US Government.
 * No permission to copy or redistribute this software is given.
 * Use of unreleased versions of this software requires the user
 * to execute a written test agreement with the VistA Imaging
 * Development Office of the Department of Veterans Affairs,
 * telephone (301) 734-0100.
 * 
 * The Food and Drug Administration classifies this software as
 * a Class II medical device.  As such, it may not be changed
 * in any way.  Modifications to this software may result in an
 * adulterated medical device under 21CFR820, the use of which
 * is considered to be a violation of US Federal Statutes.
 * ----------------------------------------------------------------
 */
 package gov.va.med.imaging.dd;
 
 import java.util.Date;
 import org.apache.log4j.*;
 import gov.va.med.imaging.*;
 import gov.va.med.imaging.core.interfaces.exceptions.*;
 import gov.va.med.imaging.core.interfaces.router.Command;
 import gov.va.med.imaging.core.interfaces.router.CommandFactory;
 import gov.va.med.imaging.core.CommandFactoryImpl;
 import gov.va.med.imaging.core.interfaces.router.AsynchronousCommandResultListener;
 import gov.va.med.exceptions.ValidationException;
 import javax.annotation.Generated;
 import gov.va.med.imaging.core.interfaces.router.CommandContext;

 import gov.va.med.imaging.exchange.business.*;
 import gov.va.med.imaging.exchange.business.dicom.*;
 import gov.va.med.imaging.exchange.business.vistarad.*;
 import gov.va.med.imaging.artifactsource.*;
 
 /*
 * This is generated code and is recreated on every build.
 * Do not make changes directly in this code, as they will be lost (without warning).
 * Changes may be made to the template that generated this code (FacadeRouterImpl.ftl in
 * the CoreRouterAnnotationProcessor project), such changes will be reflected in
 * all facade router implementations.
 * 
 * This code was generated using FreeMarker, an open-source template processing engine.
 * See http://www.freemarker.org for documentation on the template syntax.
 */
 @Generated(value="gov.va.med.imaging.core.codegenerator.FacadeRouterCodeGenerator")
 public class DataDictionaryRouterTest
 //extends gov.va.med.imaging.core.interfaces.router.AbstractFacadeRouterImpl 
 {
	
 	private Logger logger = Logger.getLogger(this.getClass());
 	
 	private Logger getLogger()
 	{
 		return logger;
 	}
 	
 	private CommandFactory commandFactory = new CommandFactoryImpl((CommandContext)null);
 	private CommandFactory getCommandFactory()
 	{
 		return commandFactory;
 	}
 
 	/**
 	* The constructor is public so this tester can be created to test
 	*/
 	public DataDictionaryRouterTest()
 	{
 		super();
 	}
 
 		 	/*
 	* Generated method, modifications will be overwritten when project is built
 	*
 	* The template for this method may be found in FacadeRouterSynchronousMethodImpl.ftl
 	*/
 	@SuppressWarnings("unchecked")
 	public void getDataDictionaryValues(
 			gov.va.med.imaging.exchange.business.dd.DataDictionaryQuery dataDictionaryQuery
 		 ) 
 		throws ValidationException
 		{
 			getLogger().info("Searching for command 'GetDataDictionaryValuesCommand' and parameters 'gov.va.med.imaging.exchange.business.dd.DataDictionaryQuery'.");
	 			boolean result = getCommandFactory().isCommandSupported(
	 				 gov.va.med.imaging.exchange.business.dd.DataDictionaryResult.class, 
	 				"GetDataDictionaryValuesCommand",
	 				"",
 					new Class<?>[]{
				 		 gov.va.med.imaging.exchange.business.dd.DataDictionaryQuery.class 
		  			},
 					new Object[]{
				 		dataDictionaryQuery
		  			}
		  		);
		  		if(!result)
		  			throw new ValidationException("Cannot create command 'GetDataDictionaryValuesCommand' in method 'getDataDictionaryValues' with parameters 'gov.va.med.imaging.exchange.business.dd.DataDictionaryQuery'.");
 		}

 		 	/*
 	* Generated method, modifications will be overwritten when project is built
 	*
 	* The template for this method may be found in FacadeRouterSynchronousMethodImpl.ftl
 	*/
 	@SuppressWarnings("unchecked")
 	public void getDataDictionaryFile(
 			java.lang.String fileNumber
 		 ) 
 		throws ValidationException
 		{
 			getLogger().info("Searching for command 'GetDataDictionaryFileCommand' and parameters 'java.lang.String'.");
	 			boolean result = getCommandFactory().isCommandSupported(
	 				 gov.va.med.imaging.exchange.business.dd.DataDictionaryFile.class, 
	 				"GetDataDictionaryFileCommand",
	 				"",
 					new Class<?>[]{
				 		 java.lang.String.class 
		  			},
 					new Object[]{
				 		fileNumber
		  			}
		  		);
		  		if(!result)
		  			throw new ValidationException("Cannot create command 'GetDataDictionaryFileCommand' in method 'getDataDictionaryFile' with parameters 'java.lang.String'.");
 		}

 		 	/*
 	* Generated method, modifications will be overwritten when project is built
 	*
 	* The template for this method may be found in FacadeRouterSynchronousCollectionMethodImpl.ftl
 	*/
 	@SuppressWarnings("unchecked")
 	public void getDataDictionaryFiles(
 ) 
 		throws ValidationException
 		{
 			getLogger().info("Searching for command 'GetDataDictionaryFilesCommand' and parameters ''.");
 			boolean result = getCommandFactory().isCollectionCommandSupported(
 				 java.util.List.class, 
 				 gov.va.med.imaging.exchange.business.dd.DataDictionaryFile.class, 
 				"GetDataDictionaryFilesCommand",
 				"",
				new Class<?>[]{
				 	 
	  			},
				new Object[]{
			 		
	  			}
	  		);
      
			if(!result)
	  			throw new ValidationException("Cannot create command 'GetDataDictionaryFilesCommand' in method 'getDataDictionaryFiles' with parameters ''.");
 		}

 		 	/*
 	* Generated method, modifications will be overwritten when project is built
 	*
 	* The template for this method may be found in FacadeRouterSynchronousMethodImpl.ftl
 	*/
 	@SuppressWarnings("unchecked")
 	public void getDataDictionaryValue(
 			gov.va.med.imaging.exchange.business.dd.DataDictionaryEntryQuery dataDictionaryEntryQuery
 		 ) 
 		throws ValidationException
 		{
 			getLogger().info("Searching for command 'GetDataDictionaryValueCommand' and parameters 'gov.va.med.imaging.exchange.business.dd.DataDictionaryEntryQuery'.");
	 			boolean result = getCommandFactory().isCommandSupported(
	 				 gov.va.med.imaging.exchange.business.dd.DataDictionaryResultEntry.class, 
	 				"GetDataDictionaryValueCommand",
	 				"",
 					new Class<?>[]{
				 		 gov.va.med.imaging.exchange.business.dd.DataDictionaryEntryQuery.class 
		  			},
 					new Object[]{
				 		dataDictionaryEntryQuery
		  			}
		  		);
		  		if(!result)
		  			throw new ValidationException("Cannot create command 'GetDataDictionaryValueCommand' in method 'getDataDictionaryValue' with parameters 'gov.va.med.imaging.exchange.business.dd.DataDictionaryEntryQuery'.");
 		}

 		 	/*
 	* Generated method, modifications will be overwritten when project is built
 	*
 	* The template for this method may be found in FacadeRouterSynchronousMethodImpl.ftl
 	*/
 	@SuppressWarnings("unchecked")
 	public void getFileManEntryByValue(
 			java.lang.String fileNum
 		 			, java.lang.String keyName
 		 			, java.lang.String keyValue
 		 ) 
 		throws ValidationException
 		{
 			getLogger().info("Searching for command 'GetFileManEntryByValueCommand' and parameters 'java.lang.String, java.lang.String, java.lang.String'.");
	 			boolean result = getCommandFactory().isCommandSupported(
	 				 java.lang.String[].class, 
	 				"GetFileManEntryByValueCommand",
	 				"",
 					new Class<?>[]{
				 		 java.lang.String.class, java.lang.String.class, java.lang.String.class 
		  			},
 					new Object[]{
				 		fileNum,keyName,keyValue
		  			}
		  		);
		  		if(!result)
		  			throw new ValidationException("Cannot create command 'GetFileManEntryByValueCommand' in method 'getFileManEntryByValue' with parameters 'java.lang.String, java.lang.String, java.lang.String'.");
 		}

 }