/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.dd.rest.types;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="dataDictionaryFileField")
public class DataDictionaryFileFieldType
{	
	private String fieldNumber;
	private String fieldName;
	private String pointerFileNumber;
	
	public DataDictionaryFileFieldType()
	{
		super();
	}
	
	public DataDictionaryFileFieldType(String fieldNumber, String fieldName)
	{
		super();
		this.fieldNumber = fieldNumber;
		this.fieldName = fieldName;
	}
	
	@XmlElement(name="number")
	public String getFieldNumber()
	{
		return fieldNumber;
	}
	
	public void setFieldNumber(String fieldNumber)
	{
		this.fieldNumber = fieldNumber;
	}
	
	@XmlElement(name="name")
	public String getFieldName()
	{
		return fieldName;
	}
	
	public void setFieldName(String fieldName)
	{
		this.fieldName = fieldName;
	}

	public void setPointerFileNumber(String filePointerNumber) {
		this.pointerFileNumber = filePointerNumber;
	}

	public String getPointerFileNumber() {
		return pointerFileNumber;
	}
}
