/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.datasource;

import java.io.Serializable;

import gov.va.med.imaging.exchange.business.StudyFilter;

/**
 * A Serializable value object used to store the parameters to a getPatientStudies() call
 * for testing.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class GetPatientStudiesParameters
implements Serializable
{
	private static final long serialVersionUID = 1L;
	private final StudyFilter filter;
	private final String patientIcn;
	
	public GetPatientStudiesParameters(StudyFilter filter, String patientIcn)
    {
	    super();
	    this.filter = filter;
	    this.patientIcn = patientIcn;
    }

	public StudyFilter getFilter()
    {
    	return filter;
    }

	public String getPatientIcn()
    {
    	return patientIcn;
    }
}
