/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.dicom.importer.rest.exceptions;

import gov.va.med.imaging.exchange.business.dicom.importer.exceptions.OutsideLocationConfigurationException;

public class ImporterExceptionCodes 
{
	/**
	* Error code for a generic MethodException
	*/
	public final static int internalServerErrorCode = 500;
	
	/**
	* Error code for a WorkItemNotFoundException
	*/
	public final static int workItemNotFoundErrorCode = 1000;
	
	/**
	* Error code for an InvalidSecurityCredentialsException
	*/
	public final static int invalidWorkItemStatusErrorCode = 1001;
	
	/** 
	 * Error code for an OutsideLocationConfigurationException
	 */
	public final static int outsideLocationConfigurationErrorCode = 2000;
	
}
