/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.dicom.importer.rest.exceptions;

import gov.va.med.imaging.core.interfaces.exceptions.InvalidWorkItemStatusException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.core.interfaces.exceptions.WorkItemNotFoundException;
import gov.va.med.imaging.exchange.business.dicom.importer.exceptions.OutsideLocationConfigurationException;

import javax.ws.rs.ext.Provider;

@Provider
public class ImporterMethodExceptionMapper extends RestExceptionMapper<MethodException> 
{
    protected Throwable getRelevantException(MethodException ce)
    {
    	if (ce.getCause() != null)
    	{
    		return ce.getCause();
    	}
    	else
    	{
    		return ce;
    	}
    }
    
	@Override
	protected int getErrorCode(Throwable relevantException)
	{
		if(relevantException instanceof WorkItemNotFoundException)
			return ImporterExceptionCodes.workItemNotFoundErrorCode;
		
		if(relevantException instanceof InvalidWorkItemStatusException)
			return ImporterExceptionCodes.invalidWorkItemStatusErrorCode;
		
		if(relevantException instanceof OutsideLocationConfigurationException)
			return ImporterExceptionCodes.outsideLocationConfigurationErrorCode;
		
		return ImporterExceptionCodes.internalServerErrorCode;
	}

}
