/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Oct 8, 2010
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.proxy;

import gov.va.med.imaging.SizedInputStream;
import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageConversionException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageNearLineException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageNotFoundException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.core.interfaces.exceptions.SecurityCredentialsExpiredException;
import gov.va.med.imaging.exchange.business.ImageFormatQualityList;
import gov.va.med.imaging.exchange.enums.ImageQuality;
import gov.va.med.imaging.proxy.services.ProxyService;

/**
 * @author zzzzzzwerfej
 *
 */
public interface ExchangeProxy
{
	/*
	public SizedInputStream getInstance(String imageUrn, ImageFormatQualityList requestFormatQualityList, 
			Checksum checksum) 
	throws ImageNearLineException, ImageNotFoundException, 
		SecurityCredentialsExpiredException, ImageConversionException, ConnectionException, MethodException;
		*/
	
	public SizedInputStream getInstance(String imageUrn, ImageFormatQualityList requestFormatQualityList, 
			boolean includeVistaSecurityContext) 
	throws ImageNearLineException, ImageNotFoundException, 
		SecurityCredentialsExpiredException, ImageConversionException, MethodException, ConnectionException;
	
	public ProxyService getImageProxyService();
	
	public String getResponseChecksum();
	
	public ImageQuality getRequestedQuality();
	
	public String getAlienSiteNumber();
}
