/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jul 28, 2009
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.federation.proxy;

import gov.va.med.imaging.SizedInputStream;
import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageConversionException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageNearLineException;
import gov.va.med.imaging.core.interfaces.exceptions.ImageNotFoundException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.core.interfaces.exceptions.SecurityCredentialsExpiredException;
import gov.va.med.imaging.exchange.business.ImageFormatQualityList;
import gov.va.med.imaging.exchange.enums.ImageQuality;

import java.util.zip.Checksum;

/**
 * Interface defining operations available by the Federation proxies
 * 
 * @author zzzzzzwerfej
 *
 */
public interface IFederationProxy 
{
	public SizedInputStream getInstance(String imageUrn, ImageFormatQualityList requestFormatQualityList, 
			Checksum checksum, boolean includeVistaSecurityContext) 
	throws ImageNearLineException, ImageNotFoundException, 
	SecurityCredentialsExpiredException, ImageConversionException, MethodException, ConnectionException;
	
	public SizedInputStream getInstance(String imageUrn, ImageFormatQualityList requestFormatQualityList, 
			boolean includeVistaSecurityContext) 
	throws ImageNearLineException, ImageNotFoundException,
	SecurityCredentialsExpiredException, ImageConversionException, MethodException, ConnectionException;
	
	public SizedInputStream getPatientIdentifierImage(String patientIcn, String siteNumber)
	throws MethodException, ConnectionException, ImageNotFoundException;
	
	public int getFileLength();
	
	public String getTxtChecksum();
	
	public String getImageChecksum();
	
	public int getTxtLength();
	
	public ImageQuality getRequestedQuality();
}
