/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe;

/**
 * @author zzzzzzbeckec
 *
 * the standardized parameter names from:
 * IHE IT Infrastructure Technical Framework, vol. 2 (ITI TF-2): Transactions
 * 
 */
public enum FindDocumentStoredQueryParameterNames
{
	patientId("$XDSDocumentEntryPatientId"),
	classCode("$XDSDocumentEntryClassCode"),
	classCodeScheme("$XDSDocumentEntryClassCodeScheme"),
	practiceSettingCode("$XDSDocumentEntryPracticeSettingCode"),
	practiceSettingCodeScheme("$XDSDocumentEntryPracticeSettingCode"),
	creationTimeFrom("$XDSDocumentEntryCreationTimeFrom"),
	creationTimeTo("$XDSDocumentEntryCreationTimeTo"),
	serviceStartTimeFrom("$XDSDocumentEntryServiceStartTimeFrom"),
	serviceStartTimeTo("$XDSDocumentEntryServiceStartTimeTo"),
	serviceStopTimeFrom("$XDSDocumentEntryServiceStopTimeFrom"),
	serviceStopTimeTo("$XDSDocumentEntryServiceStopTimeTo"),
	healthcareFacilityTypeCode("$XDSDocumentEntryHealthcareFacilityTypeCode"),
	healthcareFacilityTypeCodeScheme("$XDSDocumentEntryHealthcareFacilityTypeCodeScheme"),
	eventCodeList("$XDSDocumentEntryEventCodeList"),
	eventCodeListScheme("$XDSDocumentEntryEventCodeListScheme"),
	confidentialityCodeList("$XDSDocumentEntryConfidentialityCode"),
	confidentialityCodeListScheme("$XDSDocumentEntryConfidentialityCodeScheme"),
	author("$XDSDocumentEntryAuthorPerson4"),
	formatCode("$XDSDocumentEntryFormatCode"),
	entryStatus("$XDSDocumentEntryStatus");

	private final String key;
	
	FindDocumentStoredQueryParameterNames(String key)
	{
		this.key = key;
	}

	public String getKey()
	{
		return this.key;
	}

	@Override
	public String toString()
	{
		return getKey();
	}
	
	/**
	 * 
	 * @param key
	 * @return
	 */
	public static FindDocumentStoredQueryParameterNames valueOfKey(String key)
	{
		if(key == null)
			return null;
		
		for(FindDocumentStoredQueryParameterNames qp : FindDocumentStoredQueryParameterNames.values())
			if(key.equals(qp.key))
				return qp;
		
		return null;
	}
}
