/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.request;

import gov.va.med.imaging.ihe.TransactionType;

/**
 * Encapsulates the parameters passed in a stored query request, either
 * an ITI-18 or ITI-39 in IHE Transactions world.
 * 
 * @author zzzzzzbeckec
 *
 */
public abstract class StoredQueryRequest
extends QueryRequest
{
	private final long maxResults;
	private final boolean returnComposedObject;
	private final java.net.URI queryUUID;
	private final StoredQueryParameterList parameters;
	
	/**
	 * @param maxResults
	 * @param returnComposedObject
	 */
	public StoredQueryRequest(
			TransactionType transactionType, 
			java.net.URI queryUUID, 
			long maxResults, 
			boolean returnComposedObject, 
			StoredQueryParameterList parameters)
	{
		super(transactionType);
		this.queryUUID = queryUUID;
		this.maxResults = maxResults;
		this.returnComposedObject = returnComposedObject;
		this.parameters = parameters;
	}
	
	public java.net.URI getQueryUUID()
	{
		return this.queryUUID;
	}

	public long getMaxResults()
	{
		return this.maxResults;
	}
	
	public boolean isReturnComposedObject()
	{
		return this.returnComposedObject;
	}

	public StoredQueryParameterList getParameters()
	{
		return this.parameters;
	} 
	
}
