/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.request.filter;

/**
 * A binary term, consisting of two filter terms joined by an OR operator.
 * 
 * @author zzzzzzbeckec
 *
 */
public class DisjunctionTerm
extends BinaryTerm
{
	public DisjunctionTerm(FilterTerm leftTerm, FilterTerm rightTerm)
	{
		super(leftTerm, rightTerm);
	}
	
	@Override
	public boolean matches(String value) 
	throws InvalidTermValueFormatException
	{
		return getLeftTerm().matches(value) && getRightTerm().matches(value);
	}

	@Override
	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		
		sb.append(getLeftTerm().toString());
		sb.append(" OR ");
		sb.append(getRightTerm().toString());
		
		return sb.toString();
	}
}
