/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.request.filter;

import java.util.Iterator;


/**
 * 
 * @author zzzzzzbeckec
 *
 */
public abstract class FilterTerm
{
	private String codingScheme;
	
	/**
	 * @param codingScheme
	 */
	public FilterTerm(String codingScheme)
	{
		super();
		this.codingScheme = codingScheme;
	}
	
	public FilterTerm()
	{
		super();
		this.codingScheme = null;
	}
	
	public abstract boolean matches(String value) 
	throws InvalidTermValueFormatException;

	public String getCodingScheme()
	{
		return this.codingScheme;
	}
	
	public void setCodingScheme(String codingScheme)
	{
		this.codingScheme = codingScheme;
	}

	public abstract Iterator<SimpleTerm> getSimpleTermIterator();
}
