/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.xca;

/**
 * @author zzzzzzbeckec
 *
 * document status types
 * VA returns only status of 'Approved'
 */
public enum DocumentStatus
{
	submitted("urn:oasis:names:tc:ebxml-regrep:StatusType:Submitted"),
	approved("urn:oasis:names:tc:ebxml-regrep:StatusType:Approved"),
	deprecated("urn:oasis:names:tc:ebxml-regrep:StatusType:Deprecated");
	
	private final String key;
	
	DocumentStatus(String key)
	{
		this.key = key;
	}

	public String getKey()
	{
		return this.key;
	}

	@Override
	public String toString()
	{
		return getKey();
	}
	
	/**
	 * 
	 * @param key
	 * @return
	 */
	public static DocumentStatus valueOfKey(String key)
	{
		if(key == null)
			return null;
		
		for(DocumentStatus qp : DocumentStatus.values())
			if(key.equals(qp.key))
				return qp;
		
		return null;
	}

}
