/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.terminology;

import java.net.URI;
import java.net.URISyntaxException;
import org.apache.log4j.Logger;

/**
 * An implementation of SchemeTranslationSPI that simply returns the given
 * source codes.  This translator may be invoked when there is no translation to do.
 * 
 * @author zzzzzzbeckec
 *
 */
public class IdentitySchemeTranslation
implements SchemeTranslationSPI
{
	private final CodingScheme scheme;
	
	/**
	 * 
	 * @param scheme
	 * @return
	 */
	public static IdentitySchemeTranslation create(CodingScheme scheme) 
	{
		return new IdentitySchemeTranslation(scheme);
	}
	
	/**
	 * @param sourceScheme
	 * @param sourceScheme2
	 */
	private IdentitySchemeTranslation(CodingScheme scheme)
	{
		this.scheme = scheme;
	}

	@Override
	public CodingScheme getDestinationCodingScheme()
	{
		return scheme;
	}

	@Override
	public CodingScheme getSourceCodingScheme()
	{
		return scheme;
	}

	/**
	 * @throws URISyntaxException 
	 * @see gov.va.med.imaging.terminology.SchemeTranslationSPI#translate(java.lang.String)
	 */
	@Override
	public ClassifiedValue[] translate(String sourceCode) 
	{
		return new ClassifiedValue[]{ new ClassifiedValue(scheme, sourceCode) };
	}

}
