/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.request;

import gov.va.med.imaging.ihe.exceptions.ParameterFormatException;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestStoredQueryParameter
extends TestCase
{
	
	public void testValidValues() 
	throws ParameterFormatException
	{
		StoredQueryParameter parameter = new StoredQueryParameter("a", new String[]{});
		assertNull( parameter.getValueAsString() );

		parameter = new StoredQueryParameter("d", new String[]{"'200305010903'"});
		assertNotNull( parameter.getValueAsString() );
		try
		{ 
			parameter.getValueAsDate();
			fail("Single quoted string should not be interpretable as a Date");
		}
		catch(ParameterFormatException pfX){}
		
		// allowing string values withouy quotes because that is what HAIMS supplies
		parameter = new StoredQueryParameter("d", new String[]{"200305010903"});
		try
		{ 
			parameter.getValueAsString();
			//fail("String parameters must be surronded by single quotes.");
		}
		catch(ParameterFormatException pfX){}
		assertNotNull( parameter.getValueAsDate() );
		
		parameter = new StoredQueryParameter("i", new String[]{"42"});
		assertNotNull( parameter.getValueAsInt() );
		
		parameter = new StoredQueryParameter("f", new String[]{"42.3"});
		assertNotNull( parameter.getValueAsFloat() );
	}
}
