/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.ihe.request;

import gov.va.med.imaging.ihe.exceptions.ParameterFormatException;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestStoredQueryParameterList
extends TestCase
{
	public void testSimpleAdd() 
	throws ParameterFormatException
	{
		StoredQueryParameterList list = new StoredQueryParameterList();
		
		list.add( new StoredQueryParameter("name1", new String[]{"'a'"}) );
		assertNotNull( list.getByName("name1") );
		assertNotNull( list.getByName("name1").getFilterTerm() );
		
		list.add( new StoredQueryParameter("name2", new String[]{"'a'", "'b'"}) );
		assertNotNull( list.getByName("name2") );
		assertNotNull( list.getByName("name2").getFilterTerm() );
		
		list.add( new StoredQueryParameter("name3", new String[]{"'a'", "'b'", "'c'"}) );
		assertNotNull( list.getByName("name3") );
		assertNotNull( list.getByName("name3").getFilterTerm() );
		
		list.add( new StoredQueryParameter("name4", new String[]{"1"}) );
		assertNotNull( list.getByName("name4") );
		assertNotNull( list.getByName("name4").getValueAsInt() );
		
		list.add( new StoredQueryParameter("name5", new String[]{"1", "2"}) );
		assertNotNull( list.getByName("name3").getFilterTerm() );
	}
	
	public void testMergingAdd()
	{
		
	}
	
	public void testCodingSchemeMergingAdd()
	{
		
	}
}
