/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.terminology;

import java.net.URISyntaxException;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestSchemeTranslation
extends TestCase
{
	private SchemeTranslationServiceFactory factory;
	
	@Override
	protected void setUp() 
	throws Exception
	{
		super.setUp();
		factory = SchemeTranslationServiceFactory.getFactory();
	}

	public void testInstalledTranslatorsPresence() 
	throws URISyntaxException
	{
		assertNotNull( 
			factory.getSchemeTranslator(CodingScheme.LOINC, CodingScheme.VADOCUMENTCLASS)
		);
		
		assertNotNull( 
			factory.getSchemeTranslator(CodingScheme.SNOMED, CodingScheme.VASPECIALTY)
		);
		assertNotNull( 
			factory.getSchemeTranslator(CodingScheme.VASPECIALTY, CodingScheme.SNOMED)
		);
		assertNotNull( 
			factory.getSchemeTranslator(CodingScheme.SNOMED, CodingScheme.VAPROCEDURE)
		);
		assertNotNull( 
			factory.getSchemeTranslator(CodingScheme.VAPROCEDURE, CodingScheme.SNOMED)
		);
			
		assertNotNull( 
			factory.getSchemeTranslator("VIProperties", CodingScheme.SNOMED, CodingScheme.VASPECIALTY)
		);
		assertNotNull( 
			factory.getSchemeTranslator("VIProperties", CodingScheme.VASPECIALTY, CodingScheme.SNOMED)
		);
		assertNotNull( 
			factory.getSchemeTranslator("VIProperties", CodingScheme.SNOMED, CodingScheme.VAPROCEDURE)
		);
		assertNotNull( 
			factory.getSchemeTranslator("VIProperties", CodingScheme.VAPROCEDURE, CodingScheme.SNOMED)
		);
	}
	
}
