/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;


/**
 * This interface is implemented by a number of resource identifiers and provides
 * the community, repository and document IDs as discrete components.
 * The fact that this interface extends RoutingToken implies that any class
 * implementing this interface is a route-able identifier.
 * 
 * GlobalArtifactIdentifier realizations should also implement the following static
 * methods:
 * public static GlobalArtifactIdentifier createFromGlobalArtifactIdentifiers(String, String, String);
 * public static boolean isApplicableHomeCommunityId();
 * 
 * 
 * @author zzzzzzbeckec
 *
 */
public interface GlobalArtifactIdentifier
extends Comparable<GlobalArtifactIdentifier>, RoutingToken, Cloneable
{
	/**
	 * 
	 * @return
	 */
	public abstract String getDocumentUniqueId();
	
	/**
	 * 
	 * @param that
	 * @return
	 */
	public abstract boolean equalsGlobalArtifactIdentifier(GlobalArtifactIdentifier that);
	
	/**
	 * 
	 * @return
	 */
	public abstract GlobalArtifactIdentifier clone()
	throws CloneNotSupportedException;
	
	/**
	 * @return
	 */
	public abstract String toString(SERIALIZATION_FORMAT serializationFormat);
}
