/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

import java.util.regex.Pattern;


/**
 * @author zzzzzzbeckec
 *
 */
public interface GlobalArtifactURN
{
	public static final String NSS_DELIMITER = ":";
	public static final String COMMUNITY_ID_REGEX = "[a-zA-Z0-9_\\-\\.]+";		// may not contain colon character
	public static final String REPOSITORY_ID_REGEX = "[a-zA-Z0-9_\\-\\.]+";		// may not contain colon character
	public static final String DOCUMENT_ID_REGEX = "[a-zA-Z0-9:_\\-\\.]+";		// may contain colon character
	public static final String NSS_REGEX = 
		"("+COMMUNITY_ID_REGEX+")" + NSS_DELIMITER + 
		"("+REPOSITORY_ID_REGEX+")" + NSS_DELIMITER +
		"("+DOCUMENT_ID_REGEX+")";
	public static final int COMMUNITY_ID_GROUP = 1;
	public static final int REPOSITORY_ID_GROUP = 2;
	public static final int DOCUMENT_ID_GROUP = 3;

	public static final Pattern COMMUNITY_ID_PATTERN = Pattern.compile(COMMUNITY_ID_REGEX);
	public static final Pattern REPOSITORY_ID_PATTERN = Pattern.compile(REPOSITORY_ID_REGEX);
	public static final Pattern DOCUMENT_ID_PATTERN = Pattern.compile(DOCUMENT_ID_REGEX);
	public static final Pattern NSS_PATTERN = Pattern.compile(NSS_REGEX);
	
	/**
	 * 
	 * @return
	 */
	public abstract String getHomeCommunityId();

	/**
	 * 
	 * @return
	 */
	public abstract String getRepositoryUniqueId();
	
	/**
	 * 
	 * @return
	 */
	public abstract String getDocumentUniqueId();
	
}
