/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

/**
 * An InvocationHandler that passes all calls and parameters through to the
 * proxied object.  This class may be used to work around class loader issues.
 * 
 * @author zzzzzzbeckec
 *
 */
public class IdentityProxyInvocationHandler <T>
implements InvocationHandler
{
	private T proxiedObject;
	private Class<T> proxiedObjectClass;
	
	/**
	 * @param proxiedObject
	 */
	@SuppressWarnings("unchecked")
	public IdentityProxyInvocationHandler(Object proxiedObject, Class<?> proxiedObjectClass)
	{
		super();
		this.proxiedObject = (T)proxiedObject;
		this.proxiedObjectClass = (Class<T>)proxiedObjectClass;
	}

	/* (non-Javadoc)
	 * @see java.lang.reflect.InvocationHandler#invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])
	 */
	@Override
	public Object invoke(Object proxy, Method method, Object[] args)
	throws Throwable
	{
		Method proxiedMethod = proxiedObjectClass.getMethod(method.getName(), method.getParameterTypes());

		return proxiedMethod.invoke(proxiedObject, args);
	}
}
