/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

import javax.naming.Context;
import javax.naming.NameClassPair;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;

/**
 * @author zzzzzzbeckec
 *
 */
public class JndiUtility
{
	public static String contextDump(Context ctx, String root, boolean recurse) 
	{
		return contextDump(ctx, root, recurse, 0);
	}
	
	private static String contextDump(Context ctx, String root, boolean recurse, int level) 
	{
		StringBuilder sb = new StringBuilder();
		try
		{
			for( NamingEnumeration<NameClassPair> list = ctx.list(root); list.hasMore(); ) 
			{
			    NameClassPair nc = list.next();
			    for(int t=0; t<level; ++t)
			    	sb.append('\t');
			    sb.append(nc);
		    	sb.append("line.separator");
		    	if(recurse)
		    	{
		    		String childPath = root.length() > 0 ? root + "/" + nc.getName() : nc.getName();
		    		contextDump(ctx, childPath, recurse, level+1);
		    	}
			}
		}
		catch(NamingException nX)
		{
			sb.append(nX.getMessage());
		}
		
		return sb.toString();
	}
}
