/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

/**
 * @author zzzzzzbeckec
 * 
 * The top-level Internet media types, of which their are seven
 * currently defined.
 * 
 * @see http://tools.ietf.org/html/rfc2046
 *
 */
public enum TopLevelMediaType
{
	TEXT("text"),
	IMAGE("image"),
	AUDIO("audio"),
	VIDEO("video"),
	APPLICATION("application"),
	MULTIPART("multipart"),
	MESSAGE("message");
	
	private final String value;
	TopLevelMediaType(String value)
	{
		this.value = value;
	}
	
	public static TopLevelMediaType lookup(String value)
	{
		if(value == null)
			return null;
		
		for(TopLevelMediaType topLevelMediaType : TopLevelMediaType.values())
			if(value.equalsIgnoreCase(topLevelMediaType.value))
				return topLevelMediaType;
		
		return null;
	}
}
