/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;


public class ClassLoaderUtilities
{
	public static String getClassLoaderHierarchy(Object object)
	{
		StringBuffer sb = new StringBuffer();
		
		for( ClassLoader loader = object.getClass().getClassLoader(); loader != null; loader = loader.getParent() )
		{
			Class loaderClass = loader.getClass();
			
			sb.append("ClassLoader class name '");
			sb.append( loader.getClass().getName() );
			sb.append("' instance '");
			sb.append( loader.hashCode() );
			sb.append("'\n");
			
			Method[] classLoaderMethods = loaderClass.getDeclaredMethods();
			for(Method method: classLoaderMethods)
			{
				sb.append("\t");
				sb.append( Modifier.toString(method.getModifiers()) );
				sb.append(' ');
				sb.append(method.getName());
				sb.append("(");
				for( Class<?> parameterClass: method.getParameterTypes() )
				{
					sb.append(parameterClass.getName());
					sb.append(",");
				}
				sb.append(")");
				sb.append("\n");
			}
			
			sb.append("\n");
		}
		return sb.toString();
	}
	
	public static void main(String[] args)
	{
		System.out.println( getClassLoaderHierarchy(new ClassLoaderUtilities()) );
	}
}
