/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging;

import java.beans.BeanInfo;
import java.beans.DefaultPersistenceDelegate;
import java.beans.Encoder;
import java.beans.Expression;
import java.beans.IntrospectionException;
import java.beans.Introspector;

/**
 * For each enum that must be serialized with XMLEncoder add the following line:
 * static { EnumPersistenceDelegate.installFor(values()[0].getClass()); }
 * 
 */
public class EnumPersistenceDelegate extends DefaultPersistenceDelegate
{
	private static EnumPersistenceDelegate epd = new EnumPersistenceDelegate();

	public static void installFor(Class<? extends Enum> enumClass)
	{
		try
		{
			BeanInfo info = Introspector.getBeanInfo(enumClass);
			info.getBeanDescriptor().setValue("persistenceDelegate", epd);
		} catch (IntrospectionException exception)
		{
			// Do whatever you'd normally do with exceptions here
			exception.printStackTrace();
		}
	}

	protected Expression instantiate(Object oldInstance, Encoder out)
	{
		return new Expression(Enum.class, "valueOf", new Object[] { oldInstance.getClass(), ((Enum) oldInstance).name() });
	}

	protected boolean mutatesTo(Object oldInstance, Object newInstance)
	{
		return oldInstance == newInstance;
	}
}
