/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging;

/**
 * @author ZZZZZZBECKEC
 * 
 * The Equivalence interface was intended as a testing assist.  
 * The intent is to allow determination of the equivalence of two
 * objects with respect to everything but artificial keys, in 
 * that respect it is an opposite to .equals().
 * 
 * The contract for equivalent is as follows:
 * For object A, object B is equivalent if for all fields other than artificial
 * keys A.field.equals(B.field) returns true.
 * 
 * The originating usage was in testing results of queries.  For the same
 * parameters the results should be equivalent.  For the ViX the results include
 * a transaction ID which is globally unique.  Comparing the results of two
 * requests is done on everything but the transaction ID.
 * 
 */
public interface Equivalence
{
	/**
	 * Returns true if the given instance is equivalent to this instance.
	 * Equivalent means that all fields but artificial keys are equal.
	 * 
	 * @param obj
	 * @return
	 */
	public boolean equivalent(Object obj);
}
