/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging;

import java.io.IOException;
import java.io.InputStream;

/**
 * 
 * @author ZZZZZZTITTOC
 *
 * SizedInputStream carries the byte size along an InputStream to support size for not file based streams.
 */

public class SizedInputStream
{
	private InputStream inStream = null;
	private int byteSize = 0;

	/**
	 * Construct a usable SizedInputStream.
	 * @param inStream
	 * @param byteSize
	 */
	public SizedInputStream(InputStream inStream, int byteSize)
    {
	    super();
	    this.inStream = inStream;
	    this.byteSize = byteSize;
    }
    
	public InputStream getInStream() {
		return inStream;
	}

	public void setInStream(InputStream inStream) {
		this.inStream = inStream;
	}

	public int getByteSize() {
		return byteSize;
	}

	public void setByteSize(int byteSize) {
		this.byteSize = byteSize;
	}

	public void close()
	throws IOException {
		if (inStream != null) {
			inStream.close();
		}
		byteSize = 0;
	}
}
