/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.channels;

import gov.va.med.imaging.channels.AbstractBytePump.MEDIUM;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
class PumpClass
{
	private String name;
	private MEDIUM medium;
	
	public PumpClass(String name, MEDIUM medium)
	{
		super();
		this.name = name;
		this.medium = medium;
	}

	public MEDIUM getMedium()
	{
		return this.medium;
	}

	public String getName()
	{
		return this.name;
	}

	@Override
	public int hashCode()
	{
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((this.medium == null) ? 0 : this.medium.hashCode());
		result = PRIME * result + ((this.name == null) ? 0 : this.name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		final PumpClass other = (PumpClass) obj;
		if (this.medium == null)
		{
			if (other.medium != null)
				return false;
		} else if (!this.medium.equals(other.medium))
			return false;
		if (this.name == null)
		{
			if (other.name != null)
				return false;
		} else if (!this.name.equals(other.name))
			return false;
		return true;
	}

	@Override
	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		sb.append(this.getClass().getName());
		sb.append(".");
		sb.append("medium=" + this.medium);
		sb.append(".");
		sb.append("name=" + this.name);
		
		return sb.toString();
	}
}
