/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.monitor;

import java.io.Serializable;

/**
 * @author ZZZZZZBECKEC
 *
 */
public class DriveLimitMemento
implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String driveIdentifier;
	private String limitType;
	private String limitStatistic;
	private String limit;

	public static DriveLimitMemento create(DriveLimit driveLimit)
	{
		DriveLimitMemento memento = new DriveLimitMemento();
		
		memento.driveIdentifier = driveLimit.getDriveIdentifier();
		memento.limit = Long.toString( driveLimit.getLimit() );
		memento.limitStatistic = driveLimit.getLimitStatistic()==null ? null : driveLimit.getLimitStatistic().toString();
		memento.limitType = driveLimit.getLimitType()==null ? null : driveLimit.getLimitType().toString();
		
		return memento;
	}

	public DriveLimitMemento()
	{
		
	}
	
	public String getDriveIdentifier()
	{
		return this.driveIdentifier;
	}

	public void setDriveIdentifier(String driveIdentifier)
	{
		this.driveIdentifier = driveIdentifier;
	}

	public String getLimit()
	{
		return this.limit;
	}

	public void setLimit(String limit)
	{
		this.limit = limit;
	}

	public String getLimitStatistic()
	{
		return this.limitStatistic;
	}

	public void setLimitStatistic(String limitStatistic)
	{
		this.limitStatistic = limitStatistic;
	}

	public String getLimitType()
	{
		return this.limitType;
	}

	public void setLimitType(String limitType)
	{
		this.limitType = limitType;
	}
	
	
}
