/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.utils;

public class StringUtilities 
{
	private static final String CONTROL_CHARACTER_REGEX = "\\p{Cntrl}";

	/**
	 * Removes control characters, and replaces potential M delimiters with
	 * more harmless stuff...
	 * @param stringToClean
	 * @return
	 */
	public static String escapeMumpsString(String stringToEscape)
	{

		// Escape common mumps delimiters
		String escapedString = stringToEscape.replace("~", "&#126;");
        escapedString = escapedString.replace("|", "&#124;");
        escapedString = escapedString.replace("`", "&#96;");
        escapedString = escapedString.replace("^", "&#94;");
        escapedString = escapedString.replace("\n", "&#10;");
        escapedString = escapedString.replace("\r", "&#13;");
		
        // Clean out control characters
        escapedString = escapedString.replaceAll(CONTROL_CHARACTER_REGEX, "");
        
        return escapedString;
	}

	public static String unescapeMumpsString(String stringToUnescape)
	{

		// Escape common mumps delimiters
		String unescapedString = stringToUnescape.replace("&#126;", "~");
		unescapedString  = unescapedString.replace("&#124;", "|");
		unescapedString  = unescapedString.replace("&#96;", "`");
		unescapedString  = unescapedString.replace("&#94;", "^");
		unescapedString  = unescapedString.replace("&#10;", "\n");
		unescapedString  = unescapedString.replace("&#13;", "\r");
		
        return unescapedString;
	}

}
