/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.interactive;

import java.util.ResourceBundle;

/**
 * Load the command lists from the package name specified in the constructor or
 * the package that this class resides in if no package is given.
 * 
 * @author zzzzzzbeckec
 *
 */
public class PackageCommandList
extends ResourceBundleCommandList
implements CommandList
{
	private final String packageName;
	private final String bundleName;
	private final ResourceBundle resourceBundle;

	protected PackageCommandList()
	{
		this(null);
	}
	
	protected PackageCommandList(String packageName)
	{
		this.packageName = (packageName == null ? this.getClass().getPackage().getName() : packageName); 
		this.bundleName = this.packageName + ".commands";
		this.resourceBundle = ResourceBundle.getBundle(bundleName);	
	}
	

	/**
	 * @return the resourceBundle
	 */
	@Override
	public ResourceBundle getResourceBundle()
	{
		return this.resourceBundle;
	}

	/**
	 * @return the packageName
	 */
	public String getPackageName()
	{
		return this.packageName;
	}

	@SuppressWarnings("unchecked")
	@Override
	public Class<? extends Command<?>> getCommandClass(String commandName) 
	throws ClassNotFoundException
	{
		String className = getPackageName() + "." + commandName;
		if(className != null)
			return (Class<? extends Command<?>>)Class.forName(className);
		
		return null;
	}
	
}
