/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.interactive;

import java.util.ResourceBundle;

/**
 * @author zzzzzzbeckec
 *
 */
public class QualifiedClassNameCommandList
extends ResourceBundleCommandList
implements CommandList
{
	public QualifiedClassNameCommandList create(String resourceBundleName)
	{
		return new QualifiedClassNameCommandList(resourceBundleName);
	}

	// ==========================================================================
	private final ResourceBundle resourceBundle;

	private QualifiedClassNameCommandList(String resourceBundleName)
	{
		this.resourceBundle = ResourceBundle.getBundle(resourceBundleName);	
	}

	/**
	 * @see gov.va.med.interactive.ResourceBundleCommandList#getResourceBundle()
	 */
	@Override
	protected ResourceBundle getResourceBundle()
	{
		return resourceBundle;
	}
	
	/**
	 * 
	 * @param commandName
	 * @return
	 * @throws ClassNotFoundException
	 */
	@Override
	@SuppressWarnings("unchecked")
	public Class<? extends Command<?>> getCommandClass(String commandName) 
	throws ClassNotFoundException
	{
		String className = getString(commandName + "." + COMMAND_CLASS);
		if(className != null)
			return (Class<? extends Command<?>>)Class.forName(className);
		
		return null;
	}
}
