/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.server;

/**
 * 
 * 
 * @author zzzzzzbeckec
 *
 */
public class ClusterEvent
{
	public static ClusterEvent createJoinEvent(String nodeName)
	{
		return new ClusterEvent(ClusterEventType.JOIN, System.currentTimeMillis(), nodeName);
	}
	
	public static ClusterEvent createLeaveEvent(String nodeName)
	{
		return new ClusterEvent(ClusterEventType.LEAVE, System.currentTimeMillis(), nodeName);
	}
	
	public enum ClusterEventType
	{
		JOIN, LEAVE
	}
	
	private final ClusterEventType type;
	private final long time;
	private final String nodeName;
	
	/**
	 * @param type
	 * @param time
	 * @param nodeName
	 */
	private ClusterEvent(ClusterEventType type, long time, String nodeName)
	{
		super();
		this.type = type;
		this.time = time;
		this.nodeName = nodeName;
	}

	/**
	 * @return the type
	 */
	public ClusterEventType getType()
	{
		return this.type;
	}

	/**
	 * @return the time
	 */
	public long getTime()
	{
		return this.time;
	}

	/**
	 * @return the nodeName
	 */
	public String getNodeName()
	{
		return this.nodeName;
	}
}
