/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestProtocolSchema
	extends TestCase
{

	@Override
	protected void setUp() throws Exception
	{
		super.setUp();
		ProtocolHandlerUtility.initialize(true);
	}

	public void testHandlerAvailability()
	{
		assertTrue( ProtocolSchema.CDTP.isConnectionHandlerInstalled() );
		assertTrue( ProtocolSchema.EXCHANGE.isConnectionHandlerInstalled() );
		assertTrue( ProtocolSchema.HTTP.isConnectionHandlerInstalled() );
		assertTrue( ProtocolSchema.VFTP.isConnectionHandlerInstalled() );
		assertTrue( ProtocolSchema.VISTAIMAGING.isConnectionHandlerInstalled() );
		assertTrue( ProtocolSchema.XCA.isConnectionHandlerInstalled() );
	}
	
	public void testSchemaValues()
	{
		assertEquals("cdtp", ProtocolSchema.CDTP.toString());
		assertEquals("exchange", ProtocolSchema.EXCHANGE.toString());
		assertEquals("http", ProtocolSchema.HTTP.toString());
		assertEquals("vftp", ProtocolSchema.VFTP.toString());
		assertEquals("vista", ProtocolSchema.VISTA.toString());
		assertEquals("vistaimaging", ProtocolSchema.VISTAIMAGING.toString());
		assertEquals("xca", ProtocolSchema.XCA.toString());
	}
}
