/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med;


import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestTopLevelMediaType
	extends TestCase
{

	/**
	 * Test method for {@link gov.va.med.imaging.exchange.enums.TopLevelMediaType#lookup(java.lang.String)}.
	 */
	public void testLookup()
	{
		assertTrue( TopLevelMediaType.APPLICATION == TopLevelMediaType.lookup("application") );
		assertTrue( TopLevelMediaType.AUDIO == TopLevelMediaType.lookup("audio") );
		assertTrue( TopLevelMediaType.IMAGE == TopLevelMediaType.lookup("image") );
		assertTrue( TopLevelMediaType.MESSAGE == TopLevelMediaType.lookup("message") );
		assertTrue( TopLevelMediaType.MULTIPART == TopLevelMediaType.lookup("multipart") );
		assertTrue( TopLevelMediaType.TEXT == TopLevelMediaType.lookup("text") );
		assertTrue( TopLevelMediaType.VIDEO == TopLevelMediaType.lookup("video") );
		
		assertTrue( TopLevelMediaType.APPLICATION == TopLevelMediaType.lookup("Application") );
		assertTrue( TopLevelMediaType.AUDIO == TopLevelMediaType.lookup("AUDIO") );
		assertTrue( TopLevelMediaType.IMAGE == TopLevelMediaType.lookup("iMaGe") );
		assertTrue( TopLevelMediaType.MESSAGE == TopLevelMediaType.lookup("MeSsAgE") );
		assertTrue( TopLevelMediaType.MULTIPART == TopLevelMediaType.lookup("MULTIPART") );
		assertTrue( TopLevelMediaType.TEXT == TopLevelMediaType.lookup("texT") );
		assertTrue( TopLevelMediaType.VIDEO == TopLevelMediaType.lookup("viDeo") );
		
		assertTrue( null == TopLevelMediaType.lookup("tele") );
		assertTrue( null == TopLevelMediaType.lookup("APP") );
		assertTrue( null == TopLevelMediaType.lookup("SOUND") );
		assertTrue( null == TopLevelMediaType.lookup("ascii") );
	}

}
