/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med;

import gov.va.med.imaging.exceptions.OIDFormatException;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestWellKnownOID
extends TestCase
{

	/**
	 * Test method for {@link gov.va.med.WellKnownOID#get(java.lang.String)}.
	 */
	public void testGetString()
	{
		assertEquals(WellKnownOID.HAIMS_DOCUMENT, WellKnownOID.get("2.16.840.1.113883.3.42.10012.100001.206"));
		assertEquals(WellKnownOID.BHIE_RADIOLOGY, WellKnownOID.get("2.16.840.1.113883.3.42.10012.100001.207"));
		assertEquals(WellKnownOID.VA_DOCUMENT, WellKnownOID.get("2.16.840.1.113883.3.166"));
		assertEquals(WellKnownOID.VA_DOCUMENT, WellKnownOID.get("2.16.840.1.113883.6.233"));
		assertEquals(WellKnownOID.VA_RADIOLOGY_IMAGE, WellKnownOID.get("1.3.6.1.4.1.3768"));
		assertEquals(WellKnownOID.SNOMED, WellKnownOID.get("2.16.840.1.113883.6.96"));
		assertEquals(WellKnownOID.LOINC, WellKnownOID.get("2.16.840.1.113883.6.1"));
		assertEquals(WellKnownOID.HL7, WellKnownOID.get("2.16.840.1.113883.11.19465"));
		assertEquals(WellKnownOID.MHS, WellKnownOID.get("2.16.840.1.113883.3.42.10012.100001.205"));
	}

	/**
	 * Test method for {@link gov.va.med.WellKnownOID#get(gov.va.med.OID)}.
	 * @throws OIDFormatException 
	 */
	public void testGetOID() 
	throws OIDFormatException
	{
		assertEquals(WellKnownOID.HAIMS_DOCUMENT, WellKnownOID.get(OID.create("2.16.840.1.113883.3.42.10012.100001.206")));
		assertEquals(WellKnownOID.BHIE_RADIOLOGY, WellKnownOID.get(OID.create("2.16.840.1.113883.3.42.10012.100001.207")));
		assertEquals(WellKnownOID.VA_DOCUMENT, WellKnownOID.get(OID.create("2.16.840.1.113883.3.166")));
		assertEquals(WellKnownOID.VA_DOCUMENT, WellKnownOID.get(OID.create("2.16.840.1.113883.6.233")));
		assertEquals(WellKnownOID.VA_RADIOLOGY_IMAGE, WellKnownOID.get(OID.create("1.3.6.1.4.1.3768")));
		assertEquals(WellKnownOID.SNOMED, WellKnownOID.get(OID.create("2.16.840.1.113883.6.96")));
		assertEquals(WellKnownOID.LOINC, WellKnownOID.get(OID.create("2.16.840.1.113883.6.1")));
		assertEquals(WellKnownOID.HL7, WellKnownOID.get(OID.create("2.16.840.1.113883.11.19465")));
		assertEquals(WellKnownOID.MHS, WellKnownOID.get(OID.create("2.16.840.1.113883.3.42.10012.100001.205")));
	}

//	/**
//	 * Test method for {@link gov.va.med.WellKnownOID#getCanonicalValue()}.
//	 */
//	public void testGetCanonicalValue()
//	{
//		fail("Not yet implemented");
//	}
//
//	/**
//	 * Test method for {@link gov.va.med.WellKnownOID#getAllValues()}.
//	 */
//	public void testGetAllValues()
//	{
//		fail("Not yet implemented");
//	}
//
//	/**
//	 * Test method for {@link gov.va.med.WellKnownOID#isApplicable(java.lang.String)}.
//	 */
//	public void testIsApplicableString()
//	{
//		fail("Not yet implemented");
//	}
//
//	/**
//	 * Test method for {@link gov.va.med.WellKnownOID#isApplicable(gov.va.med.OID)}.
//	 */
//	public void testIsApplicableOID()
//	{
//		fail("Not yet implemented");
//	}

}
