/**
 * Package: MAG - VistA Imaging
 * WARNING: Per VHA Directive 2004-038, this routine should not be modified.
 * @date May 27, 2010
 * Site Name:  Washington OI Field Office, Silver Spring, MD
 * @author zzzzzzbeckec
 * @version 1.0
 *
 * ----------------------------------------------------------------
 * Property of the US Government.
 * No permission to copy or redistribute this software is given.
 * Use of unreleased versions of this software requires the user
 * to execute a written test agreement with the VistA Imaging
 * Development Office of the Department of Veterans Affairs,
 * telephone (301) 734-0100.
 * 
 * The Food and Drug Administration classifies this software as
 * a Class II medical device.  As such, it may not be changed
 * in any way.  Modifications to this software may result in an
 * adulterated medical device under 21CFR820, the use of which
 * is considered to be a violation of US Federal Statutes.
 * ----------------------------------------------------------------
 */

package gov.va.med.imaging;

import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class AbstractImagingURNTest
extends TestCase
{
	private static final String[] VALID_SITEID = new String[]
	{
		"660", "200", "220A", "220%5e"
	};
	private static final String[] INVALID_SITEID = new String[]
	{
		"660$", "20*", "220 1/2", "220^", "220%5H"
	};
	
	public void testSiteId()
	{
		for(String siteId : VALID_SITEID)
			assertTrue( "SiteID '" + siteId + "' should be valid and is not.", 
				AbstractImagingURN.siteIdPattern.matcher(siteId).matches() );
		
		for(String siteId : INVALID_SITEID)
			assertFalse( "SiteID '" + siteId + "' should be invalid and is not.", 
				AbstractImagingURN.siteIdPattern.matcher(siteId).matches() );
	}
	
	
}
