/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging;

import junit.framework.TestCase;

public class IPv4StringTest extends TestCase
{

	public void testCreate()
	{
		assertNotNull( IPv4String.create("0.0.0.0") );
		assertNotNull( IPv4String.create("1.1.1.1") );
		assertNotNull( IPv4String.create("255.255.255.255") );
	}

	public void testCompareTo()
	{
		assertTrue( IPv4String.create("0.0.0.0").compareTo(IPv4String.create("0.0.0.1")) < 0 );
		assertTrue( IPv4String.create("0.0.0.1").compareTo(IPv4String.create("0.0.0.1")) == 0 );
		assertTrue( IPv4String.create("0.0.0.1").compareTo(IPv4String.create("0.0.0.0")) > 0 );
		
		assertTrue( IPv4String.create("1.0.0.0").compareTo(IPv4String.create("0.0.0.1")) > 0 );
		assertTrue( IPv4String.create("1.0.0.0").compareTo(IPv4String.create("0.255.255.255")) > 0 );
		
		assertTrue( IPv4String.create("239.0.0.0").compareTo(IPv4String.administrativelyScopedMinimum) == 0 );
		assertTrue( IPv4String.create("239.0.0.1").compareTo(IPv4String.administrativelyScopedMinimum) > 0 );
		assertTrue( IPv4String.create("239.255.255.255").compareTo(IPv4String.administrativelyScopedMinimum) > 0 );
		assertTrue( IPv4String.create("239.0.0.0").compareTo(IPv4String.administrativelyScopedMaximum) < 0 );
		assertTrue( IPv4String.create("239.0.0.1").compareTo(IPv4String.administrativelyScopedMaximum) < 0 );
		assertTrue( IPv4String.create("239.255.255.255").compareTo(IPv4String.administrativelyScopedMaximum) == 0 );
	}

}
