/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging;

import java.beans.XMLDecoder;
import java.beans.XMLEncoder;

/**
 * @author ZZZZZZBECKEC
 *
 */
public class SerializationDeserialization<T>
{
	public SerializationDeserialization()
	{
		
	}
	
	/**
	 * @param original
	 * @return
	 */
	public T serializeAndDeserialize(T original)
	{
		java.io.ByteArrayOutputStream out = new DebuggingByteArrayOutputStream(4096);
		XMLEncoder encoder = new XMLEncoder(out);
		encoder.writeObject(original);
		encoder.close();
		
		dumpByteArray(out.toByteArray());
		
		java.io.ByteArrayInputStream in = new java.io.ByteArrayInputStream(out.toByteArray());
		XMLDecoder decoder = new XMLDecoder(in);
		T deserialized = (T)decoder.readObject();
		decoder.close();
		
		return deserialized;
	}

	private void dumpByteArray(byte[] byteArray)
	{
		for(int index=0; index<byteArray.length; ++ index)
		{
			System.out.print(byteArray[index]);
			if((index % 80) == 0)
				System.out.print("\n");
		}
	}
	
	class DebuggingByteArrayOutputStream
	extends java.io.ByteArrayOutputStream
	{
		public DebuggingByteArrayOutputStream()
		{
			super();
		}

		public DebuggingByteArrayOutputStream(int size)
		{
			super(size);
		}

		@Override
		public synchronized void write(int b)
		{
			System.out.print(b);
			super.write(b);
		}
	}
}
