/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.monitor;

import gov.va.med.imaging.monitor.DriveLimit.LimitType;
import gov.va.med.imaging.monitor.DriveLimit.LimitStatistic;

import java.io.IOException;
import java.io.InputStream;

import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class DriveSpaceMonitorTest 
extends TestCase
{
	private DriveSpaceMonitor monitor;
	
	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
		super.setUp();
		monitor = DriveSpaceMonitor.getSingleton();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
		super.tearDown();
	}

	public void testPeriodic() 
	throws DriveLimitInitializationException 
	{
		monitor.addListener(DriveLimit.create("C", LimitType.MONITOR, LimitStatistic.TOTAL_SPACE, 0L), listener);
		monitor.addListener(DriveLimit.create("C", LimitType.NOTIFY_UNDER, LimitStatistic.FREE_SPACE_PERCENTAGE, 40L), listener);
		
		monitor.addListener(DriveLimit.create("D", LimitType.NOTIFY_UNDER, LimitStatistic.FREE_SPACE, 10000L), listener);
		monitor.addListener(DriveLimit.create("D", LimitType.NOTIFY_UNDER, LimitStatistic.FREE_SPACE_PERCENTAGE, 10L), listener);
		
		try
		{
			Thread.sleep(61000L);
		} 
		catch (InterruptedException x)
		{
			x.printStackTrace();
		}
	}
	
	private DriveSpaceMonitorListener listener = new MonitorListener();
	
	class MonitorListener
	implements DriveSpaceMonitorListener
	{
		public void limitExceededNotification(DriveLimit limit, DriveStatistics currentDriveStats)
		{
			System.out.println("DriveLimit - " + limit.getExceedLimitMessage() + ", stats => " + currentDriveStats.toString());
		}
	}
}
