/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.dicom.dcftoolkit.common.validation.interfaces;

import gov.va.med.imaging.dicom.common.interfaces.IDicomDataSet;
import gov.va.med.imaging.exchange.business.dicom.DicomAE;
import gov.va.med.imaging.exchange.business.dicom.exceptions.IODViolationException;

/**
 * @author zzzzzztittoc
 *
 */
public interface IDoIODValidation {
	
//	public void DoIODValidationImpl ();
//	/**
//	 * 
//	 * @param dicomdataset
//	 */
//	public void DoIODValidationImpl(Object dicomdataset);
//	
	/**
     * 
     * @param dicomAE  AE title of Storage SCU, has specific settings (Validate, Reject, Warning, etc options). 
     * @param dds	represents the DicomDataSet object.
     * @param dataset  represents the IDicomDataSet object.
     * @return
     * @throws DCSException
     * @throws IODViolationException
     */
	public int doIODValidation(DicomAE dicomAE, IDicomDataSet dataset) throws IODViolationException;
}
