/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * Created on Jul 22, 2008
 */
package gov.va.med.imaging.dicom.dcftoolkit.test;

import gov.va.med.imaging.dicom.dcftoolkit.common.observer.SubOperationsStatus;

/**
 *
 *
 *
 * @author William Peterson
 *
 */
public class SubOperationsStatusTest extends DicomDCFCommonTestBase {

	public SubOperationsStatusTest(String arg0){
		super(arg0);
	}
	
	public void testSuccessOne(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<10; i++){
			status.setSuccessfulSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.SUCCESS);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.SUCCESS){
			fail();
		}
	}

	public void testSuccessTwo(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<10; i++){
			status.setSuccessfulSubOperations();
		}
		status.setCompleteStatus();
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.SUCCESS){
			fail();
		}
	}
	
	public void testFailureOne(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<7; i++){
			status.setSuccessfulSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.FAILURE){
			fail();
		}
	}
	
	public void testFailureTwo(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<7; i++){
			status.setSuccessfulSubOperations();
		}
		status.setCompleteStatus();
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.FAILURE){
			fail();
		}
	}

	public void testFailureThree(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<10; i++){
			status.setFailedSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.FAILURE){
			fail();
		}
	}

	public void testFailureFour(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.FAILURE){
			fail();
		}
	}
	
	public void testFailureFive(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.FAILURE){
			fail();
		}
	}

	public void testWarningOne(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<10; i++){
			status.setWarningSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.WARNING);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningTwo(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<10; i++){
			status.setWarningSubOperations();
		}
		status.setCompleteStatus();
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningThree(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<7; i++){
			status.setSuccessfulSubOperations();
		}
		for(int j=0; j<3; j++){
			status.setWarningSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningFour(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<6; i++){
			status.setSuccessfulSubOperations();
		}
		for(int j=0; j<4; j++){
			status.setFailedSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningFive(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<6; i++){
			status.setFailedSubOperations();
		}
		for(int j=0; j<4; j++){
			status.setWarningSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}

	public void testWarningSix(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<3; i++){
			status.setWarningSubOperations();
		}
		for(int j=0; j<2; j++){
			status.setFailedSubOperations();
		}
		for(int k=0; k<5; k++){
			status.setSuccessfulSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningSeven(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<3; i++){
			status.setSuccessfulSubOperations();
		}
		for(int j=0; j<3; j++){
			status.setFailedSubOperations();
		}
		for(int k=0; k<3; k++){
			status.setWarningSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
	public void testWarningEight(){
		SubOperationsStatus status = new SubOperationsStatus();
		status.setRemainingSubOperations(10);
		for(int i=0; i<7; i++){
			status.setFailedSubOperations();
		}
		status.setCompleteStatus(SubOperationsStatus.FAILURE);
		int correctStatus = status.getCompleteStatus();
		if(correctStatus != SubOperationsStatus.WARNING){
			fail();
		}
	}
	
}
