/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.proxy;

import gov.va.med.imaging.Equivalence;

/**
 * @author ZZZZZZBECKEC
 * 
 * The generic superclass of synchronous proxy results.
 * Currently this class is mostly a placeholder for common result fields,
 * of which there is exactly one.  I would expect that to increase as error 
 * handling becomes more rigorous.
 * 
 * The correlation ID is either generated by the proxy or is copied by the proxy
 * from the request object.
 */
public abstract class AbstractResult
implements java.io.Serializable, Equivalence
{
	private final String transactionId;
	
	public AbstractResult(String transactionId)
	{
		super();
		this.transactionId = transactionId;
	}

	/**
	 * @return the transactionId
	 */
	public String getTransactionId()
	{
		return this.transactionId;
	}

	/**
	 * Compares the content of the results for equivalence, where all fields
	 * except the primary key must be equal.
	 * 
	 * @param obj
	 * @return
	 */
	public abstract boolean equivalent(Object obj);
}
