/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jul 28, 2009
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.proxy.exceptions;

import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.proxy.services.ProxyServiceType;

/**
 * Exception occurs if a ProxyServices object does not contain a specified ProxyServiceType.
 * This exception implies the proxy cannot complete the specified operation.
 * 
 * @author zzzzzzwerfej
 *
 */
public class ProxyServiceNotFoundException
extends ConnectionException
{
	
	private static final long serialVersionUID = 1908339680927821356L;

	public ProxyServiceNotFoundException(String msg)
	{
		super(msg);
	}
	
	public ProxyServiceNotFoundException(ProxyServiceType proxyServiceType)
	{
		super("Cannot find service type '"+  proxyServiceType.name() + "'");
	}

}
