/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jul 28, 2009
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.proxy.services;

import gov.va.med.imaging.proxy.exceptions.ProxyServiceNotFoundException;

import java.util.ArrayList;

/**
 * This extends an ArrayList and contains ProxyService objects. Proxies 
 * should take the ProxyServices as a parameter to determine what services
 * are available to the proxy.
 * 
 * @author zzzzzzwerfej
 *
 */
public class ProxyServices 
extends ArrayList<ProxyService>
{
	private static final long serialVersionUID = -5508405338485824970L;
	
	
	public ProxyServices()
	{
		super();
	}
	
	public ProxyService getProxyService(ProxyServiceType serviceType)
	throws ProxyServiceNotFoundException
	{
		for(ProxyService service : this)
		{
			if(service.getProxyServiceType() == serviceType)
			{
				return service;
			}
		}
		throw new ProxyServiceNotFoundException(serviceType);
	}
}
