/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.storage.cache;

import java.util.Date;

import gov.va.med.imaging.storage.cache.Instance;
import gov.va.med.imaging.storage.cache.InstanceReadableByteChannel;
import gov.va.med.imaging.storage.cache.InstanceWritableByteChannel;
import gov.va.med.imaging.storage.cache.exceptions.CacheException;

/**
 * A wrapper class so that the external cache decorators do not allow
 * changes to the cache contents.
 * 
 * @author zzzzzzbeckec
 *
 */
public class ImmutableInstance
{
	private Instance wrappedInstance;
	public ImmutableInstance(Instance wrappedInstance)
	{
		this.wrappedInstance = wrappedInstance;
	}
	
	public Date getLastAccessed() 
	throws CacheException
	{
		return wrappedInstance.getLastAccessed();
	}
	
	public InstanceReadableByteChannel getReadableChannel() 
	throws CacheException
	{
		return wrappedInstance.getReadableChannel();
	}
	
	public long getSize() 
	throws CacheException
	{
		return wrappedInstance.getSize();
	}
	
	public InstanceWritableByteChannel getWritableChannel() throws CacheException
	{
		return wrappedInstance.getWritableChannel();
	}
	
	public String getChecksumValue()
	{
		return wrappedInstance.getChecksumValue();
	}
}
