/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.storage.cache;

import gov.va.med.GlobalArtifactIdentifier;
import gov.va.med.RoutingToken;
import gov.va.med.imaging.exchange.business.vistarad.ExamSite;
import gov.va.med.imaging.exchange.business.vistarad.PatientEnterpriseExams;
import gov.va.med.imaging.storage.cache.exceptions.CacheException;

/**
 * The interface definition for the caching managing VA
 * artifacts
 * 
 */
public interface VASourcedCache
extends RealizedCache
{
	/**
	 * @param imageURN
	 * @return
	 */
	public ImmutableInstance createImage(
		GlobalArtifactIdentifier gaid, 
		String quality, 
		String mimeType)
	throws CacheException;

	/**
	 * @param imageURN
	 * @return
	 */
	public ImmutableInstance getImage(
		GlobalArtifactIdentifier gaid, 
		String quality, 
		String mimeType)
	throws CacheException;
	

	
	/**
	 * @param patientICN
	 * @param patientEnterpriseExams
	 * @throws CacheException
	 */
	public void createPatientEnterpriseExams(PatientEnterpriseExams patientEnterpriseExams)
	throws CacheException;

	/**
	 * 
	 * @param patientICN
	 * @return
	 * @throws CacheException
	 */
	public PatientEnterpriseExams getPatientEnterpriseExams(String patientIcn)
	throws CacheException;
	
	/**
	 * 
	 * @param routingToken
	 * @param patientIcn
	 * @return
	 * @throws CacheException
	 */
	public ExamSite getExamSite(RoutingToken routingToken, String patientIcn)
	throws CacheException;
	
	public void createExamSite(RoutingToken routingToken, String patientIcn, ExamSite examSite)
	throws CacheException;
	
	/**
	 * 
	 * @param siteNumber
	 * @param patientIcn
	 * @return
	 * @throws CacheException
	 */
	public ImmutableInstance getPatientPhotoId(String siteNumber, String patientIcn)
	throws CacheException;
	
	public ImmutableInstance createPatientPhotoId(String siteNumber, String patientIcn)
	throws CacheException;
}
