/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.storage.cache.mock;

import gov.va.med.imaging.storage.cache.exceptions.CacheException;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class MockCacheConfigurator
{
	private static CacheException createImageCacheException;
	private static CacheException createStudyCacheException;
	private static CacheException getImageCacheException;
	private static CacheException getStudyCacheException;
	
	public static void clearAll()
	{
		setCreateImageCacheException(null);
		setCreateStudyCacheException(null);
		setGetImageCacheException(null);
		setGetStudyCacheException(null);
	}
	
	static CacheException getCreateImageCacheException()
    {
    	return createImageCacheException;
    }

	public static void setCreateImageCacheException(CacheException createImageCacheException)
    {
    	MockCacheConfigurator.createImageCacheException = createImageCacheException;
    }

	static CacheException getCreateStudyCacheException()
    {
    	return createStudyCacheException;
    }

	public static void setCreateStudyCacheException(CacheException createStudyCacheException)
    {
    	MockCacheConfigurator.createStudyCacheException = createStudyCacheException;
    }

	static CacheException getGetImageCacheException()
    {
    	return getImageCacheException;
    }

	public static void setGetImageCacheException(CacheException getImageCacheException)
    {
    	MockCacheConfigurator.getImageCacheException = getImageCacheException;
    }

	static CacheException getGetStudyCacheException()
    {
    	return getStudyCacheException;
    }

	public static void setGetStudyCacheException(CacheException getStudyCacheException)
    {
    	MockCacheConfigurator.getStudyCacheException = getStudyCacheException;
    }
}
