/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.storage.cache.mock;

import gov.va.med.GlobalArtifactIdentifier;
import gov.va.med.imaging.exchange.storage.cache.DODSourcedCache;
import gov.va.med.imaging.exchange.storage.cache.ImmutableInstance;
import gov.va.med.imaging.storage.cache.Instance;
import gov.va.med.imaging.storage.cache.exceptions.CacheException;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class MockDODSourcedCache
extends AbstractMockCacheDecorator
implements DODSourcedCache
{
	/* (non-Javadoc)
	 * @see gov.va.med.imaging.exchange.storage.cache.DODSourcedCache#createImage(gov.va.med.GlobalArtifactIdentifier, java.lang.String, java.lang.String)
	 */
	@Override
	public ImmutableInstance createImage(GlobalArtifactIdentifier gaid, String quality, String mimeType)
		throws CacheException
	{
		if( MockCacheConfigurator.getCreateImageCacheException() != null)
			throw MockCacheConfigurator.getCreateImageCacheException();

		Instance instance = new MockInstance();
		ImmutableInstance immutableInstance = new ImmutableInstance(instance);
		return immutableInstance;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.imaging.exchange.storage.cache.DODSourcedCache#getImage(gov.va.med.GlobalArtifactIdentifier, java.lang.String, java.lang.String)
	 */
	@Override
	public ImmutableInstance getImage(GlobalArtifactIdentifier gaid, String quality, String mimeType)
		throws CacheException
	{
		if( MockCacheConfigurator.getGetImageCacheException() != null)
			throw MockCacheConfigurator.getGetImageCacheException();
		
		Instance instance = new MockInstance();
		ImmutableInstance immutableInstance = new ImmutableInstance(instance);
		return immutableInstance;
	}

}
