/**
 * Package: MAG - VistA Imaging
 * WARNING: Per VHA Directive 2004-038, this routine should not be modified.
 * Date Created: May 10, 2010
 * Site Name:  Washington OI Field Office, Silver Spring, MD
 * @author ZZZZZZWERFEJ
 * @version 1.0
 *
 * ----------------------------------------------------------------
 * Property of the US Government.
 * No permission to copy or redistribute this software is given.
 * Use of unreleased versions of this software requires the user
 * to execute a written test agreement with the VistA Imaging
 * Development Office of the Department of Veterans Affairs,
 * telephone (301) 734-0100.
 * 
 * The Food and Drug Administration classifies this software as
 * a Class II medical device.  As such, it may not be changed
 * in any way.  Modifications to this software may result in an
 * adulterated medical device under 21CFR820, the use of which
 * is considered to be a violation of US Federal Statutes.
 * ----------------------------------------------------------------
 */
 package gov.va.med.imaging.router.commands.datasource;
 
 import java.util.Date;
 import org.apache.log4j.*;
 import gov.va.med.imaging.*;
 import gov.va.med.imaging.core.interfaces.exceptions.*;
 import gov.va.med.imaging.datasource.*;
 import gov.va.med.imaging.core.interfaces.router.Command;
 import gov.va.med.imaging.core.interfaces.router.AsynchronousCommandResultListener;
 import gov.va.med.imaging.core.router.AbstractDataSourceCommandImpl;
 import javax.annotation.Generated;
 
 @SuppressWarnings("unused")
 public class PostImagingLogEventDataSourceCommandImpl
 extends AbstractDataSourceCommandImpl<java.lang.Void,ImageAccessLoggingSpi>
 {
 	private final static long serialVersionUID = 1L;
 
 	private final gov.va.med.RoutingToken routingToken;
 	private final gov.va.med.imaging.exchange.ImagingLogEvent imagingLogEvent;
 
 	public PostImagingLogEventDataSourceCommandImpl(
 			gov.va.med.RoutingToken routingToken
 		 			, gov.va.med.imaging.exchange.ImagingLogEvent imagingLogEvent
 		)
 	{
	 	this.routingToken = routingToken;	 	
	 	this.imagingLogEvent = imagingLogEvent;	 	
 	}
 	
 	@Override
	protected java.lang.Void getCommandResult(ImageAccessLoggingSpi spi)
	throws ConnectionException, MethodException
	{
				spi.LogImagingLogEvent(imagingLogEvent);
				return (java.lang.Void)null;
	}
	
	@Override
	public gov.va.med.RoutingToken getRoutingToken()
	{
		return routingToken;	
	}

	@Override
	protected String getSiteNumber()
	{
		return getRoutingToken().getRepositoryUniqueId();
	}

	@Override
	protected Class<ImageAccessLoggingSpi> getSpiClass()
	{
		return ImageAccessLoggingSpi.class;
	}
 
 	@Override
	protected String getSpiMethodName()
	{
		return "LogImagingLogEvent";
	}
	
	@Override
	protected Class<?>[] getSpiMethodParameterTypes()
	{			
	 	return new Class<?> [] {gov.va.med.imaging.exchange.ImagingLogEvent.class};		
	}
	
	@Override
	protected Object[] getSpiMethodParameters()
	{
	 	return new Object [] {imagingLogEvent};		
	}
	
	@Override
	protected java.lang.Void postProcessResult(java.lang.Void result)
	{
		return result;
	}
 }
