/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.realm.tomcat;

import gov.va.med.imaging.tomcat.vistarealm.VistaAccessVerifyRealm;
import gov.va.med.imaging.tomcat.vistarealm.VistaRealmPrincipal;
import gov.va.med.imaging.tomcat.vistarealm.VistaRealmSecurityContext;

import java.security.Principal;

import junit.framework.TestCase;

import org.apache.catalina.LifecycleException;
import org.apache.log4j.Logger;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class VistaRealmTest 
extends TestCase
{
	private Logger logger = Logger.getLogger(this.getClass());
	
	public VistaRealmTest()
	{
		super();
	}

	public void testAuthenticateStringString() 
	throws LifecycleException
	{
		Principal p = null;
		VistaAccessVerifyRealm realm = new VistaAccessVerifyRealm();
		realm.setSiteNumber("660");
		realm.setSiteAbbreviation("SLC");
		realm.setSiteName("Salt Lake City, UT");
		realm.setVistaServer("localhost");
		realm.setVistaPort(9300);
		realm.start();
		
		System.out.println("Authenticating 'boating'");
		p = realm.authenticate("username3", "password5");
		System.out.println("User 'boating' " + (p != null ? "authenticated" : "not authenticated") );
		assertNotNull(p);
		if(p!=null)
		{
			VistaRealmPrincipal threadPrincipal = VistaRealmSecurityContext.get();
			assertEquals(p, threadPrincipal);
		}
		
		System.out.println("Authenticating 'access'");
		p = realm.authenticate("access", "verify");
		System.out.println("User 'access' " + (p != null ? "authenticated" : "not authenticated") );
		assertNull(p);
		
		realm.stop();
	}
}
