/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.tomcat.vistarealm;

/**
 * defines the core interface for all VIX realm implementations
 * @author ZZZZZZBECKEC
 *
 */
public interface AbstractVistaRealm
extends PreemptiveAuthorization
{
	public abstract String getRealmName();

	public abstract boolean isInitialized();

	public abstract String getRealmImplementationName();

	public abstract float getVersion();

	// ===========================================================================================================
	// JavaBean Property Accessors
	// These properties may be set from the server configuration.
	// ===========================================================================================================
	/**
	 * @see gov.va.med.imaging.tomcat.vistarealm.VistaRealmSite#getSiteAbbr()
	 */
	public abstract String getSiteAbbreviation();

	/**
	 * @see gov.va.med.imaging.tomcat.vistarealm.VistaRealmSite#getSiteName()
	 */
	public abstract String getSiteName();

	/**
	 * @see gov.va.med.imaging.tomcat.vistarealm.VistaRealmSite#getSiteNumber()
	 */
	public abstract String getSiteNumber();

	/**
	 * 
	 * @return
	 */
	public abstract Boolean isUsingPrincipalCache();
	public abstract void setUsingPrincipalCache(Boolean usingPrincipalCache);

	/**
	 * the lifespan of a principal cache item in milliseconds
	 * 
	 * @return
	 */
	public abstract Long getPrincipalCacheLifespan();
	public abstract void setPrincipalCacheLifespan(Long principalCacheLifespan);

	/**
	 * If true then the incept date of a principal cache entry is refreshed each
	 * time it is used.
	 * 
	 * @return
	 */
	public abstract Boolean isRefreshPrincipalCacheEntryOnUse();
	public abstract void setRefreshPrincipalCacheEntryOnUse(Boolean refreshPrincipalCacheEntryOnUse);

	/**
	 * The number of entries currently in the principal cache
	 * 
	 * @return
	 */
	public abstract int getPrincipalCacheSize();

	/**
	 * Get the time that the principal cache was last cleaned of old entries
	 * 
	 * @return
	 */
	public abstract long getLastPrincipalCacheSweepDate();
	

	/**
	 * 
	 */
	public void evictOldPrincipalCacheEntries();

	/**
	 * Clear all principal cache entries
	 */
	public void clearPrincipalCache();


	/**
	 * The number of entries currently in the security constraints cache. Note
	 * that this is equivalent to the number of Context (web apps) that the
	 * realm is servicing and not the number of security constraints per realm
	 * 
	 * @return
	 */
	public abstract int getSecurityConstraintCacheSize();
}
