/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.tomcat.vistarealm;

import java.util.HashMap;
import java.util.Map;

/**
 * This class maintains a ThreadLocal that is used by Realm
 * implementations to pass properties when doing delegation.
 * 
 * @author zzzzzzbeckec
 *
 */
class RealmDelegationContext
{
	public final static String INHIBIT_PARENT_DELEGATION = "inhibitParentDelegation";
	public final static String INHIBIT_THIS_AUTHENTICATION = "inhibitThisAuthentication";
	
	private static ThreadLocal<Map<String,String>> realmDelegationContext = 
		new ThreadLocal<Map<String,String>>()
		{
			@Override
			protected Map<String, String> initialValue()
			{
				return new HashMap<String, String>();
			}
		};
	
	static ThreadLocal<Map<String, String>> getRealmDelegationContext()
	{
		return realmDelegationContext;
	}
	
	static Map<String,String> getRealmDelegationProperties()
	{
		return getRealmDelegationContext().get();
	}
	
	static void unsetRealmDelegationContext()
	{
		if(realmDelegationContext != null)
			realmDelegationContext.remove();
	}
}
