/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.tomcat.vistarealm.config;

/**
 * @author ZZZZZZBECKEC
 *
 * This class encapsulates the information about a single command line option.
 * 
 */
public class CommandLineOptionImpl 
implements CommandLineOption
{
	private final String name;
	private final Class type;
	private final boolean required;
	
	protected CommandLineOptionImpl(String name, Class type, boolean required)
	{
		this.name = name;
		this.type = type;
		this.required = required;
	}
	
	public String getName()
	{
		return name;
	}
	public Class getType()
	{
		return this.type;
	}
	public boolean isRequired()
	{
		return this.required;
	}
	public boolean isFlag()
	{
		return this.type == null;
	}
	
}
