/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.tomcat.vistarealm;

import java.util.Map;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestDelegatingFilterRealm
extends TestCase
{
	private DelegatingFilterRealm realm = new DelegatingFilterRealm();
	
	@Override
	protected void setUp() throws Exception
	{
		super.setUp();
	}

	public DelegatingFilterRealm getRealm()
	{
		return this.realm;
	}

	/**
	 * Test method for {@link gov.va.med.imaging.tomcat.vistarealm.DelegatingFilterRealm#setDelegatedProperties(java.lang.String)}.
	 */
	public void testSetDelegatedProperties()
	{
		Map<String, String> properties = null;
		getRealm().setDelegatedProperties("");
		properties = getRealm().getDelegatedProperties();
		assertTrue(properties != null);
		assertTrue(properties.size() == 0);
		
		getRealm().setDelegatedProperties("a=\"b\"");
		properties = getRealm().getDelegatedProperties();
		assertTrue(properties != null);
		assertTrue(properties.size() == 1);
		assertTrue( "b".equals(properties.get("a")) );
		
		getRealm().setDelegatedProperties("inhibitThisAuthentication=\"true\"");
		properties = getRealm().getDelegatedProperties();
		assertTrue(properties != null);
		assertTrue(properties.size() == 1);
		assertTrue( "true".equals(properties.get("inhibitThisAuthentication")) );
		
		getRealm().setDelegatedProperties("inhibitThisAuthentication=\"true\";inhibitParentDelegation=\"false\"");
		properties = getRealm().getDelegatedProperties();
		assertTrue(properties != null);
		assertTrue(properties.size() == 2);
		assertTrue( "true".equals(properties.get("inhibitThisAuthentication")) );
		assertTrue( "false".equals(properties.get("inhibitParentDelegation")) );
	}

	public static void main(String[] argv)
	{
		TestDelegatingFilterRealm test = new TestDelegatingFilterRealm();
		test.testSetDelegatedProperties();
	}
}
