/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.tomcat.vistarealm;

/**
 * Methods to get/set the security context without invoking
 * the TransactionContext stuff.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class VistaRealmSecurityContext
{
	private static ThreadLocal<VistaRealmPrincipal> context = null;
	
	/**
	 * 
	 * @return
	 */
	public static VistaRealmPrincipal get()
	{
		if(context != null)
			return context.get();
		
		return null;
	}

	/**
	 * 
	 * @param principal
	 */
	public static void set(VistaRealmPrincipal principal)
	{
		if(context == null)
			context = new ThreadLocal<VistaRealmPrincipal>();
		
		context.set(principal);
	}
	
	/**
	 * 
	 */
	public static void clear()
	{
		if(context != null)
			context.remove();
	}
}
