/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.vistarealm;

import java.io.*;

import junit.framework.TestCase;

/**
 * @author ZZZZZZBECKEC
 *
 */
public abstract class AbstractSerializationTest<T extends Serializable>
extends TestCase
{
	/**
	 * Serialize the prototype object to a byte buffer stream
	 * deserialize the byte buffer stream to a copy 
	 * assert that the copy and the original (prototype) are equals().
	 * return the copy
	 * 
	 * @param prototype
	 * @throws IOException
	 * @throws ClassNotFoundException
	 */
	protected T serializeDeserializeAndAssertEquality(T prototype) 
	throws IOException, ClassNotFoundException
	{
		ByteArrayOutputStream dataStoreOut = new ByteArrayOutputStream();
		ObjectOutputStream ooStream = new ObjectOutputStream(dataStoreOut);
		ooStream.writeObject(prototype);
		
		ByteArrayInputStream dataStoreIn = new ByteArrayInputStream(dataStoreOut.toByteArray());
		ObjectInputStream oiStream = new ObjectInputStream(dataStoreIn);
		@SuppressWarnings("unchecked")
		T copy = (T)oiStream.readObject();
		
		assertEquals(prototype, copy);
		
		return copy;
	}
}
