/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.siteservice;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages
{
	private static final String BUNDLE_NAME = "gov.va.med.siteservice.messages"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

	private Messages()
	{
	}

	public static String getString(String key)
	{
		try
		{
			return RESOURCE_BUNDLE.getString(key);
		} 
		catch (MissingResourceException e)
		{
			return '!' + key + '!';
		}
	}

	public static String getString(String key, String defaultValue)
	{
		try
		{
			return RESOURCE_BUNDLE.getString(key);
		} 
		catch (MissingResourceException e)
		{
			return defaultValue;
		}
	}
	
	public static int getInt(String key, int defaultValue)
    {
		try
		{
			return Integer.parseInt( RESOURCE_BUNDLE.getString(key) );
		} 
		catch (MissingResourceException e)
		{
			return defaultValue;
		}
		catch( NumberFormatException nfX)
		{
			return defaultValue;
		}
    }
	
	public static long getLong(String key, long defaultValue)
    {
		try
		{
			return Long.parseLong( RESOURCE_BUNDLE.getString(key) );
		} 
		catch (MissingResourceException e)
		{
			return defaultValue;
		}
		catch( NumberFormatException nfX)
		{
			return defaultValue;
		}
    }
	
	public static float getFloat(String key, float defaultValue)
    {
		try
		{
			return Float.parseFloat( RESOURCE_BUNDLE.getString(key) );
		} 
		catch (MissingResourceException e)
		{
			return defaultValue;
		}
		catch( NumberFormatException nfX)
		{
			return defaultValue;
		}
    }
	
	public static double getDouble(String key, double defaultValue)
    {
		try
		{
			return Double.parseDouble( RESOURCE_BUNDLE.getString(key) );
		} 
		catch (MissingResourceException e)
		{
			return defaultValue;
		}
		catch( NumberFormatException nfX)
		{
			return defaultValue;
		}
    }
}
