/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.siteservice.exceptions;

import java.io.PrintStream;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author zzzzzzbeckec
 *
 */
public class CompositeArtifactSourceResolutionException
extends ArtifactSourceResolutionException
implements Iterable<ArtifactSourceResolutionException>
{
	private static final long serialVersionUID = 1L;
	private List<ArtifactSourceResolutionException> exceptions = new ArrayList<ArtifactSourceResolutionException>();
	
	public void add(ArtifactSourceResolutionException x)
	{
		exceptions.add(x);
	}

	@Override
	public Iterator<ArtifactSourceResolutionException> iterator()
	{
		return exceptions.iterator();
	}
	
	@Override
	public String getLocalizedMessage()
	{
		StringBuilder sb = new StringBuilder();
		
		for(ArtifactSourceResolutionException x : this)
		{
			sb.append(x.getLocalizedMessage());
			sb.append('\n');
		}
		
		return sb.toString();
	}

	@Override
	public String getMessage()
	{
		StringBuilder sb = new StringBuilder();
		
		for(ArtifactSourceResolutionException x : this)
		{
			sb.append(x.getMessage());
			sb.append('\n');
		}
		
		return sb.toString();
	}

	@Override
	public void printStackTrace()
	{
		for(ArtifactSourceResolutionException x : this)
		{
			System.err.println(x.getClass().getName());
			x.printStackTrace();
		}
		
		return;
	}

	@Override
	public void printStackTrace(PrintStream s)
	{
		for(ArtifactSourceResolutionException x : this)
		{
			s.println(x.getClass().getName());
			x.printStackTrace(s);
		}
		
		return;
	}

	@Override
	public void printStackTrace(PrintWriter s)
	{
		for(ArtifactSourceResolutionException x : this)
		{
			s.println(x.getClass().getName());
			x.printStackTrace(s);
		}
		
		return;
	}

	@Override
	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		
		for(ArtifactSourceResolutionException x : this)
		{
			sb.append(x.toString());
			sb.append(',');
		}
		
		return sb.toString();
	}
}
