/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.siteservice;

import gov.va.med.ProtocolHandlerUtility;
import gov.va.med.imaging.exchange.business.ResolvedSite;
import java.lang.reflect.InvocationTargetException;
import org.junit.Ignore;

/**
 * @author zzzzzzbeckec
 *
 */
@Ignore
public class TestSiteResolution
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		ProtocolHandlerUtility.initialize(true);
		SiteResolutionProvider provider = new SiteResolutionProvider();
		
		try
		{
			SiteResolver siteResolver = SiteResolver.create(provider.getInstanceConfiguration());
			
			ResolvedSite site200 = siteResolver.resolveSite("200");
			System.out.println("Site 200 - " + site200.toString());
			assert( site200.getArtifactSource() != null );
			assert( site200.getMetadataUrl("vista") != null );
			assert( site200.getSite() != null );
			
			ResolvedSite site660 = siteResolver.resolveSite("660");
			System.out.println("Site 660 - " + site660.toString());
			
			ResolvedSite site661 = siteResolver.resolveSite("661");
			System.out.println("Site 661 - " + site661.toString());
		}
		catch (IllegalArgumentException x)
		{
			x.printStackTrace();
		}
		catch (SecurityException x)
		{
			x.printStackTrace();
		}
		catch (InstantiationException x)
		{
			x.printStackTrace();
		}
		catch (IllegalAccessException x)
		{
			x.printStackTrace();
		}
		catch (InvocationTargetException x)
		{
			x.printStackTrace();
		}
		catch (NoSuchMethodException x)
		{
			x.printStackTrace();
		}
	}
}
