/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.siteservice;

import gov.va.med.OID;
import gov.va.med.RoutingToken;
import gov.va.med.RoutingTokenImpl;
import gov.va.med.exceptions.RoutingTokenFormatException;
import gov.va.med.imaging.artifactsource.ArtifactSource;
import gov.va.med.imaging.artifactsource.ArtifactSourceImpl;
import gov.va.med.imaging.datasource.ProviderConfiguration;
import gov.va.med.imaging.exceptions.OIDFormatException;
import java.beans.ExceptionListener;
import java.beans.XMLDecoder;
import java.beans.XMLEncoder;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.net.MalformedURLException;
import java.net.URL;
import junit.framework.TestCase;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import com.thoughtworks.xstream.XStream;

/**
 * @author zzzzzzbeckec
 *
 */
public class TestStaticExternalArtifactSources
extends TestCase
{
	private Logger logger = Logger.getLogger(this.getClass());
	
	@Override
	protected void setUp() 
	throws Exception
	{
		super.setUp();
		Logger.getRootLogger().setLevel(Level.ALL);
	}

	public void testSerialization() 
	throws RoutingTokenFormatException, MalformedURLException, OIDFormatException
	{
		StaticExternalArtifactSources src = new StaticExternalArtifactSources();
		
		RoutingToken rt = RoutingTokenImpl.create("1.2.3.4.56789.10", "R42");
		
		ArtifactSourceImpl as = new ArtifactSourceImpl(
			OID.create("1.2.3.4.56789.10"),
			"R42", 
			new URL[]{new URL("http://localhost:8080/Vix")},
			new URL[]{new URL("http://localhost:8080/Vix")}
		);
		src.add(rt, as);
		
		StaticExternalArtifactSources result = ProviderConfiguration.serializeAndDeserializeByXStreamTest(src);

		assertEquals(src, result);
	}
}
