/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.storage.rest.resources;

import gov.va.med.imaging.core.interfaces.exceptions.ConnectionException;
import gov.va.med.imaging.core.interfaces.exceptions.MethodException;
import gov.va.med.imaging.storage.commands.GetCurrentWriteLocationCommand;
import gov.va.med.imaging.storage.commands.GetNetworkLocationDetailsCommand;

import java.io.IOException;
import java.io.InputStream;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.QueryParam;

/**
 * @author zzzzzzlouthj
 *
 */@Path("/networkLocationInfo")
public class NetworkLocationInfoResource {

	    @GET
	    @Path("/getCurrentWriteLocation")
	    @Consumes("text/plain")
	    public String getCurrentWriteLocation(@QueryParam("siteNumber") String siteNumber)
	    		throws MethodException, ConnectionException
		{
	    	String result = "";
	    	try
	    	{
		    	GetCurrentWriteLocationCommand command = new GetCurrentWriteLocationCommand(siteNumber, "1.0");
		    	result = command.execute();
	    	}
	    	catch(Exception e)
	    	{
	    		e.printStackTrace();
	    	}
	    	
	    	return result;
	    }
	    
	    @GET
	    @Path("/getNetworkLocationDetails")
	    @Consumes("text/plain")
	    public String getNetworkLocationDetails(@QueryParam("networkLocationIen") String networkLocationIen)
	    		throws MethodException, ConnectionException
		{
	    	GetNetworkLocationDetailsCommand command = new GetNetworkLocationDetailsCommand(networkLocationIen, "1.0");
	    	return command.execute();
	    }
	    
}
