/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.transactioncontext;

import gov.va.med.imaging.tomcat.vistarealm.VistaRealmPrincipal;
import gov.va.med.imaging.tomcat.vistarealm.VistaRealmPrincipal.AuthenticationCredentialsType;

import java.util.List;
import java.util.Map;

/**
 * The Principal class used in the Transaction context when running in a client application.
 * This class has more latitude by allowing changes to UID and PWD but is specifically excluded
 * from use in a server environment.
 * This class serves simply as a marker for the TransactionContext, it is nothing but a VistaRealmPrincipal
 * derivation (i.e. no overrides).
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class ClientPrincipal 
extends VistaRealmPrincipal
{
	private static final long serialVersionUID = 1L;

	/**
	 * @param realm
	 * @param authenticatedByDelegate
	 * @param credentialType
	 */
	public ClientPrincipal(String realm, boolean authenticatedByDelegate, AuthenticationCredentialsType credentialType)
	{
		super(realm, authenticatedByDelegate, credentialType);
	}

	public ClientPrincipal(
		String realm, boolean authenticatedByDelegate, AuthenticationCredentialsType credentialType, 
		String accessCode, String verifyCode, String duz, String fullName, String ssn, 
		String siteNumber, String siteName, 
		List<String> roles, Map<String, Object> applicationProperties)
	{
		super(
			realm, 
			authenticatedByDelegate, 
			credentialType, 
			accessCode, verifyCode, duz, fullName, ssn, siteNumber, siteName, 
			roles, 
			applicationProperties);
	}
}
