/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.url.vista.dates;

import java.text.*;
import java.util.Date;

public abstract class PointInTimeFormat extends Format {

	public abstract StringBuffer format(PointInTime t, StringBuffer toAppendTo, FieldPosition fieldPosition);
	public abstract StringBuffer format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition);
	public abstract PointInTime parse(String source, ParsePosition pos);
	public abstract Date parseDate(String source, ParsePosition pos);

	public PointInTime parse(String source) throws ParseException {
		ParsePosition pos = new ParsePosition(0);
		PointInTime result = parse(source, pos);
		if (pos.getIndex() == 0)
			//throw new ParseException("Unparseable point in time: \"" + source + "\"", pos.getErrorIndex());
			throw new ParseException("Unparseable point in time: \"" + source + "\"", pos.getIndex());
		return result;
	}

	public Date parseDate(String source) throws ParseException {
		ParsePosition pos = new ParsePosition(0);
		Date result = parseDate(source, pos);
		if (pos.getIndex() == 0)
			//throw new ParseException("Unparseable date: \"" + source + "\"", pos.getErrorIndex());
			throw new ParseException("Unparseable date: \"" + source + "\"", pos.getIndex());
		return result;
	}

	public StringBuffer format(Object obj, StringBuffer toAppendTo, FieldPosition pos) {
		if (obj instanceof PointInTime) {
			return format((PointInTime) obj, toAppendTo, pos);
		} else if (obj instanceof Date) {
			return format((Date) obj, toAppendTo, pos);
		} else {
			throw new IllegalArgumentException();
		}
	}

	public Object parseObject(String source, ParsePosition pos) {
		return parse(source, pos);
	}
}
