/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.url.vista.exceptions;

/**
 * Thrown when an error has occurred in a Vista application.
 * This is an internal exception only and may not be exposed to
 * the outside API.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class VistaMethodException 
extends Exception
{
    private static final String DEFAULT_ERROR_MESSAGE = "An error occured when calling a Vista method";
	private static final long serialVersionUID = -1;

	public VistaMethodException()
	{
		super(DEFAULT_ERROR_MESSAGE);
	}

	public VistaMethodException(String message)
	{
		super(message);
	}

	public VistaMethodException(Throwable cause)
	{
		super(cause);
	}

	public VistaMethodException(String message, Throwable cause)
	{
		super(message, cause);
	}
}
