/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.url.vista;


import junit.framework.TestCase;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class TestEncryptionDecryption extends TestCase{

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testDecryption1(){
		String code = "0r##HFF'V+";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption2(){
		String code = "\"rkkN``X%*";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption3(){
		String code = " r##HFF'V+";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("zjjX;;'[", codeResult);		
	}
	
	@Test
	public void testDecryption4(){
		String code = ".r##HFF'V+";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("BSSMbb`s", codeResult);		
	}

	@Test
	public void testDecryption5(){
		String code = "'r##HFF'V+";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("8\"\"r__Es", codeResult);		
	}

	@Test
	public void testDecryption6(){
		String code = "(WSSq..%\\ ";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption7(){
		String code = "\'bAAj&&0+&";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption8(){
		String code = "/\"~~1[[5,$";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption9(){
		String code = "!;RRI``qh$";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testDecryption10(){
		String code = "(WSSq..%\\ ";
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

	@Test
	public void testEncryptDecryptOne(){
		String accessCode = "password10";
		String code = EncryptionUtils.encrypt(accessCode);
		
		String codeResult = EncryptionUtils.decrypt(code);
		assertEquals("password10", codeResult);		
	}

}
