/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.vistaimagingdatasource.dicom.storage;

import gov.va.med.imaging.exchange.BaseTimedCacheValueItem;
import gov.va.med.imaging.exchange.business.dicom.PatientStudyInfo;
import gov.va.med.imaging.exchange.business.dicom.PatientStudyLookupResults;

public 	class PatientStudyLookupResultsCacheItem extends BaseTimedCacheValueItem
{

	PatientStudyInfo patientStudyInfo;
	PatientStudyLookupResults results;
	public PatientStudyLookupResultsCacheItem(PatientStudyInfo patientStudyInfo, PatientStudyLookupResults results)
	{
		this.patientStudyInfo = patientStudyInfo;
		this.results = results;
	}

	@Override
	public Object getKey()
	{
		return getCacheKey(patientStudyInfo);
	}
	
	public static Object getCacheKey(PatientStudyInfo patientStudyInfo)
	{
		StringBuffer buffer = new StringBuffer();
		buffer.append(patientStudyInfo.getStudyAccessionNumber() + "_");
		buffer.append(patientStudyInfo.getStudyImagingService() + "_");
		buffer.append(patientStudyInfo.getPatientName() + "_");
		buffer.append(patientStudyInfo.getPatientID() + "_");
		buffer.append(patientStudyInfo.getPatientBirthDate() + "_");
		buffer.append(patientStudyInfo.getPatientSex() + "_");
		buffer.append(patientStudyInfo.getPatientICN());
		return buffer.toString();
	}
	
	public PatientStudyLookupResults getPatientStudyLookupResults()
	{
		return results;
	}
}
