/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.vistaimagingdatasource;

import gov.va.med.imaging.exchange.business.AuditEvent;
import gov.va.med.imaging.url.vista.VistaQuery;
import gov.va.med.imaging.url.vista.VistaQuery.Parameter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import junit.framework.TestCase;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class AuditEventDAOTests extends TestCase{

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testGenerateCreateQueryAuditEvent() {
		HashMap<String, String> eventElements = new HashMap<String, String>();
		eventElements.put("AETitle", "FUDGE");
		eventElements.put("DUZ", "126");
		String message = "FUDGE, CFind Request.";
		AuditEvent event = new AuditEvent(AuditEvent.DICOM_QUERY, 
				"host",
				"HDIG",
				message,
				eventElements);
		AuditEventDAO dao = new AuditEventDAO(null);
		VistaQuery vm = null;
		try{
			vm = dao.generateCreateQuery(event);
		}
		catch(Exception X){
			X.printStackTrace();
			fail();
		}
		assertEquals("MAG EVENT AUDIT", vm.getRpcName());
		assertTrue(vm.getParamCount() == 5);
		ArrayList<Parameter> list = (ArrayList<Parameter>) vm.getParams();
		assertTrue(list.get(0).getValue().equals("DICOM QUERY"));
		assertTrue(list.get(1).getValue().equals("host"));
		assertTrue(list.get(2).getValue().equals("HDIG"));
		Map<String, String> map = (Map<String, String>) list.get(3).getList();
		String duz = map.get("1");
		String aet = map.get("2");
		assertTrue(duz.equals("DUZ`126"));
		assertTrue(aet.equals("AETitle`FUDGE"));
		assertTrue(list.get(4).getValue() == "FUDGE, CFind Request.");
	}

/*
	@Test
	public void testTranslateCreateAuditEventString() {
		fail("Not yet implemented");
	}
*/
}
