/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.vistaimagingdatasource.storage;


import gov.va.med.imaging.exchange.business.storage.Place;
import gov.va.med.imaging.exchange.business.storage.exceptions.RetrievalException;

import java.util.List;
import java.util.Vector;

import junit.framework.TestCase;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class PlaceDAOTests extends TestCase {

	PlaceDAO dao = new PlaceDAO();

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testPlaceDAO1(){
		
		List<Place> places = new Vector<Place>();
		
		StringBuilder builder = new StringBuilder();
		
		builder.append("0^^1");
		builder.append("\r\n");
		builder.append("IEN^Site IEN^Site Number^Site Name^Net UserName^Net Password");
		builder.append("\r\n");
		builder.append('1');
		builder.append('^');
		builder.append("7247");
		builder.append('^');
		builder.append("7247");
		builder.append('^');
		builder.append("2010 DEMO HOSPITAL");
		builder.append('^');
		builder.append("windowsdomain");
		builder.append('\\');
		builder.append("username6");
		builder.append('^');
		builder.append('"');
		builder.append('r');
		builder.append('k');
		builder.append('k');
		builder.append('N');
		builder.append('`');
		builder.append('`');
		builder.append('X');
		builder.append('%');
		builder.append('*');

		try {
			places = dao.translateFindAll(builder.toString());
			Place place= places.get(0);
			assertEquals("password10", place.getPassword());
		} 
		catch (RetrievalException e) {
			e.printStackTrace();
			fail();
		}
	}
}
