/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.cache;

import java.io.Serializable;
import java.util.Collection;
import java.util.Iterator;
import java.util.SortedSet;
import java.util.TreeSet;

/**
 * @author ZZZZZZBECKEC
 *
 */
public abstract class AbstractGroupParent 
extends AbstractNamedVO
implements Serializable
{
	private static final long	serialVersionUID	= 1L;
	SortedSet<GroupVO> groups = new TreeSet<GroupVO>();

	public AbstractGroupParent(){}
	
	public AbstractGroupParent(String name)
	{
		super(name);
	}
	
	public boolean add(GroupVO group){return groups.add(group);}
	public boolean addAll(Collection<GroupVO> groupCollection){return groups.addAll(groupCollection);}
	
	public boolean remove(GroupVO group){return groups.remove(group);}
	public boolean removeAll(Collection<GroupVO> groupCollection){return groups.removeAll(groupCollection);}
	
	public Iterator<GroupVO> iterator(){return groups.iterator();}

	public int getGroupCount(){return this.groups.size();}
	
	public SortedSet<GroupVO> getGroups()
	{
		return this.groups;
	}
	
	@Override
	public void merge(AbstractNamedVO other) 
	throws MergeException
	{
		if(other instanceof AbstractGroupParent)
		{
			super.merge(other);
			mergeCollections(this, this.groups, ((AbstractGroupParent)other).groups);
		}
		else
		{
			String msg = "AbstractGroupParent is unable to merge '" + other.toString() + "'";
			logger.severe(msg);
			throw new MergeException(msg);
		}
	}
}
