/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.cache;

import java.io.Serializable;

/**
 * A value object used to pass the metadata about a cache instance.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class CacheMetadata 
implements Serializable
{
	private static final long serialVersionUID = 1L;
	
	private CacheItemPath cacheItemPath;
	private String cacheUri;
	private String location;
	private String protocol;
	
	public CacheMetadata() 
	{
		super();
	}

	public CacheMetadata(
		CacheItemPath cacheItemPath,
		String cacheUri,
		String location,
		String protocol) 
	{
		super();
		this.cacheItemPath = cacheItemPath;
		this.cacheUri = cacheUri;
		this.location = location;
		this.protocol = protocol;
	}

	public CacheItemPath getCacheItemPath() {
		return cacheItemPath;
	}

	public String getCacheUri() {
		return this.cacheUri;
	}

	public String getLocation() {
		return location;
	}

	public String getProtocol() {
		return protocol;
	}
}
