/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.cache;

import gov.va.med.imaging.cache.BinaryOrdersOfMagnitude;

import java.io.Serializable;

/**
 * A value object used to pass the metadata about a region instance.
 * 
 * @author ZZZZZZBECKEC
 * 
 */
public class CacheRegionMetadata implements Serializable {
	private static final long serialVersionUID = 1L;

	private CacheItemPath cacheItemPath;
	private String[] evictionStrategyNames;
	private long totalSpace;
	private long usedSpace;

	public CacheRegionMetadata() {
		super();
	}

	public CacheRegionMetadata(CacheItemPath cacheItemPath,
			String[] evictionStrategyNames, long totalSpace, long usedSpace) {
		super();
		this.cacheItemPath = cacheItemPath;
		this.evictionStrategyNames = evictionStrategyNames;
		this.totalSpace = totalSpace;
		this.usedSpace = usedSpace;
	}

	public CacheItemPath getCacheItemPath() {
		return cacheItemPath;
	}

	public String[] getEvictionStrategyNames() {
		return evictionStrategyNames;
	}

	public long getTotalSpace() {
		return totalSpace;
	}

	public long getUsedSpace() {
		return usedSpace;
	}

	public String getTotalSpaceFormatted() {
		return BinaryOrdersOfMagnitude.format(getTotalSpace());
	}

	public String getUsedSpaceFormatted() {
		return BinaryOrdersOfMagnitude.format(getUsedSpace());
	}
}
