/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.cache;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * A simple abstract servlet that looks for a "method" parameter
 * a redirects calls to doPut, doOptions, doTrace and doHead
 * if that parameter is set to the respective method name.
 * This is a hack so that HTML applications can use all the
 * HTTP methods.
 * 
 * @author ZZZZZZBECKEC
 *
 */
public abstract class HttpMethodHackServlet 
extends HttpServlet 
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	protected void service(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException 
	{
		String methodHack = request.getParameter("method");
		
		if(methodHack != null)
		{
			if("DELETE".equalsIgnoreCase(methodHack))
			{
				doDelete(request, response);
				return;
			}
			if("HEAD".equalsIgnoreCase(methodHack))
			{
				doHead(request, response);
				return;
			}
			if("OPTIONS".equalsIgnoreCase(methodHack))
			{
				doOptions(request, response);
				return;
			}
			if("PUT".equalsIgnoreCase(methodHack))
			{
				doPut(request, response);
				return;
			}
			if("TRACE".equalsIgnoreCase(methodHack))
			{
				doTrace(request, response);
				return;
			}
		}
		
		super.service(request, response);
	}
}
