<%@ page 
	language="java" 
	import="java.util.*, java.text.*, gov.va.med.imaging.*, gov.va.med.imaging.exchange.enums.*" 
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://imaging.domain.ext/vix/business" prefix="business"%>
<%@ taglib uri="http://imaging.domain.ext/vix/document" prefix="document"%>
<%@ taglib uri="http://imaging.domain.ext/vix/menu" prefix="menu"%>
<html>
	<jsp:directive.page session="false" contentType="text/html" />

	<head>
		<meta http-equiv="pragma" content="no-cache"/>
		<meta http-equiv="cache-control" content="no-cache"/>
		<meta http-equiv="expires" content="0"/>    
		<meta http-equiv="keywords" content="Patient Documents"/>
		<meta http-equiv="description" content="Patient Documents"/>
		
		<style type="text/css" title="currentStyle">
			@import url(../style/screen.css);
		</style>
		<title>Patient Documents</title>
		
		<jsp:useBean id="transactionContext" class="gov.va.med.imaging.transactioncontext.TransactionContextBean" scope="request">
		</jsp:useBean>
		
		<jsp:useBean id="developerRole" class="gov.va.med.imaging.exchange.MutableBoolean" scope="request">
		</jsp:useBean>
		
		<jsp:declaration >
			String patientIcn;
			String patientIcnWithoutChecksum;
			String homeCommunityId;
			String repositoryId;
			String remoteServer;
			int remotePort;
			String contextPath;
			String servletPath;
		</jsp:declaration>
		
		<jsp:scriptlet>
			developerRole.setValue(request.isUserInRole("developer"));
			patientIcn = request.getParameter("patientIcn") == null ? "" : request.getParameter("patientIcn");
			patientIcnWithoutChecksum = patientIcn;
			homeCommunityId = request.getParameter("homeCommunityId");
			repositoryId = request.getParameter("repositoryId");
			
			remoteServer = request.getServerName();
			remotePort = request.getServerPort();
			contextPath = request.getContextPath();
			servletPath = request.getServletPath();
		</jsp:scriptlet>

		<script type="text/javascript" src="../script/menu-for-applications.js">
		</script>		
		<script type="text/javascript" src="../script/vix.js">
		</script>		
		<script type="text/javascript" src="../script/boxover.js">
		</script>		
		<script type="text/javascript">
			var httpRequest = new XMLHttpRequest();
			var sessionId = readCookie("JSESSIONID");
		
			function prefetchDiagnostic(siteId, patientIcn) {
				var request = 'http://' + <%= "\"" + remoteServer + ":\"" %> + <%= "\"" + remotePort + "\"" %> + 
					"/Vix/secure/PrefetchStudies?siteNumber=" + siteId + "&patientIcn=" + patientIcn +
					"&imageQuality=90" 
					"&contentType=application/dicom";
				prefetch(request);
			};
			function prefetchReference(siteId, patientIcn) {
				var request = 'http://' + <%= "\"" + remoteServer + ":\"" %> + <%= "\"" + remotePort + "\"" %> + 
					"/Vix/secure/PrefetchStudies?siteNumber=" + siteId + 
					"&patientIcn=" + patientIcn + 
					"&imageQuality=70" 
					"&contentType=application/dicom";
				prefetch(request);
			};
			function prefetch(request)
			{
				httpRequest.onreadystatechange = processReqChange;
				httpRequest.open('POST', request );
				httpRequest.setRequestHeader("JSESSIONID", sessionId, true, 'username3', 'password5');
				httpRequest.send('');
			}			
			function processReqChange() {
				if(httpRequest.readyState == 4) { // complete
					if(httpRequest.status == 200)
						alert('Prefetch request successfully submitted');
					else
						alert('Prefetch request submission failed - ' + httpRequest.status + ' response.'); 
				}
			};
			
		</script>
		
	</head>
	<body onload="load();" id="vix">
		<div id="pageHeader">
			<h1><span>Patient Documents</span></h1>
		</div>
		<menu:Menu 
			menuId="menuModel" menuClass="menu" 
			subMenuClass="mainMenuSubMenu" 
			menuItemClass="mainMenuItem"
			menuDivId="menuDiv" />
		<div id="container">
			<span id="selection">
				<h1>Search Criteria</h1>
				<jsp:element name="form">
		    		<jsp:attribute name="id">FindPatientDocumentsCriteria</jsp:attribute>
		    		<jsp:attribute name="value">
		    			<jsp:expression>request.getServletPath()</jsp:expression>
		    		</jsp:attribute>
		    		<jsp:attribute name="method">GET</jsp:attribute>
		    		<jsp:body>
						<tags:OverrideRouting/>
						<ol>
							<li>
								*Home Community ID<br/>
								<jsp:element name="select">
									<jsp:attribute name="id">homeCommunityId</jsp:attribute>
									<jsp:attribute name="name">homeCommunityId</jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Home Community ID] body=[The community to retrieve data from.]</jsp:attribute>
									<jsp:body>
										<business:WellKnownOIDIteratorTag>
											<jsp:element name="option">
												<jsp:attribute name="value"><business:WellKnownOIDElementCanonicalValueTag/></jsp:attribute>
												<jsp:body>
													<business:WellKnownOIDElementToStringTag/>
												</jsp:body>
											</jsp:element>
										</business:WellKnownOIDIteratorTag>
									</jsp:body>
								</jsp:element> 
							</li>
							<li>
								*Repository ID<br/>
								<jsp:element name="input">
									<jsp:attribute name="type">text</jsp:attribute>
									<jsp:attribute name="id">repositoryId</jsp:attribute>
									<jsp:attribute name="name">repositoryId</jsp:attribute>
									<jsp:attribute name="value"><jsp:expression>repositoryId</jsp:expression></jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[repositoryId] body=[The repository ID, use '*' for all.]</jsp:attribute>
								</jsp:element> 
							</li>
							<li>
								*Patient ICN<br/>
								<jsp:element name="input">
									<jsp:attribute name="type">text</jsp:attribute>
									<jsp:attribute name="id">patientIcn</jsp:attribute>
									<jsp:attribute name="name">patientIcn</jsp:attribute>
									<jsp:attribute name="value"><jsp:expression>patientIcn</jsp:expression></jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Patient ICN] body=[The Integrated Control Number of the patient of interest.]</jsp:attribute>
								</jsp:element> 
							</li>
						</ol>
						<center><input type="submit"/></center>
						* indicates a required field
					</jsp:body>
				</jsp:element>
			</span>
			<span id="supportingText">
				<document:PatientDocumentSetResultTag 
					homeCommunityId="<%=homeCommunityId %>"
					repositoryId="<%=repositoryId %>"
					patientId="<%=patientIcn %>"
					emptyResultMessage="No document sets found"
				>
					<table>
						<tr>
							<th>Name</th>
							<th>Description</th>
							<th>Creation Date</th>
							<th>Home Community ID</th>
						</tr>
						<document:PatientDocumentSetCollectionTag>
							<document:DocumentSetCollectionElementTag>
								<tr>
									<td colspan="5">
									<document:DocumentSetPatientNameTag/>
									(<document:DocumentSetPatientIcnTag/>)&nbsp;
									<document:DocumentSetProcedureDateTag/>
									</td>
								</tr>
								<document:DocumentSetDocumentCollectionTag>
									<document:DocumentCollectionElementTag>
										<tr>
											<td>
												<a href="<document:DocumentRetrieveHRef/>">
													<document:DocumentNameTag/>
												</a>
											</td>
											<td><document:DocumentDescriptionTag/></td>
											<td><document:DocumentCreationDateTag/></td>
											<td><document:GlobalArtifactIdentifierTag/></td>
										</tr>
									</document:DocumentCollectionElementTag>
								</document:DocumentSetDocumentCollectionTag>
							</document:DocumentSetCollectionElementTag>
						</document:PatientDocumentSetCollectionTag>
					</table>
					<hr/>
					<table>
						<tr>
							<th>Severity</th>
							<th>Code</th>
							<th>Location</th>
						</tr>
						<document:PatientArtifactResultErrorCollectionTag>
							<document:ArtifactResultErrorCollectionElementTag>
								<tr>
									<td><document:ArtifactResultErrorSeverity/></td>
									<td><document:ArtifactResultErrorCodeContext/>.<document:ArtifactResultErrorCode/></td>
									<td><document:ArtifactResultErrorLocation/></td>
								</tr>
							</document:ArtifactResultErrorCollectionElementTag>
						</document:PatientArtifactResultErrorCollectionTag>
					</table>
				</document:PatientDocumentSetResultTag>
			</span>
		</div>		
		<div id="pageFooter">
			<jsp:include flush="false" page="../footer.html"></jsp:include>
		</div>		
	</body>
</html>
