<jsp:root 
	xmlns:jsp="http://java.sun.com/JSP/Page" version="2.1"
	xmlns:tags="urn:jsptagdir:/WEB-INF/tags"
    xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:patient="http://imaging.domain.ext/vix/patient"
	xmlns:study="http://imaging.domain.ext/vix/study"
	xmlns:series="http://imaging.domain.ext/vix/series"
	xmlns:image="http://imaging.domain.ext/vix/image"
	xmlns:business="http://imaging.domain.ext/vix/business"
	xmlns:menu="http://imaging.domain.ext/vix/menu" 
	xmlns:log="http://imaging.domain.ext/vix/access" 
>
	<jsp:directive.page import="gov.va.med.WellKnownOID"/>
	<jsp:directive.page session="false" contentType="text/html" />
	<jsp:directive.page session="false" contentType="text/html" />

	<jsp:scriptlet>
		String localIp = request.getLocalAddr();	// leave this here, even if it looks like it isn't doing anything
		String contextPath = request.getContextPath();
		String imageBasePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+contextPath;
		String siteNumberParam = request.getParameter("siteNumber");
		String patientIdParam = request.getParameter("patientId");
		String fromDateParam = request.getParameter("fromDate");
		String toDateParam = request.getParameter("toDate");
		String studyIdParam = request.getParameter("studyId");	
	</jsp:scriptlet>

	<head>
		<meta http-equiv="pragma" content="no-cache"/>
		<meta http-equiv="cache-control" content="no-cache"/>
		<meta http-equiv="expires" content="0"/>    
		<meta http-equiv="keywords" content="Vista VIX Imaging Patient Study"/>
		<meta http-equiv="description" content="VistA Imaging Web Access Patient Studies"/>
		
		<style type="text/css" title="currentStyle">
			@import url(../style/screen.css);
		</style>
		<title>ViX - Find Patient Studies</title>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/browser.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/calendar.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/ajax.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/folder-tree-static.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/menu-for-applications.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/vix.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>

		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:attribute name="src">../script/boxover.js</jsp:attribute>
			<jsp:body>
			</jsp:body>
		</jsp:element>
		
		<jsp:element name="script">
			<jsp:attribute name="type">text/javascript</jsp:attribute>
			<jsp:body>
				function downloadReference(imageUrl)
				{
					window.open(imageUrl, "imageDownload", "", false);
					//document.execCommand( "SaveAs", "true", imageUrl );
				}
				function downloadDiagnostic(imageUrl)
				{
					window.open(imageUrl, "imageDownload", "", false);
				}
				function viewReference(imageUrl)
				{
					window.open(imageUrl, "imageView", "", false);
				}
				function viewDiagnosticApplet(imageUrl)
				{
					document.applets[0].openImage( imageUrl );
				}
				function viewDiagnosticActiveX(imageUrn)
				{
					document.objects[0].openImage( imageUrl );
				}
				
			</jsp:body>
		</jsp:element>

		<jsp:useBean id="transactionContext" class="gov.va.med.imaging.transactioncontext.TransactionContextBean" scope="request">
		</jsp:useBean>
		
		<jsp:useBean id="developerRole" class="gov.va.med.imaging.exchange.MutableBoolean" scope="request">
		</jsp:useBean>
		
		<jsp:scriptlet>
			developerRole.setValue(request.isUserInRole("developer"));
		</jsp:scriptlet>
	</head>
	
	<body onload="load();initStudyTree(document.getElementById('study-list-tree'));">
		<div id="pageHeader">
			<h1><span>VIX - Find Patient Studies</span></h1>
		</div>
		
		<menu:Menu 
			menuId="menuModel" menuClass="menu" 
			subMenuClass="mainMenuSubMenu" 
			menuItemClass="mainMenuItem"
			menuDivId="menuDiv" />
		<div id="container">
		<table>
			<div id="selection">
				<h1>Study Search Criteria</h1>
				<jsp:element name="form">
		    		<jsp:attribute name="id">FindPatientStudiesCriteria</jsp:attribute>
		    		<jsp:attribute name="value">
		    			<jsp:expression>request.getServletPath()</jsp:expression>
		    		</jsp:attribute>
		    		<jsp:attribute name="method">GET</jsp:attribute>
		    		<jsp:body>
						<tags:OverrideRouting/>
						<ol>
						  <li>
						    *Patient ICN:<br/>
							<jsp:element name="input">
								<jsp:attribute name="type">text</jsp:attribute>
								<jsp:attribute name="id">patientId</jsp:attribute>
								<jsp:attribute name="name">patientId</jsp:attribute>
								<jsp:attribute name="value">${param['patientId']}</jsp:attribute>
								<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Patient ICN] body=[The Integrated Control Number of the patient of interest.]</jsp:attribute>
							</jsp:element> 
						  </li> 
						  <li>
						    Date Range:<br/>
							<span id="fromDateContainer">
								<jsp:element name="input">
									<jsp:attribute name="type">text</jsp:attribute>
									<jsp:attribute name="id">fromDate</jsp:attribute>
									<jsp:attribute name="name">fromDate</jsp:attribute>
									<jsp:attribute name="value">${param['fromDate']}</jsp:attribute>
									<jsp:attribute name="maxlength">10</jsp:attribute>
									<jsp:attribute name="width">100px</jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Date Range Start] body=[Include studies that occurred on or after this date.]</jsp:attribute>
								</jsp:element>
								<img class="button-img" src="../images/Calendar.png" onclick="fromDatePicker.show();" />
							</span> 
						    <br/>-to-<br/>
							<span id="toDateContainer">
								<jsp:element name="input">
									<jsp:attribute name="type">text</jsp:attribute>
									<jsp:attribute name="id">toDate</jsp:attribute>
									<jsp:attribute name="name">toDate</jsp:attribute>
									<jsp:attribute name="value">${param['toDate']}</jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Date Range End] body=[Include studies that occurred on or before this date.]</jsp:attribute>
								</jsp:element>
								<img class="button-img" src="../images/Calendar.png" onclick="toDatePicker.show();" /> 
							</span>
						  </li> 
						  <li>
						    Study ID:<br/>
							<jsp:element name="input">
								<jsp:attribute name="type">text</jsp:attribute>
								<jsp:attribute name="id">studyId</jsp:attribute>
								<jsp:attribute name="name">studyId</jsp:attribute>
								<jsp:attribute name="value">${param['studyId']}</jsp:attribute>
								<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Study ID] body=[Include only the one study with this ID.]</jsp:attribute>
							</jsp:element> 
						  </li>
						</ol>
						* indicates a required field<br/>
						<center><input type="submit"/></center>
					</jsp:body>
				</jsp:element>
			</div>
					
			<div id="supportingText">
				<!-- 
				Declarations of the ActiveX Control and the Applet, both of which may
				be used to show DICOM images and data sets.
				 -->
				<object 
					id="ActiveXViewer"
					classid = "clsid:8AD9C840-044E-11D1-B3E9-00805F499D93" 
					codebase = "http://java.sun.com/update/1.5.0/jinstall-1_5-windows-i586.cab#Version=1,5,0,0"
					WIDTH = "1" HEIGHT = "1" >
					<param name = "code" VALUE = "gov.va.med.imaging.dicomviewer.ViewerApplet.class" ></param>
					<param name = "archive" VALUE = "../applets/VixGuiImageDisplayApplet-0.1.jar" ></param>
					<param name = "type" value = "application/x-java-applet;version=1.6.0"></param>
					<param name = "scriptable" value = "true"></param>
				</object>
				<jsp:plugin	
   					type="applet"  
   					code="gov.va.med.imaging.dicomviewer.ViewerApplet"	
   					codebase="applets"
   					name="AppletViewer"
					archive="VixGuiImageDisplayApplet-0.1.jar,DicomCodecImpl-0.1.jar"
					height="1"
					width="1"
				>
					<jsp:fallback>Unable to load viewer applet</jsp:fallback>
					<jsp:params>
						<param name="identity" value=""/>
						<param name="credentials" value=""/>
					</jsp:params>
				</jsp:plugin>
				
				<ul id="study-list-tree" class="dhtmlgoodies_tree">
					<study:StudyListTag
						siteNumber="${siteNumberParam}"
						patientId="${patientIdParam}"
						fromDate="${fromDateParam}"
						toDate="${toDateParam}"
						studyId="${studyIdParam}" 
						emptyResultMessage="No studies found">
							
						<br/><study:StudyListElementTag>
							<jsp:element name="li">
								<jsp:attribute name="class">study</jsp:attribute>
								<jsp:attribute name="id">study-</jsp:attribute>
								<jsp:body>
									<jsp:element name="a">
										<jsp:attribute name="href">#</jsp:attribute>
										<jsp:attribute name="id"></jsp:attribute>
										<jsp:body>
											(Study) 
											// - 
										</jsp:body>
									</jsp:element>
									
									<study:StudySeriesCollectionTag>
										<ul class="study-series">
											<series:SeriesCollectionElementTag>
												<li class="series">
													<jsp:element name="a">
														<jsp:attribute name="href">#</jsp:attribute>
														<jsp:attribute name="id"></jsp:attribute>
														<jsp:body>
															Series # with Images (IEN=)
														</jsp:body>
													</jsp:element>
													<ul class="series-image">
														<series:SeriesImageCollectionTag>
															<image:ImageCollectionElementTag>
																<li class="instance">
																	<jsp:element name="a">
																		<jsp:attribute name="href">#</jsp:attribute>
																		<jsp:attribute name="id"></jsp:attribute>
																		<jsp:body>
																			Image #
																		</jsp:body>
																	</jsp:element>
																	<ul class="image">
																		<jsp:element name="a">
																			<table>
																				<tr>
																					<td rowspan="7">
																						<jsp:element name="img">
																							<jsp:attribute name="src">
																								
																							</jsp:attribute>
																						</jsp:element>
																						<br/>
																						<span class="image_links">
																							<jsp:text><![CDATA[<a href="#" onclick="viewDiagnosticApplet(']]></jsp:text>
																							<image:DiagnosticImageHRefTag pathInfoPattern="secure/diagnostic/[imageUrn]" includeProtocolInUrl="true" includeHostInUrl="true" includeContextInUrl="true" />
																							<jsp:text><![CDATA[')]></jsp:text>
																							Diagnostic(Applet)
																							<jsp:text><![CDATA[</a>]]></jsp:text>
																							<br/>
																							<jsp:text><![CDATA[<a href="#" onclick="viewDiagnosticActiveX(']]></jsp:text>
																							<image:DiagnosticImageHRefTag pathInfoPattern="secure/diagnostic/[imageUrn]" includeProtocolInUrl="true" includeHostInUrl="true" includeContextInUrl="true" />
																							<jsp:text><![CDATA[')]></jsp:text>
																							Diagnostic(Clinical Display)
																							<jsp:text><![CDATA[</a>]]></jsp:text>
																							<br/>
																							<jsp:element name="a">
																								<jsp:attribute name="href"><image:ReferenceImageHRefTag pathInfoPattern='secure/reference/[imageUrn]' includeProtocolInUrl='true' includeHostInUrl='true' includeContextInUrl='true' /></jsp:attribute>
																								<jsp:body>Reference</jsp:body>
																							</jsp:element>
																							<jsp:element name="a">
																								<jsp:attribute name="href"><image:DiagnosticImageHRefTag pathInfoPattern='secure/reference/[imageUrn]' includeProtocolInUrl='true' includeHostInUrl='true' includeContextInUrl='true' /></jsp:attribute>
																								<jsp:body>Diagnostic</jsp:body>
																							</jsp:element>
				    																	</span>
																					</td>
																					<td>VI Type:</td><td> </td>
																				</tr>
																				<tr>
																					<td>Modality:</td><td>  </td>
																				</tr>
																				<tr>
																					<td>QA Message:</td><td>  </td>
																				</tr>
																				<tr>
																					<td>SiteNumber:</td><td>  </td>
																				</tr>
																				<tr>
																					<td>IEN:</td><td>  </td>
																				</tr>
																				<tr>
																					<td>Group IEN:</td><td>  </td>
																				</tr>
																				<tr>
																					<td>Patient ICN:</td><td>sp:root<image:ImagePatientIcnTag />  </td>
																				</tr>
																			</table>
																		</jsp:element>
																	</ul>											
																</li>
															</image:ImageCollectionElementTag>
														</series:SeriesImageCollectionTag>
													</ul>
												</li>
											</series:SeriesCollectionElementTag>
										</ul>
									</study:StudySeriesCollectionTag>
								</jsp:body>
							</jsp:element>
						</study:StudyListElementTag>
					</study:StudyListTag>
				</ul>
			</div>
		</table>
		</div>
		<div id="pageFooter">
			<jsp:include flush="false" page="../footer.html"></jsp:include>
		</div>		
	</body>
</jsp:root>
