<%@ page 
	language="java" 
	import="java.util.*, java.text.*, gov.va.med.imaging.*, gov.va.med.imaging.exchange.enums.*" 
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://imaging.domain.ext/vix/business" prefix="business"%>
<%@ taglib uri="http://imaging.domain.ext/vix/study" prefix="study"%>
<%@ taglib uri="http://imaging.domain.ext/vix/series" prefix="series"%>
<%@ taglib uri="http://imaging.domain.ext/vix/image" prefix="image"%>
<%@ taglib uri="http://imaging.domain.ext/vix/menu" prefix="menu"%>
<%@ taglib uri="http://imaging.domain.ext/vix/artifactsource" prefix="site"%>
<html>
	<jsp:directive.page session="false" contentType="text/html" />

	<head>
		<meta http-equiv="pragma" content="no-cache"/>
		<meta http-equiv="cache-control" content="no-cache"/>
		<meta http-equiv="expires" content="0"/>    
		<meta http-equiv="keywords" content="Vista VIX Imaging Patient Treating Facility"/>
		<meta http-equiv="description" content="VistA Imaging Web Access Patient Treating Facility"/>
		
		<style type="text/css" title="currentStyle">
			@import url(../style/screen.css);
		</style>
		<title>ViX - Treating facilities List</title>
		
		<jsp:useBean id="transactionContext" class="gov.va.med.imaging.transactioncontext.TransactionContextBean" scope="request">
		</jsp:useBean>
		
		<jsp:useBean id="developerRole" class="gov.va.med.imaging.exchange.MutableBoolean" scope="request">
		</jsp:useBean>
		
		<jsp:declaration >
			String patientIcn;
			String patientIcnWithoutChecksum;
			String siteNumber;
			String remoteServer;
			int remotePort;
			String contextPath;
			String servletPath;
		</jsp:declaration>
		
		<jsp:scriptlet>
			developerRole.setValue(request.isUserInRole("developer"));
			patientIcn = request.getParameter("patientIcn") == null ? "" : request.getParameter("patientIcn");
			patientIcnWithoutChecksum = patientIcn;
			siteNumber = request.getParameter("siteNumber");
			
			remoteServer = request.getServerName();
			remotePort = request.getServerPort();
			contextPath = request.getContextPath();
			servletPath = request.getServletPath();
		</jsp:scriptlet>

		<script type="text/javascript" src="../script/menu-for-applications.js">
		</script>		
		<script type="text/javascript" src="../script/vix.js">
		</script>		
		<script type="text/javascript" src="../script/boxover.js">
		</script>		
		<script type="text/javascript">
			var httpRequest = new XMLHttpRequest();
			var sessionId = readCookie("JSESSIONID");
		
			function prefetchDiagnostic(siteId, patientIcn) {
				var request = 'http://' + <%= "\"" + remoteServer + ":\"" %> + <%= "\"" + remotePort + "\"" %> + 
					"/Vix/secure/PrefetchStudies?siteNumber=" + siteId + "&patientIcn=" + patientIcn +
					"&imageQuality=90" 
					"&contentType=application/dicom";
				prefetch(request);
			};
			function prefetchReference(siteId, patientIcn) {
				var request = 'http://' + <%= "\"" + remoteServer + ":\"" %> + <%= "\"" + remotePort + "\"" %> + 
					"/Vix/secure/PrefetchStudies?siteNumber=" + siteId + 
					"&patientIcn=" + patientIcn + 
					"&imageQuality=70" 
					"&contentType=application/dicom";
				prefetch(request);
			};
			function prefetch(request)
			{
				httpRequest.onreadystatechange = processReqChange;
				httpRequest.open('POST', request );
				httpRequest.setRequestHeader("JSESSIONID", sessionId, true, 'username3', 'password5');
				httpRequest.send('');
			}			
			function processReqChange() {
				if(httpRequest.readyState == 4) { // complete
					if(httpRequest.status == 200)
						alert('Prefetch request successfully submitted');
					else
						alert('Prefetch request submission failed - ' + httpRequest.status + ' response.'); 
				}
			};
			
		</script>
		
	</head>
	<body onload="load();" id="vix">
		<div id="pageHeader">
			<h1><span>VIX - Treating Facilities List</span></h1>
		</div>
		<menu:Menu 
			menuId="menuModel" menuClass="menu" 
			subMenuClass="mainMenuSubMenu" 
			menuItemClass="mainMenuItem"
			menuDivId="menuDiv" />
		<div id="container">
			<span id="selection">
				<h1>Search Criteria</h1>
				<jsp:element name="form">
		    		<jsp:attribute name="id">FindTreatingFacilitiesCriteria</jsp:attribute>
		    		<jsp:attribute name="value">
		    			<jsp:expression>request.getServletPath()</jsp:expression>
		    		</jsp:attribute>
		    		<jsp:attribute name="method">GET</jsp:attribute>
		    		<jsp:body>
						<ol>
							<li>
								*Site Number<br/>
								<c:choose>
									<c:when test="${developerRole.value}">
										<c:out value="Developer Mode" />
										<jsp:element name="input">
											<jsp:attribute name="type">text</jsp:attribute>
											<jsp:attribute name="id">siteNumber</jsp:attribute>
											<jsp:attribute name="name">siteNumber</jsp:attribute>
											<jsp:attribute name="value"><jsp:expression>transactionContext.getRealm()</jsp:expression></jsp:attribute>
											<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Site Number] body=[The site number to retrieve data from.]</jsp:attribute>
										</jsp:element> 
									</c:when>
									<c:otherwise>
										<jsp:element name="input">
											<jsp:attribute name="type">text</jsp:attribute>
											<jsp:attribute name="id">siteNumber</jsp:attribute>
											<jsp:attribute name="name">siteNumber</jsp:attribute>
											<jsp:attribute name="value"><jsp:expression>transactionContext.getRealm()</jsp:expression></jsp:attribute>
											<jsp:attribute name="readonly">readonly</jsp:attribute>
											<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Site Number] body=[Your home site.]</jsp:attribute>
										</jsp:element> 
									</c:otherwise>
								</c:choose>
							</li>
							<li>
								*Patient ICN<br/>
								<jsp:element name="input">
									<jsp:attribute name="type">text</jsp:attribute>
									<jsp:attribute name="id">patientIcn</jsp:attribute>
									<jsp:attribute name="name">patientIcn</jsp:attribute>
									<jsp:attribute name="value"><jsp:expression>patientIcn</jsp:expression></jsp:attribute>
									<jsp:attribute name="title">cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Patient ICN] body=[The Integrated Control Number of the patient of interest.]</jsp:attribute>
								</jsp:element> 
							</li>
						</ol>
						<center><input type="submit"/></center>
						* indicates a required field
					</jsp:body>
				</jsp:element>
			</span>
			<span id="supportingText">
				<table>
					<tr>
						<th>Site</th>
						<th>Vista Server</th>
						<th>Vix Server</th>
						<th>Patient Studies</th>
					</tr>
					<site:TreatingFacilitySiteCollection 
						siteNumber="${param['siteNumber']}" 
						patientIcn="<%=patientIcn %>"
						emptyResultMessage="No treating facilities found"
					>
						<site:ArtifactSourceCollectionElement>
						<site:ArtifactSourceAsSite>
							<tr>
								<td>
									<site:SiteNumber/>-<site:SiteName/>(<site:SiteAbbreviation/>)
								</td>
								<td><site:SiteVistaServer/>:<site:SiteVistaPort/></td>
								<td> <site:SiteAcceleratorServer/>:<site:SiteAcceleratorPort/></td>
								<td>
									<jsp:element name="a">
										<jsp:attribute name="href">
											../secure/FindPatientStudies.jsp?siteNumber=<site:SiteNumber/>&amp;patientId=${param['patientIcn']}
										</jsp:attribute>
										<jsp:body>Web&nbsp;Access</jsp:body>
									</jsp:element>
									<br/>
									<jsp:element name="a">
										<jsp:attribute name="href">
											../secure/FindPatientDocuments.jsp?repositoryId=<site:SiteNumber/>&amp;patientIcn=${param['patientIcn']}
										</jsp:attribute>
										<jsp:body>Documents</jsp:body>
									</jsp:element>
									<br/>
									<jsp:element name="a">
										<jsp:attribute name="href">#</jsp:attribute>
										<jsp:attribute name="onclick">prefetchDiagnostic('<site:SiteNumber/>','${param['patientIcn']}');</jsp:attribute>
										<jsp:body>Prefetch&nbsp;Diagnostic</jsp:body>
									</jsp:element>
									<br/>
									<jsp:element name="a">
										<jsp:attribute name="href">#</jsp:attribute>
										<jsp:attribute name="onclick">prefetchReference('<site:SiteNumber/>','${param['patientIcn']}');</jsp:attribute>
										<jsp:body>Prefetch&nbsp;Reference</jsp:body>
									</jsp:element>
									<br/>
									<menu:ClinicalDisplayLink 
										targetSiteNumber="<%= transactionContext.getRealm()%>"
										siteNumber="${siteNumber}"
										patientId="<%=patientIcn %>"
										originId="UNSPECIFIED"
										studyClass="CLIN"
									/>
									<br/>
									<menu:ExchangeLink
										targetSiteNumber="<%= transactionContext.getRealm()%>"
										siteNumber="${param['siteNumber']}"
										patientId="<%=patientIcn %>"
									/>
									<br/>
									<menu:FederationLink
										targetSiteNumber="<%= transactionContext.getRealm()%>"
										siteNumber="${param['siteNumber']}"
										patientId="<%=patientIcn %>"
									/>
								</td>
							</tr>
						</site:ArtifactSourceAsSite>
						</site:ArtifactSourceCollectionElement>					
					</site:TreatingFacilitySiteCollection>
				</table>
			</span>
		</div>		
		<div id="pageFooter">
			<jsp:include flush="false" page="../footer.html"></jsp:include>
		</div>		
	</body>
</html>
