<%@ page 
language="java" 
import="java.util.*, java.text.*, gov.va.med.imaging.*, gov.va.med.imaging.exchange.enums.*" 
pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://imaging.domain.ext/vix/business" prefix="business"%>
<%@ taglib uri="http://imaging.domain.ext/vix/transactionlogs" prefix="log"%>
<%@ taglib uri="http://imaging.domain.ext/vix/menu" prefix="menu"%>

<jsp:directive.page session="false" contentType="text/html" />

<% 
	DateFormat dfDateOnly = new SimpleDateFormat("MM/dd/yyyy");
	
	String contextPath = request.getContextPath();
	String servletPath = request.getServletPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+contextPath;
	
	Date fromDate = gov.va.med.imaging.DateUtil.currentDayStart();
	String fromDateParam = request.getParameter("fromDate");
	if(fromDateParam != null)
		fromDate = dfDateOnly.parse( fromDateParam );
	fromDate = gov.va.med.imaging.DateUtil.dayStart(fromDate);
	fromDateParam =dfDateOnly.format(fromDate);
		
	Date toDate = gov.va.med.imaging.DateUtil.currentDayEnd();
	String toDateParam = request.getParameter("toDate");
	if(toDateParam != null)
		toDate = dfDateOnly.parse( toDateParam );
	toDate = gov.va.med.imaging.DateUtil.dayEnd(toDate);
	toDateParam = dfDateOnly.format(toDate);
	
	String imageQualityParam = request.getParameter("imageQuality");
	ImageQuality imageQuality = null;
	if(imageQualityParam != null)
	{
		try{imageQuality = ImageQuality.valueOf(imageQualityParam);}
		catch(IllegalArgumentException iaX){imageQuality = null;}
	}
	String user = request.getParameter("user");
	String modality = request.getParameter("modality");
	
	String datasourceProtocolParam = request.getParameter("datasourceProtocol");
	DatasourceProtocol datasourceProtocol = null;
	if(datasourceProtocolParam != null)
	{
		try{ datasourceProtocol = DatasourceProtocol.valueOf(datasourceProtocolParam); }
		catch(IllegalArgumentException iaX){datasourceProtocol = null;}
	}
	
	String errorMessage = request.getParameter("errorMessage");
	String transactionId = request.getParameter("transactionId");
	String imageUrn = request.getParameter("imageUrn");
	
	String forwardIterationParam = request.getParameter("forwardIteration");
	Boolean forwardIteration = Boolean.FALSE;
	if( forwardIterationParam != null )
		forwardIteration = Boolean.parseBoolean(forwardIterationParam);
	
	String startIndexParam = request.getParameter("startIndex");
	int startIndex = 0;
	if(startIndexParam != null)
		startIndex = Integer.parseInt(startIndexParam);
		
	String resultsPerPageParam = request.getParameter("resultsPerPage");
	Integer requestResultsPerPage = new Integer(1000);
	if(resultsPerPageParam != null)
		requestResultsPerPage = new Integer(resultsPerPageParam);
		
	int endIndex = startIndex + requestResultsPerPage;

	String byteTransferPathParam = request.getParameter ("byteTransferPath");
	ByteTransferPath byteTransferPath = null;
	if(byteTransferPathParam != null)
	{
		try{ byteTransferPath = ByteTransferPath.valueOf(byteTransferPathParam); }
		catch(IllegalArgumentException iaX){byteTransferPath = null;}
	}
	else
	{
		byteTransferPath = ByteTransferPath.DS_IN_FACADE_OUT;
	}
%>

<html>
	<!-- 
	Notes from the JSP Spec (syntax examples have added whitespace to prevent recognition as
	directives or elements).
	
	A JSP page has elements and template data. An element is an instance of an element
	type known to the JSP container. Template data is everything else; that is, anything
	that the JSP translator does not know about.
	There are three types of elements: directive elements, scripting elements, and
	action elements.
	Directives "< %@ directive...%>" provide global information that is conceptually valid independent
	of any specific request received by the JSP page. They provide information for
	the translation phase.
	Action elements follow the syntax of an XML element.  Actions provide information for the request 
	processing phase.  An action may create objects and may make them available to the scripting elements 
	through scripting-specific variables.
	Scripting Elements EL expressions use the syntax ${expr}.  JSP 2.0 retains the three language-based 
	types of scripting elements: declarations, scriptlets, and expressions. 
	Declarations follow the syntax < %! ... %>.
	Scriptlets follow the syntax < % ... %>. 
	Expressions follow the syntax < %= ... %>.
	
	A context-relative path is a path that starts with a slash (/). It is to be interpreted
	as relative to the application to which the JSP page or tag file belongs.
	A page relative path is a path that does not start with a slash (/). It is to be interpreted
	as relative to the current JSP page, or the current JSP file or tag file, depending on where the path is being used.
	
	A JSP Document is a JSP page that is also an XML document. When a JSP document is encountered by
	the JSP container, it is interpreted as an XML document first and after that as a JSP page.
	-->

	<head>
		<meta http-equiv="pragma" content="no-cache"/>
		<meta http-equiv="cache-control" content="no-cache"/>
		<meta http-equiv="expires" content="0"/>    
		<meta http-equiv="keywords" content="Vista VIX Imaging Transaction"/>
		<meta http-equiv="description" content="VistA Imaging Web Access Transaction"/>
		 
		<style type="text/css" title="currentStyle">
			@import url(../style/screen.css);
		</style>
		 
		<!-- addition below for a custom css for IE 7-8, and text-printing in FireFox 3.x  7/31/09 --> 
		<link rel="stylesheet" type="text/css" media="print" href="../style/printer_friendly.css" />
		
		<!--[if gte IE 7]>
		       <style type="text/css" title="currentStyle">
			   @import url(../style/screenie.css);
			   </style>
		<![endif]-->
		<!--for print preview in IE 7-8 (minimum)-->
		<!--[if gte IE 7]>
			   <link rel="stylesheet" type="text/css" media="print" href="../style/printerie.css" />
		<![endif]-->
		
		<title>ViX - Transaction Log</title>
		<script type="text/javascript" src="../script/browser.js">
		</script>
		<script type="text/javascript" src="../script/calendar.js">
		</script>
		<script type="text/javascript" src="../script/menu-for-applications.js">
		</script>
		<script type="text/javascript" src="../script/vix.js">
		</script>
		<script type="text/javascript">
			ShowInBrowserMouseOff = new Image(); ShowInBrowserMouseOff.src = "../images/ShowInBrowser.gif"
			ShowInBrowserMouseDown = new Image(); ShowInBrowserMouseDown.src = "../images/ShowInBrowserMouseDown.gif"
			DownloadAsCSVMouseOff = new Image(); DownloadAsCSVMouseOff.src = "../images/DownloadAsCSV.gif"
			DownloadAsCSVMouseDown = new Image(); DownloadAsCSVMouseDown.src = "../images/DownloadAsCSVMouseDown.gif"
			DownloadAsTSVMouseOff = new Image(); DownloadAsTSVMouseOff.src = "../images/DownloadAsTSV.gif"
			DownloadAsTSVMouseDown = new Image(); DownloadAsTSVMouseDown.src = "../images/DownloadAsTSVMouseDown.gif"
			ResetMouseOff = new Image(); ResetMouseOff.src = "../images/Reset.gif"
			ResetMouseDown = new Image(); ResetMouseDown.src = "../images/ResetMouseDown.gif"

			function getCurrentPageStartIndex() {
				var startIndexElement = document.getElementById('startIndex');
				if(startIndexElement && startIndexElement.value && startIndexElement.value != '')
					return parseInt(startIndexElement.value);
				return 0;
			}
			
			function getCurrentPageEndIndex() {
				var endIndexElement = document.getElementById('endIndex');
				if(endIndexElement && endIndexElement.value && endIndexElement.value != '')
					return parseInt(endIndexElement.value);
				return 100;
			}

			function getSelectedResultsPerPage() {
				var resultsSelectElement = document.getElementById('resultsPerPage');
				var selectedIndex = resultsSelectElement.selectedIndex; 
				return parseInt(resultsSelectElement.options[selectedIndex].value);
			}

			// The following functions do the HTML GET requests.
			function move(startIndex, endIndex) {
				document.getElementById('transactionLogSearchCriteria').action="<%=contextPath + servletPath %>";
				document.getElementById('format').value='text/html';
				document.getElementById('startIndex').value=startIndex;
				document.getElementById('endIndex').value=endIndex;
				document.getElementById('transactionLogSearchCriteria').submit();			
			}
			function firstPage() {
				move(0, getSelectedResultsPerPage());
			}
			function nextPage() {
				var nextPageStartIndex = getCurrentPageEndIndex();
				var nextPageEndIndex = nextPageStartIndex + getSelectedResultsPerPage();
				move(nextPageStartIndex, nextPageEndIndex);
			}
			function previousPage() {
				var nextPageStartIndex = getCurrentPageStartIndex() - getSelectedResultsPerPage();
				var nextPageEndIndex = getCurrentPageStartIndex();
				move(nextPageStartIndex, nextPageEndIndex);
			}
			
			// Send an HTTP request for Excel, CSV and TSV formatted transaction logs
			function submitExcel(mimeType) {
				document.getElementById('transactionLogSearchCriteria').action='ExcelTransactionLog';
				document.getElementById('format').value=mimeType; 
				document.getElementById('transactionLogSearchCriteria').submit();			
			}
			function resetSearchCriteria() {
				document.getElementById('transactionLogSearchCriteria').reset();
			}
			
			// Context Help Pop-up  
			var helpSubjectElement = null;
			var helpContentElement = null;

			// regexElementId - the ID of the element that is the subject of the help 
			// regexHelpElementId - the ID of the help element (the one that contains the help text) 			
			function showHelp(helpSubjectElementId, helpContentElementId)
			{
				//alert("Agent is " + browserSniffer.agt);
				helpSubjectElement = document.getElementById(helpSubjectElementId);
				helpContentElement = document.getElementById(helpContentElementId);
				
				helpContentElement.style.top = (browserSniffer.getElementTop(helpSubjectElementId) + 10) + 'px';
				helpContentElement.style.left = (browserSniffer.getElementLeft(helpSubjectElementId) + browserSniffer.getElementWidth(helpSubjectElementId) + 100) + 'px';
				//alert("helpContentElement is " + helpContentElement + "@ " + helpContentElement.style.top + ", " + helpContentElement.style.left);
				helpContentElement.style.visibility = "visible";
			}
			
			function hideHelp()
			{
				helpContentElement.style.visibility = "hidden";
				helpSubjectElement = null;
				helpContentElement = null;
			}
			
			function setHelpField(value)
			{
				helpSubjectElement.value = value;
			}
			function appendHelpField(value)
			{
				helpSubjectElement.value = helpSubjectElement.value + value;
			}
			
			// methods to change the displayed images on mouse events 
			function turnMouseOff(ImageName) {
				document.images[ImageName].src = eval(ImageName + "MouseOff.src");
			}
			
			function turnMouseDown(ImageName) {
				document.images[ImageName].src = eval(ImageName + "MouseDown.src");
			}
			
		</script>
		
	</head>
	<body onload="load();" id="vix-transaction">
		<div id="pageHeader">
			<h1><span>VIX - Transaction Log</span></h1>
		</div>
		<menu:Menu 
			menuId="menuModel" menuClass="menu" 
			subMenuClass="mainMenuSubMenu" 
			menuItemClass="mainMenuItem"
			menuDivId="menuDiv" 
		/>
		<div id="container">
			<div id="selection">
				<h1>Transaction Log Filter</h1>
				<form id="transactionLogSearchCriteria" action=<%= "\"" + servletPath + "\""%> method="GET">
						<!-- 
						The startIndex and endIndex elements are the indexes of the currently displayed page.
						The script that submits this form will push values into these elements immediately
						before submitting the form, which get passed as query parameters.
						The resultsPerPage query parameter is set from a select element within this form.
						The aforementioned script (that submits this form) uses the resultsPerPage
						element to calculate the requested start and end index.  Other than that the
						resultsPerPage is simply passed back and forth between browser and server so
						that it remains durable.
						-->
						<input type="hidden" id="startIndex" name="startIndex" value="${param.startIndex}" />
						<input type="hidden" id="endIndex" name="endIndex" value="${param.endIndex}" />
						<input type="hidden" id="format" name="format" value=""/>
		    			<ul>
							<li>
							<div class="fromDate">
						    Start Date:<br/>
							<span id="fromDateContainer">
								<input type="text" id="fromDate" name="fromDate" 
									value=<%="\"" + fromDateParam + "\""%> 
									maxlength="10" width="100px" 
									title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Start Date] body=[Include transactions from this date to the end date.]"
								/>
								&nbsp;
								<img class="button-img" src="../images/Calendar.png" onclick="fromDatePicker.show();" />
							</span>
							</div> 
						    <br/>End Date:<br/>
							<span id="toDateContainer">
								<input type="text" id="toDate" name="toDate" 
									value=<%="\"" + toDateParam + "\""%> 
									maxlength="10" width="100px" 
									title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[End Date] body=[Include transactions from the start date to this date.]"
								/>
								&nbsp;
								<img class="button-img" src="../images/Calendar.png" onclick="toDatePicker.show();" />
							</span>
						   	
						  </li>
					  	<li>
					    	Sort Order<sup>1</sup>:<br/>
						    <select id="forwardIteration" name="forwardIteration"
								title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Direction] body=[Sort the transactions either direction by date.]"
						    />
					    		<option value="True">Increasing Date</option>
					    		<option value="False" selected="selected">Decreasing Date</option>
							</select>
					    </li>
					    <li>
							<c:set var="transactionPerPage" value="${param.resultsPerPage}"/>
					    	Transactions per Page:<br/>
							<select id="resultsPerPage" name="resultsPerPage">
								<c:choose>
									<c:when test="${transactionPerPage == '25'}">
										<jsp:element name="option">
											<jsp:attribute name="value">25</jsp:attribute>
											<jsp:attribute name="selected">selected</jsp:attribute>
											<jsp:body>25</jsp:body>
										</jsp:element>
									</c:when>
									<c:otherwise>
										<jsp:element name="option">
											<jsp:attribute name="value">25</jsp:attribute>
											<jsp:body>25</jsp:body>
										</jsp:element>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${transactionPerPage == '100' || empty param.resultsPerPage}">
										<jsp:element name="option">
											<jsp:attribute name="value">100</jsp:attribute>
											<jsp:attribute name="selected">selected</jsp:attribute>
											<jsp:body>100</jsp:body>
										</jsp:element>
									</c:when>
									<c:otherwise>
										<jsp:element name="option">
											<jsp:attribute name="value">100</jsp:attribute>
											<jsp:body>100</jsp:body>
										</jsp:element>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${transactionPerPage == '250'}">
										<jsp:element name="option">
											<jsp:attribute name="value">250</jsp:attribute>
											<jsp:attribute name="selected">selected</jsp:attribute>
											<jsp:body>250</jsp:body>
										</jsp:element>
									</c:when>
									<c:otherwise>
										<jsp:element name="option">
											<jsp:attribute name="value">250</jsp:attribute>
											<jsp:body>250</jsp:body>
										</jsp:element>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${transactionPerPage == '1000'}">
										<jsp:element name="option">
											<jsp:attribute name="value">1000</jsp:attribute>
											<jsp:attribute name="selected">selected</jsp:attribute>
											<jsp:body>1000</jsp:body>
										</jsp:element>
									</c:when>
									<c:otherwise>
										<jsp:element name="option">
											<jsp:attribute name="value">1000</jsp:attribute>
											<jsp:body>1000</jsp:body>
										</jsp:element>
									</c:otherwise>
								</c:choose>
							</select>
						</li>
						</ul>
						<div class="center">
						<center>
						 <ul>
							<li><img 
								id="ShowInBrowser"
								src="../images/ShowInBrowser.gif" 
								onmouseout="turnMouseOff('ShowInBrowser')" 
								onmousedown="turnMouseDown('ShowInBrowser')"							
								onclick="firstPage();" 
								title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[HTML] body=[Show the transactions meeting the filter criteria using your web browser.]"
								alt="Show in Browser"
							/></li>
							<li><img 
								id="DownloadAsCSV"
								src="../images/DownloadAsCSV.gif" 
								onmouseout="turnMouseOff('DownloadAsCSV')" 
								onmousedown="turnMouseDown('DownloadAsCSV')"							
								onclick="submitExcel('text/csv');"
								title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[CSV] body=[Download the transactions  meeting the filter criteria as a comma-seperated text file.]"
								alt="Download CSV"
							/></li>
							<li><img 
								id="DownloadAsTSV"
								src="../images/DownloadAsTSV.gif" 
								onmouseout="turnMouseOff('DownloadAsTSV')" 
								onmousedown="turnMouseDown('DownloadAsTSV')"							
								onclick="submitExcel('text/tab-separated-values');"
								title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[TSV] body=[Download the transactions  meeting the filter criteria as a tabs-seperated text file.]"
								alt="Download TSV"
							/></li>
							<li><img 
								id="Reset"
								src="../images/Reset.gif" 
								onmouseout="turnMouseOff('Reset')" 
								onmousedown="turnMouseDown('Reset')"							
								onclick="resetSearchCriteria();"
								title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Reset] body=[Reset the filter criteria to their starting values.]"
								alt="Reset"
							/></li>
						 </ul>
					     </center>
					     </div>
						<!--
						1. Applicable for HTML only.  CSV and TSV return all transactions meeting the date criteria.
						<br/>
						2. These fields support <a href="http://java.sun.com/javase/6/docs/api/java/util/regex/Pattern.html" target="vix_help">REGEX matching</a>.  Double-click on these fields for Regex help and examples.
				        -->
				</form> 
			</div>
			<div id="supportingText">
			    <div id="dateRange">
				<h1>Transactions - <%= fromDateParam %> to <%= toDateParam %></h1>
				</div> <!-- end of dateRange -->
				<div class="innerwrap"> <!-- start of inner wrap, 7-15-09 -->
				<div id="resultsNavigationTop">
					<img 
						class="navigation" 
						src="../images/vcr/vcr_start_16X32.jpg" 
						onclick="firstPage();" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Rewind] body=[Display the first page of transactions.]"
						alt="First Page"
						/>
					&nbsp;<span style="min-width: 40px">&nbsp;</span>&nbsp;
					<img 
						class="navigation" 
						src="../images/vcr/vcr_previous_16X32.jpg" 
						onclick="previousPage();" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Previous Page] body=[Display the previous page of transactions.]"
						alt="Previous Page"
					/>
					&nbsp;<span style="min-width: 40px">&nbsp;</span>&nbsp;
					<img 
						class="navigation" 
						src="../images/vcr/vcr_next_16X32.jpg" 
						onclick="nextPage();" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Next page] body=[Display the next page of transactions.]"
						alt="Next Page"
					/>
				</div>
				<table>
					<tr>
						<th>Date and Time</th>
						<th>Time on ViX (msec)</th>
						<th>ICN</th>
						<th>Query Type</th>
						<th>Query Filter</th>
						<th>Asynchronous?</th>
						<th>Items Returned</th>
						<th>Items Received</th>
						<th>Bytes Returned</th>
						<th>Bytes Received</th>
						<th>Throughput (KB/sec)</th>
						<th>Quality</th>
						<th>Command Class Name</th>
						<th>Originating IP Address</th>
						<th>User</th>
						<th>Item in cache?</th>
						<th>Error Message</th>
						<th>Modality</th>
						<th>Purpose of Use</th>
						<th>Datasource Protocol</th>
						<th>Response Code</th>		
						<th>Realm Site Number</th>				
						<th>URN</th>
                  <th>Transaction Number</th>
                  <th>Vix Software Version</th>
                  <th>Remote Login Method</th>
                  <th>Client Version</th>
					</tr>
					<log:TransactionLog 
						startDate="<%= fromDate %>"
						endDate="<%= toDate %>"
						quality="<%= imageQuality %>"
						user="<%= user %>"
						modality="<%= modality %>"
						datasourceProtocol="<%= datasourceProtocol %>"
						errorMessage="<%= errorMessage %>"
						transactionId="<%= transactionId  %>"
						imageUrn="<%= imageUrn %>"
						startIndex="<%= startIndex %>"
						endIndex="<%= endIndex %>"
						forward="<%= forwardIteration %>" 
						emptyResultMessage="No transaction log entries."
						byteTransferPath="<%= byteTransferPath %>">
						<log:TransactionLogEntries>
							<log:TransactionLogEntry>
								<tr class="<log:TransactionLogEntryTransactionNumberChange classNames="d0,d1"/>">
									<td>
										<log:TransactionLogEntryStartTime dateFormatPattern="MM/dd/yyyy hh:mm:ss a"/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryElapsedTime/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryPatientICN/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryQueryType/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryQueryFilter/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryAsynchronousCommand/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryItemCount/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryReceivedCount/>&nbsp;
									</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>
										<log:TransactionLogEntryQuality/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryCommandClassName/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryOriginatingHost/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryUser/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryCacheHit/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryErrorMessage/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryModality/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryPurposeOfUse/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryDatasourceProtocol/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryResponseCode/>&nbsp;
									</td>									
									<td>
										<log:TransactionLogEntryRealmSiteNumber/>&nbsp;
									</td>								
									<td>
										<log:TransactionLogEntryURN/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryTransactionID/>&nbsp;
									</td>
                           			<td>
                              			<log:TransactionLogEntryVixSoftwareVersion/>&nbsp;
                           			</td>
									<td>
										<log:TransactionLogEntryRemoteLoginMethod/>&nbsp;
									</td>
									<td>
										<log:TransactionLogEntryClientVersion/>&nbsp;
									</td>
								</tr>
							</log:TransactionLogEntry>
						</log:TransactionLogEntries>
						<tr>
							<th>Date and Time</th>
							<th>Time on ViX (msec)</th>
							<th>ICN</th>
							<th>Query Type</th>
							<th>Query Filter</th>
							<th>Asynchronous?</th>
							<th>Items Returned</th>
							<th>Items Received</th>
							<th>Bytes Returned</th>
							<th>Bytes Received</th>
							<th>Throughput (KB/sec)</th>
							<th>Quality</th>
							<th>Command Class Name</th>
							<th>Originating IP Address</th>
							<th>User</th>
							<th>Item in cache?</th>
							<th>Error Message</th>
							<th>Modality</th>
							<th>Purpose of Use</th>
							<th>Datasource Protocol</th>
							<th>Response Code</th>		
							<th>Realm Site Number</th>				
							<th>URN</th>
							<th>Transaction Number</th>
                     		<th>Vix Software Version</th>
                     		<th>Remote Login Method</th>
						</tr>
						
						<log:TransactionLogSumTag>
							<jsp:body>
								<tr class="statistic">
									<td>Totals</td>
									<td><log:TransactionLogEntryElapsedTime/>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td><log:TransactionLogEntryItemCount/>&nbsp;</td>
									<td><log:TransactionLogEntryReceivedCount/>&nbsp;</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>									
									<td>&nbsp;</td>
									<td>&nbsp;</td>
                           			<td>&nbsp;</td>                        
                           			<td>&nbsp;</td>                        
                           			<td>&nbsp;</td>
								</tr>
							</jsp:body>
						</log:TransactionLogSumTag>
						<log:TransactionLogMeanTag>
							<jsp:body>
								<tr class="statistic">
									<td>Mean</td>
									<td><log:TransactionLogEntryElapsedTime/>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td><log:TransactionLogEntryItemCount/>&nbsp;</td>
									<td><log:TransactionLogEntryReceivedCount/>&nbsp;</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>									
									<td>&nbsp;</td>								
                           			<td>&nbsp;</td>
                           			<td>&nbsp;</td>                        
								</tr>
							</jsp:body>
						</log:TransactionLogMeanTag>
						<log:TransactionLogMedianTag>
							<jsp:body>
								<tr class="statistic">
									<td>Median</td>
									<td><log:TransactionLogEntryElapsedTime/>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td><log:TransactionLogEntryItemCount/>&nbsp;</td>
									<td><log:TransactionLogEntryReceivedCount/>&nbsp;</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>									
									<td>&nbsp;</td>								
                           			<td>&nbsp;</td>
                           			<td>&nbsp;</td>                        
								</tr>
							</jsp:body>
						</log:TransactionLogMedianTag>
						<log:TransactionLogMaximaTag>
							<jsp:body>
								<tr class="statistic">
									<td>Maxima</td>
									<td><log:TransactionLogEntryElapsedTime/>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td><log:TransactionLogEntryItemCount/>&nbsp;</td>
									<td><log:TransactionLogEntryReceivedCount/>&nbsp;</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>									
									<td>&nbsp;</td>								
                           			<td>&nbsp;</td>
                           			<td>&nbsp;</td>                        
								</tr>
							</jsp:body>
						</log:TransactionLogMaximaTag>
						<log:TransactionLogMinimaTag>
							<jsp:body>
								<tr class="statistic">
									<td>Minima</td>
									<td><log:TransactionLogEntryElapsedTime/>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td><log:TransactionLogEntryItemCount/>&nbsp;</td>
									<td><log:TransactionLogEntryReceivedCount/>&nbsp;</td>
									<c:choose>
									  <c:when test="${byteTransferPath == ByteTransferPath.DS_IN_FACADE_OUT}">
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:when>
									  <c:otherwise>
    									<td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.DATASOURCE_BYTES_SENT %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryBytesTransferred byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									    <td>
										    <log:TransactionLogEntryImageThroughput byteTransferType="<%= ByteTransferType.FACADE_BYTES_RECEIVED %>"/>&nbsp;
									    </td>
									  </c:otherwise>
									</c:choose>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>									
									<td>&nbsp;</td>								
                           			<td>&nbsp;</td>
                           			<td>&nbsp;</td>                        
								</tr>
							</jsp:body>
						</log:TransactionLogMinimaTag>
					</log:TransactionLog>
				</table>
				<div id="resultsNavigationBottom">
					<img 
						class="navigation" 
						src="../images/vcr/vcr_start_16X32.jpg" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Rewind] body=[Display the first page of transactions.]"
						alt="First Page"
					/>
					&nbsp;<span style="min-width: 40px">&nbsp;</span>&nbsp;
					<img 
						class="navigation" 
						src="../images/vcr/vcr_previous_16X32.jpg" 
						onclick="previousPage();" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Previous Page] body=[Display the previous page of transactions.]"
						alt="Previous Page"
					/>
					&nbsp;<span style="min-width: 40px">&nbsp;</span>&nbsp;
					<img 
						class="navigation" 
						src="../images/vcr/vcr_next_16X32.jpg" 
						onclick="nextPage();" 
						title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Next page] body=[Display the next page of transactions.]"
						alt="Next Page"
					/>
					&nbsp;<span style="min-width: 40px">&nbsp;</span>&nbsp;
				</div>
			</div>
		</div>
		</div> <!-- end of innerwrap, 7-15-09 -->
		<div id="pageFooter">
			<jsp:include flush="false" page="../footer.html"></jsp:include>
		</div>		
    	<script src="../script/boxover.js"></script>
	</body>
</html>
