<%@ page language="java"
	import="java.util.*,java.text.*,gov.va.med.imaging.*,gov.va.med.imaging.exchange.enums.*"
	pageEncoding="ISO-8859-1" contentType="text/xml"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://imaging.domain.ext/vix/business" prefix="business"%>
<%@ taglib uri="http://imaging.domain.ext/vix/transactionlogs" prefix="log"%>
<%@ taglib uri="http://imaging.domain.ext/vix/menu" prefix="menu"%>

<%
	DateFormat dfDate = new SimpleDateFormat("MM/dd/yyyy:hh:mm:ss");

	String contextPath = request.getContextPath();
	String servletPath = request.getServletPath();
	String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort()
		+ contextPath;

	Date fromDate = gov.va.med.imaging.DateUtil.currentDayStart();
	String fromDateParam = request.getParameter("fromDate");
	if (fromDateParam != null)
		fromDate = dfDate.parse(fromDateParam);
	fromDate = gov.va.med.imaging.DateUtil.dayStart(fromDate);
	fromDateParam = dfDate.format(fromDate);

	Date toDate = gov.va.med.imaging.DateUtil.currentDayEnd();
	String toDateParam = request.getParameter("toDate");
	if (toDateParam != null)
		toDate = dfDate.parse(toDateParam);
	toDate = gov.va.med.imaging.DateUtil.dayEnd(toDate);
	toDateParam = dfDate.format(toDate);
%>
<visa-xaction:transaction-log 
xmlns:visa-xaction="urn:gov.va.med.imaging.visa.xaction"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="../schema/TransactionLog.xsd">
	<log:TransactionLog 
		startDate="<%= fromDate %>" 
		endDate="<%= toDate %>"
		emptyResultMessage="">
		<log:TransactionLogEntries>
			<visa-xaction:transaction>
				<log:TransactionLogEntry>
					<visa-xaction:start-time>
						<![CDATA[ <log:TransactionLogEntryStartTime dateFormatPattern="MM/dd/yyyy hh:mm:ss a" /> ]]>
					</visa-xaction:start-time>
					<visa-xaction:elapsed-time>
						<![CDATA[ <log:TransactionLogEntryElapsedTime /> ]]>
					</visa-xaction:elapsed-time>
					<visa-xaction:patient-icn>
						<![CDATA[ <log:TransactionLogEntryPatientICN /> ]]>
					</visa-xaction:patient-icn>
					<visa-xaction:query-type>
						<![CDATA[ <log:TransactionLogEntryQueryType /> ]]>
					</visa-xaction:query-type>
					<visa-xaction:query-filter>
						<![CDATA[ <log:TransactionLogEntryQueryFilter /> ]]>
					</visa-xaction:query-filter>
					<visa-xaction:asynchronous-command>
						<![CDATA[ <log:TransactionLogEntryAsynchronousCommand /> ]]>
					</visa-xaction:asynchronous-command>
					<visa-xaction:item-count>
						<![CDATA[ <log:TransactionLogEntryItemCount /> ]]>
					</visa-xaction:item-count>
					<visa-xaction:received-count>
						<![CDATA[ <log:TransactionLogEntryReceivedCount /> ]]>
					</visa-xaction:received-count>
					<visa-xaction:transfer-type>
					</visa-xaction:transfer-type>
					<visa-xaction:entry-quality>
						<![CDATA[ <log:TransactionLogEntryQuality /> ]]>
					</visa-xaction:entry-quality>
					<visa-xaction:command-class>
						<![CDATA[ <log:TransactionLogEntryCommandClassName /> ]]>
					</visa-xaction:command-class>
					<visa-xaction:originating-host>
						<![CDATA[ <log:TransactionLogEntryOriginatingHost /> ]]>
					</visa-xaction:originating-host>
					<visa-xaction:user>
						<![CDATA[ <log:TransactionLogEntryUser /> ]]>
					</visa-xaction:user>
					<visa-xaction:cache-hit>
						<![CDATA[ <log:TransactionLogEntryCacheHit /> ]]>
					</visa-xaction:cache-hit>
					<visa-xaction:error-msg>
						<![CDATA[ <log:TransactionLogEntryErrorMessage /> ]]>
					</visa-xaction:error-msg>
					<visa-xaction:modality>
						<![CDATA[ <log:TransactionLogEntryModality /> ]]>
					</visa-xaction:modality>
					<visa-xaction:purpose-of-use>
						<![CDATA[ <log:TransactionLogEntryPurposeOfUse /> ]]>
					</visa-xaction:purpose-of-use>
					<visa-xaction:datasource-protocol>
						<![CDATA[ <log:TransactionLogEntryDatasourceProtocol /> ]]>
					</visa-xaction:datasource-protocol>
					<visa-xaction:response-code>
						<![CDATA[ <log:TransactionLogEntryResponseCode /> ]]>
					</visa-xaction:response-code>
					<visa-xaction:realm-site-number>
						<![CDATA[ <log:TransactionLogEntryRealmSiteNumber /> ]]>
					</visa-xaction:realm-site-number>
					<visa-xaction:urn>
						<![CDATA[ <log:TransactionLogEntryURN /> ]]>
					</visa-xaction:urn>
					<visa-xaction:transaction-identifier>
						<![CDATA[ <log:TransactionLogEntryTransactionID /> ]]>
					</visa-xaction:transaction-identifier>
					<visa-xaction:software-version>
						<![CDATA[ <log:TransactionLogEntryVixSoftwareVersion /> ]]>
					</visa-xaction:software-version>
					<visa-xaction:remote-login>
						<![CDATA[ <log:TransactionLogEntryRemoteLoginMethod /> ]]>
					</visa-xaction:remote-login>
				</log:TransactionLogEntry>
			</visa-xaction:transaction>
		</log:TransactionLogEntries>
	</log:TransactionLog>
</visa-xaction:transaction-log>
