/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Mar 30, 2011
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange;

import gov.va.med.GlobalArtifactIdentifier;
import gov.va.med.GlobalArtifactIdentifierFactory;
import gov.va.med.ImageURNFactory;
import gov.va.med.imaging.ImageURN;
import gov.va.med.imaging.core.FacadeRouterUtility;
import gov.va.med.imaging.exchange.business.ImageFormatQualityList;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class CacheStatusServlet
extends HttpServlet
{
	private static final long serialVersionUID = -792001515062350899L;

	@SuppressWarnings("unchecked")
	@Override
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
	{
		try
		{
			VixGuiWebAppRouter router = 
				FacadeRouterUtility.getFacadeRouter (VixGuiWebAppRouter.class);
			
			String type = request.getParameter("type");
			
			if("image".equals(type))
			{
				String urn = request.getParameter("urn");
				ImageURN imageUrn = ImageURNFactory.create(urn);
				String acceptString = request.getParameter("acceptString");
				ImageFormatQualityList imageFormatQualityList = 
					ImageFormatQualityList.createListFromAcceptString(acceptString);
				boolean result = router.getImageCachedStatus(imageUrn, imageFormatQualityList);
				
				response.sendRedirect("Cache.jsp?result=" + result + "&urn=" + urn + "&format=" + acceptString);
			}
			else if("document".equals(type))
			{
				String gai = request.getParameter("gai");
				GlobalArtifactIdentifier g = 
					GlobalArtifactIdentifierFactory.create(gai, 
							GlobalArtifactIdentifier.class);
				boolean result = router.getDocumentCachedStatus(g);
				response.sendRedirect("Cache.jsp?result=" + result + "&gai=" + gai);				
			}
		}
		catch(Exception ex)
		{
			throw new ServletException(ex);
		}
	}
}
