/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business.taglib.menu;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * 
 * @author ZZZZZZBECKEC
 *
 */
public class MenuTagProperties
{
	private final ResourceBundle resourceBundle;

	MenuTagProperties(String propertyBundleName)
	{
		this.resourceBundle = ResourceBundle.getBundle(propertyBundleName);
	}

	public String getString(String key)
	{
		try
		{
			return resourceBundle.getString(key);
		} 
		catch (MissingResourceException e)
		{
			return '!' + key + '!';
		}
	}
	
	/**
	 * 
	 * @param key
	 * @return 
	 * a String array, parsing the property value assuming a comma delimiter
	 * a null if the there is no resource identified by the key
	 * a zero element String array if the property is null
	 */
	public String[] getStringArray(String key)
	{
		try
		{
			String propertyValue = resourceBundle.getString(key);
			if( propertyValue == null)
				return new String[]{};
			
			return propertyValue.split(",");
		} 
		catch (MissingResourceException e)
		{
			return null;
		}
	}
}
