/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading;

namespace DailyTransactionLogAnalyzer.Service
{
    public partial class Service1 : ServiceBase
    {
        public Service1()
        {
            InitializeComponent();
        }

        private Timer timer = null;

        protected override void OnStart(string[] args)
        {
            timer = new Timer(TimerCallback);

            ResetTimer();
        }

        private void ResetTimer()
        {
            if (timer != null)
            {
                DateTime now = DateTime.Now;
                DateTime fifthNextMonth = new DateTime(now.Year, now.Month, 5).AddMonths(1);
                TimeSpan span = fifthNextMonth.Subtract(now);
                timer.Change(span, new TimeSpan(-1)); // not really sure if this will work the second time
            }
        }

        private void TimerCallback(object state)
        {
            if (timer != null)
            {
                timer.Change(Timeout.Infinite, Timeout.Infinite); // disable
            }
            // do stuff

            ResetTimer();
        }


        protected override void OnStop()
        {
            if (timer != null)
                timer.Dispose();
        }
    }
}
