/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace DailyTransactionLogAnalyzerEngine
{
    public class CsvHelper
    {
        /*
        public static void OutputMultipleSitesNodesAndEdgesCSVsForYear(string monthlyAnalysisDirectory, List<DailyTransactions> dailyTransactionList,
            DateTime date)
        {
            int year = date.Year;

            string nodesFilename = monthlyAnalysisDirectory + "\\Rollup\\" + year + "\\" + year + "_nodes.csv";
            string edgesFilename = monthlyAnalysisDirectory + "\\Rollup\\" + year + "\\" + year + "_edges.csv";

            if (File.Exists(nodesFilename))
            {
                File.Delete(nodesFilename);
            }
            if (File.Exists(edgesFilename))
            {
                File.Delete(edgesFilename);
            }
            FileInfo f = new FileInfo(nodesFilename);
            if (!f.Directory.Exists)
            {
                f.Directory.Create();
            }
            OutputMultipleSitesNodesAndEdgesCSVs(dailyTransactionList, nodesFilename, edgesFilename);
        }

        public static void OutputMultipleSitesNodesAndEdgesCSVsForMonth(string monthlyAnalysisDirectory, List<DailyTransactions> dailyTransactionList,
            DateTime date)
        {
            int year = date.Year;
            int month = date.Month;

            string nodesFilename = monthlyAnalysisDirectory + "\\Rollup\\" + year + "\\" + month.ToString("D2") + "\\" + year + "-" + month.ToString("D2") + "_nodes.csv";
            string edgesFilename = monthlyAnalysisDirectory + "\\Rollup\\" + year + "\\" + month.ToString("D2") + "\\" + year + "-" + month.ToString("D2") + "_edges.csv";

            if (File.Exists(nodesFilename))
            {
                File.Delete(nodesFilename);
            }
            if (File.Exists(edgesFilename))
            {
                File.Delete(edgesFilename);
            }
            FileInfo f = new FileInfo(nodesFilename);
            if (!f.Directory.Exists)
            {
                f.Directory.Create();
            }
            OutputMultipleSitesNodesAndEdgesCSVs(dailyTransactionList, nodesFilename, edgesFilename);
        }

        private static void OutputMultipleSitesNodesAndEdgesCSVs(List<DailyTransactions> dailyTransactionList,
            string nodesFilename, string edgesFilename)
        {

            List<Site> sites = SiteHelper.GetAllSites();
            Dictionary<string, Site> siteDictionary = new Dictionary<string, Site>();
            foreach (Site site in sites)
            {
                siteDictionary.Add(site.SiteId, site);
            }

            Dictionary<string, SiteCoordinates> siteCoordinatesDictionary = SiteHelper.GetSiteCoordinates();

            StreamWriter nodesWriter = null;
            StreamWriter edgesWriter = null;
            try
            {
                nodesWriter = new StreamWriter(nodesFilename);
                edgesWriter = new StreamWriter(edgesFilename);
                nodesWriter.WriteLine("Id,Label,Visn,NumTransactions,Latitude,Longitude");
                edgesWriter.WriteLine("Source,Target,Type,Id,Label,Weight");
                foreach (DailyTransactions dailyTransactions in dailyTransactionList)
                {
                    Site site = null;
                    SiteCoordinates siteCoordinates = null;
                    if (siteDictionary.ContainsKey(dailyTransactions.SiteNumber))
                    {
                        site = siteDictionary[dailyTransactions.SiteNumber];
                    }
                    if (siteCoordinatesDictionary.ContainsKey(dailyTransactions.SiteNumber))
                    {
                        siteCoordinates = siteCoordinatesDictionary[dailyTransactions.SiteNumber];
                    }
                    nodesWriter.WriteLine(dailyTransactions.SiteNumber + "," + 
                        (site == null ? "" : ("\"" + site.Name + "\"")) + "," + 
                        (site == null ? "" : ("\"" + site.VisnId + "\"")) +"," + 
                        dailyTransactions.TransactionCounts.TotalParentTransactions + "," +
                        (siteCoordinates == null ? "" : siteCoordinates.Latitude) + "," + 
                        (siteCoordinates == null ? "" : siteCoordinates.Longitude));

                    Dictionary<string, SiteCount> siteBytesCounts = new Dictionary<string, SiteCount>();
                    foreach (FacadeCounts fc in dailyTransactions.FacadeCounts.Values)
                    {
                        foreach (FromSiteCounts fsc in fc.SiteCounts.Values)
                        {
                            long bytes = fsc.GetRelevantBytes(fc.SiteIdentificationSource);
                            string sn = SiteHelper.CleanSiteNumber(fsc.SiteNumber);
                            if (siteBytesCounts.ContainsKey(sn))
                            {
                                siteBytesCounts[sn].Count += bytes;
                            }
                            else
                            {
                                siteBytesCounts.Add(sn, new SiteCount(sn, bytes));
                            }
                        }
                    }

                    // prune to highest counts for each site
                    List<SiteCount> siteList = new List<SiteCount>();
                    foreach (SiteCount sc in siteBytesCounts.Values)
                    {
                        siteList.Add(sc);
                    }
                    siteList.Sort(new SiteCountComparer());
                    int maxToKeep = 5;
                    int count = maxToKeep;
                    if (maxToKeep > siteList.Count)
                        maxToKeep = siteList.Count;
                    for (int i = 0; i < maxToKeep; i++)
                    {
                        SiteCount sc = siteList[i];
                        long bytes = sc.Count;
                        double mb = DailyTransactionsHelper.convertBytesToMb(bytes);
                        edgesWriter.WriteLine(dailyTransactions.SiteNumber + "," + sc.SiteId + ",Directed,,MB,\"" + mb.ToString("N2") + "\"");
                    }
                }
            }
            finally
            {
                if (nodesWriter != null)
                    nodesWriter.Close();
                if (edgesWriter != null)
                    edgesWriter.Close();
            }
        }*/

        /*
        private static string GetMonthlyRollupFilename(string monthlyAnalysisDirectory,
            int year, int month)
        {
            return monthlyAnalysisDirectory + "\\Rollup\\" + year + "\\" + month.ToString("D2") + "\\" + year + "-" + month.ToString("D2") + ".xlsx";
        }*/
    }
}
