<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <title>VIX Daily Status</title>

    <link rel="stylesheet" type="text/css" href="layout.css" />
  </head>
  <body>
    <h2>Daily Transactions: <xsl:value-of select="/DailyTransactions/@dt"/> @ <xsl:value-of select="/DailyTransactions/@sn"/> [<xsl:value-of select="/DailyTransactions/@id"/>]
  </h2>

    <b>Total Parent Transactions: </b> <xsl:value-of select="/DailyTransactions/Transactions/@pt"/>
    <br/>
    <b>Transactions with Exceptions: </b> <xsl:value-of select="/DailyTransactions/Transactions/@twe"/>

    <xsl:for-each select="/DailyTransactions/Facade">
      <xsl:sort select="@nm"/>
      <h3>
        <xsl:value-of select="@nm" />
      </h3>
      <b>Transactions: </b><xsl:value-of select="@t" />
      <br/>
      <b>Transactions With Exceptions: </b><xsl:value-of select="@twe" />
      <br/>
      <b>Image Request Count: </b> 
      <xsl:value-of select="@irc" />
      <br/>
      <b>Image Bytes Transfered: </b> 
      <xsl:value-of select="@sBytes" />
      <br/>
      <b>Image Transfer Time (ms): </b> 
      <xsl:value-of select="@sTimeMs" />
      <br/>
      <b>KB/sec: </b>
      <xsl:value-of select="@kbs" />
      <br/>
      <b>Data Source Bytes Received: </b>
      <xsl:value-of select="@dsbr" />
      <br/>
      <b>Image Cache Hits: </b>
      <xsl:value-of select="@ich" />
      <br/>
      <b>Cached Bytes Returned: </b>
      <xsl:value-of select="@cbr" />


      <table border="1">
        <tr>
          <th>Site ID</th>
          <th>Transactions</th>
          <th>% of All Transactions</th>
          <th>Transactions with Exceptions</th>
          <th>Image Requests</th>
          <th>Image Exceptions</th>
          <th>Image Bytes Transfered</th>
          <th>Image Transfer Time (ms)</th>
          <th>KB/sec</th>
          <th>Data Source Bytes Received</th>
          <th>Image Cache Hits</th>
          <th>Cached Bytes Returned</th>
        </tr>
        <xsl:for-each select="FromSite">
           
          <xsl:sort select="@t" data-type="number" order="descending" />
          
          <tr>
            <td>
              <xsl:value-of select="@Id" />
            </td>
            <td>
              <xsl:value-of select="@t" />
            </td>
            <td>
              <xsl:value-of select="@tp" />
            </td>
            <td>
              <xsl:value-of select="@twe" />
            </td>
            <td>
              <xsl:value-of select="@tir" />
            </td>
            <td>
              <xsl:value-of select="@tix" />
            </td>
            <td>
              <xsl:value-of select="@sBytes" />
            </td>
            <td>
              <xsl:value-of select="@sTimeMs" />
            </td>
            <td>
              <xsl:value-of select="@kbs" />
            </td>
            <td>
              <xsl:value-of select="@dsbr" />
            </td>
            <td>
              <xsl:value-of select="@ich" />
            </td>
            <td>
              <xsl:value-of select="@cbr" />
            </td>
          </tr>

          <xsl:if test="count(ImageRequest) > 0">

            <tr>
              <td></td>
              <td colspan="11">
                <table border="1">
                  <tr>
                    <th>Modality</th>
                    <th>Quality</th>
                    <th>Requests</th>
                    <th>Successful Responses</th>
                    <th>Exceptions</th>
                    <th>404</th>
                    <th>500</th>
                    <th>Bytes Returned</th>
                    <th>Transfer Time (ms)</th>
                    <th>KB/sec</th>
                    <th>Data Source Bytes Received</th>
                    <th>Image Cache Hits</th>
                    <th>Cached Bytes Returned</th>
                  </tr>
                  <xsl:for-each select="ImageRequest">
                    <xsl:sort select="@r" data-type="number" order="descending" />
                    <tr>
                      <td>
                        <xsl:value-of select="@m" />
                      </td>
                      <td>
                        <xsl:value-of select="@q" />
                      </td>
                      <td>
                        <xsl:value-of select="@r" />
                      </td>
                      <td>
                        <xsl:value-of select="@sr" />
                      </td>
                      <td>
                        <xsl:value-of select="@exResp" />
                      </td>
                      <td>
                        <xsl:value-of select="@NFResp" />
                      </td>
                      <td>
                        <xsl:value-of select="@ISEResp" />
                      </td>
                      <td>
                        <xsl:value-of select="@br" />
                      </td>
                      <td>
                        <xsl:value-of select="@Ms" />
                      </td>
                      <td>
                        <xsl:value-of select="@kbs" />
                      </td>
                      <td>
                        <xsl:value-of select="@dsbr" />
                      </td>
                      <td>
                        <xsl:value-of select="@ich" />
                      </td>
                      <td>
                        <xsl:value-of select="@cbr" />
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </tr>
          </xsl:if>
          
        </xsl:for-each>
      </table>
    </xsl:for-each>
    
    
    
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>