/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace MavenBuilder2
{
    public class Settings
    {
        private readonly string mstrFilename;

        private string mstrMavenBuilderConfiguration = null;

        public string MavenBuilderConfiguration
        {
            get { return mstrMavenBuilderConfiguration; }
            set { mstrMavenBuilderConfiguration = value; }
        }

        public Settings(string filename)
        {
            mstrFilename = filename;
            Load();
        }

        private void Load()
        {
            if (System.IO.File.Exists(mstrFilename))
            {
                XmlDocument xmlDoc = new XmlDocument();
                try
                {
                    xmlDoc.Load(mstrFilename);

                    XmlNode settingsNode = xmlDoc.SelectSingleNode("MavenBuilder2/Settings");
                    mstrMavenBuilderConfiguration = settingsNode.Attributes["MavenBuilderConfigurationFile"].Value;
                }
                catch (Exception )
                {
                    // not showing exception
                }
            }
        }

        public void Save()
        {
            XmlDocument xmlDoc = new XmlDocument();
            XmlNode rootNode = xmlDoc.CreateElement("MavenBuilder2");
            xmlDoc.AppendChild(rootNode);
            XmlNode settingsNode = xmlDoc.CreateElement("Settings");
            rootNode.AppendChild(settingsNode);

            XmlAttribute attr = xmlDoc.CreateAttribute("MavenBuilderConfigurationFile");
            attr.Value = mstrMavenBuilderConfiguration;
            settingsNode.Attributes.Append(attr);

            xmlDoc.Save(mstrFilename);
        }
    }
}
