/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using TransactionLogStatisticsEngine;
using TransactionLogStatisticsEngine.commands;

namespace TransactionLogStatistics
{
    public partial class frmRunCommands : Form
    {
        public frmRunCommands()
        {
            InitializeComponent();
        }

        private void frmRunCommands_Load(object sender, EventArgs e)
        {

        }

        public string LogsDirectory { get; private set; }

        public void DisplayRunCommands(string logsDirectory)
        {
            this.LogsDirectory = logsDirectory;
            List<TransactionLogProcessingCommand> commands =
                TransactionLogStatisticsHelper.GetCommands();
            foreach (TransactionLogProcessingCommand command in commands)
            {
                clbCommands.Items.Add(command);
            }
            this.Show();
        }

        private void btnProcess_Click(object sender, EventArgs e)
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;
                TransactionLogStatisticsEngine.TransactionLogStatisticsHelper engine =
                    new TransactionLogStatisticsEngine.TransactionLogStatisticsHelper(LogsDirectory, null);

                List<TransactionLogProcessingCommand> commands = new List<TransactionLogProcessingCommand>();
                foreach (object obj in clbCommands.CheckedItems)
                {
                    TransactionLogProcessingCommand cmd = (TransactionLogProcessingCommand)obj;
                    commands.Add(cmd);
                }

                List<string> sites = new List<string>();
                sites.Add(txtSiteNumber.Text);
                /*
                string[] siteArray = txtSites.Text.Split(",".ToCharArray());
                foreach (string s in siteArray)
                {
                    sites.Add(txtSiteNumber.Text);
                }*/
                /*
                sites.Add("2001.1");
                sites.Add("2001.2");
                sites.Add("2001.3");
                 * */
                //sites.Add("test1");
                //DateTime date = new DateTime(2012, 3, 16);
                DateTime date = dtpDate.Value;
                engine.searchLogs(sites, date, commands);

                foreach (TransactionLogProcessingCommand cmd in commands)
                {
                    TabPage tp = new TabPage(cmd.GetType().Name);
                    TransactionLogEntriesViewer viewer = new TransactionLogEntriesViewer();
                    viewer.Parent = tp;
                    viewer.Dock = DockStyle.Fill;
                    tcResults.TabPages.Add(tp);
                    viewer.DisplayTransactionEntries(cmd);
                }

                //engine.OutputStatistics(date, commands);

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + "\n\n" + ex.StackTrace);
            }
            finally
            {
                Cursor.Current = Cursors.Default;
            }
        }
    }
}
