/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TransactionLogStatisticsEngine
{
    public class TransactionLogEntrySearchCriteria
    {
        public TransactionLogEntrySearchField SearchField { get; set; }
        public TransactionLogEntrySearchCriteria SearchCriteria { get; set; }
        public string SearchValue { get; set; }
        //public string SaveField { get; set; } // field to save this value and add it to other values - make sure this is unique!

        public TransactionLogEntrySearchCriteria()
        {
        }

        public TransactionLogEntrySearchCriteria(string searchValue, 
            TransactionLogEntrySearchField searchField, TransactionLogEntrySearchCriteria searchCriteria)
        {
            this.SearchCriteria = searchCriteria;
            this.SearchField = searchField;
            this.SearchValue = searchValue;
        }
    }

    public enum TransactionLogEntrySearchField
    {
        transactionId, 
        queryType,
        urn,
        patientIcn

    }

    public enum TransactionLogEntryFieldMatch
    {
        equals,
        contains,
        does_not_contain,
        empty
    }
}
