<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="/VixStatistics/@name" />
        </title>
        <script type="text/javascript">

        </script>
        <!--
        <link rel="stylesheet" type="text/css" href="layout.css" />
        -->
      </head>
      <body>
        <h2>
          <xsl:value-of select="/VixStatistics/@name" />
        </h2>
        Last Updated <xsl:value-of select="/VixStatistics/@lastDateAdded" />
        <xsl:for-each select="VixStatistics/Totals/Source">
          <h2>
            <xsl:value-of select="@name" />
          </h2>
          <xsl:variable name="description" select="@name" />
          <xsl:value-of select="/VixStatistics/CommandDescriptions/Command[@name=$description]/@description" />

          <table border="1">
            <tr>
              <th>Type</th>
              <th>Requests</th>
              <th>Successful</th>
              <th>Failed</th>
              <th>Bytes Transfered</th>
            </tr>

            <xsl:for-each select="Request">
              <tr>
                <td>
                  <xsl:value-of select="@type" />
                </td>
                <td>
                  <xsl:value-of select="@requests" />
                </td>
                <td>
                  <xsl:value-of select="@successful" />
                </td>
                <td>
                  <xsl:value-of select="@failed" />
                </td>
                <td>
                  <xsl:value-of select="@bytesTransfered" />
                </td>
              </tr>

            </xsl:for-each>
            <tr>
              <th>
                Totals
              </th>
              <td>
                <xsl:value-of select="sum(Request/@requests)" />
              </td>
              <td>
                <xsl:value-of select="sum(Request/@successful)" />
              </td>
              <td>
                <xsl:value-of select="sum(Request/@failed)" />
              </td>
              <td>
                <xsl:value-of select="sum(Request/@bytesTransfered)" />
              </td>
            </tr>
          </table>
        </xsl:for-each>

      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>