/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VISACommon;
using System.Net;

namespace SiteService
{
    public class SiteServiceUtility
    {

        public static bool RefreshSiteService(VisaSource visaSource)
        {
            StringBuilder url = new StringBuilder();
            url.Append("http://");
            url.Append(visaSource.VisaHost);
            url.Append(":");
            url.Append(visaSource.VisaPort);
            url.Append("/Vix/secure/RefreshSiteServiceServlet");

            HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url.ToString());
            request.Method = "POST";
            request.AllowAutoRedirect = false;
            ServicePointManager.Expect100Continue = false;
            string credentials = Convert.ToBase64String(ASCIIEncoding.ASCII.GetBytes(VISACredentials.VISAUsername + ":" + VISACredentials.VISAPassword));
            request.Headers.Add("Authorization", "Basic " + credentials);

            //byte[] byteArray = Encoding.UTF8.GetBytes(createRetrieveRequest(homeCommunityId, repositoryId,
                //documentUniqueId, url));

            HttpWebResponse response = null;
            try
            {
                response = (HttpWebResponse)request.GetResponse();
            }
            catch (WebException webEx)
            {
                //LogMsg("WebException, " + webEx.Message, true);
                // got something other than a 200 status code but we still want to parse the response

                // i think if an XCA error code comes back, the status code will still be a 200
                // so if not 200, then throw exception
                if (webEx.Status != WebExceptionStatus.Success)
                    throw webEx;

                response = (HttpWebResponse)webEx.Response;
            }
            if (response == null)
                throw new Exception("Null response from server");

            if (response.StatusCode == HttpStatusCode.Found)
            {
                return true;
            }
            return false;
            
        }
    }
}
