/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace VISACommon
{
    public class VisaSource : INotifyPropertyChanged
    {
        public string ID { get; set; }
        public string Name { get; set; }
        public string VisaHost { get; set; }
        public int VisaPort { get; set; }

        public string DisplayName
        {
            get
            {
                return Name;
            }
        }

        public VisaSource(string id, string name, string visaHost, int visaPort)
        {
            this.ID = id;
            this.Name = name;
            this.VisaHost = visaHost;
            this.VisaPort = visaPort;
        }

        public VisaSource(string id, string name)
        {
            this.ID = id;
            this.Name = name;
            this.VisaHost = null;
            this.VisaPort = 0;
        }

        public override int GetHashCode()
        {
            return VisaHost.GetHashCode() ^ VisaPort.GetHashCode();
        }

        public override bool Equals(object obj)
        {
            if (obj is VisaSource)
            {
                VisaSource that = (VisaSource)obj;
                return this.VisaHost.Equals(that.VisaHost) && this.VisaPort.Equals(that.VisaPort);
            }
            return false;
        }

        public override string ToString()
        {
            return DisplayName;
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
