/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VISACommon;
using SiteService;
using GalaSoft.MvvmLight.Messaging;
using VISAHealthMonitorCommon.messages;
using System.Windows.Input;

namespace VISAHealthMonitor
{
    public class VixSourceHolder
    {
        private List<VisaSource> visaSources = new List<VisaSource>();

        public List<VisaSource> VisaSources
        {
            get { return visaSources; }
        }

        private static VixSourceHolder singleton = null;
        public static VixSourceHolder getSingleton()
        {
            if (singleton == null)
            {
                singleton = new VixSourceHolder();
            }
            return singleton;
        }

        public VixSourceHolder()
        {
        }

        public void Refresh()
        {
            Messenger.Default.Send<CursorChangeMessage>(new CursorChangeMessage(Cursors.Wait));
            visaSources.Clear();
            string url = "http://siteserver.vista.domain.ext/VistaWebSvcs/ImagingExchangeSiteService.asmx";
            //url = "http://zzzzzzimmixcvix/VistaWebSvcs/ImagingExchangeSiteService.asmx";
            System.Collections.Generic.List<VaSite> sites = SiteServiceHelper.getVaSites(url, true);
            sites.Sort(new VaSiteComparer());
            visaSources.AddRange(sites);
            
            Messenger.Default.Send<CursorChangeMessage>(new CursorChangeMessage(Cursors.Arrow));
            Messenger.Default.Send<ReloadSourcesMessage>(new ReloadSourcesMessage());
        }


    }
}
