/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System.Windows;
using VISACommon;
using VISAHealthMonitorCommon.wiki;
using VISAHealthMonitorCommonControls.ViewModel;

namespace VISAHealthMonitorCommonControls
{
    /// <summary>
    /// Description for VixAdministratorsView.
    /// </summary>
    public partial class VixAdministratorsView : Window
    {
        /// <summary>
        /// Initializes a new instance of the VixAdministratorsView class.
        /// </summary>
        public VixAdministratorsView(VisaSource visaSource, WikiConfiguration wikiConfiguration)
        {
            InitializeComponent();
            VixAdministratorsViewModel viewModel = new VixAdministratorsViewModel();
            this.DataContext = viewModel;
            viewModel.OnCloseWindowEvent += new CloseVixAdministratorsWindowDelegate(viewModel_OnCloseWindowEvent);
            viewModel.SetInitialValues(wikiConfiguration, visaSource);
        }

        void viewModel_OnCloseWindowEvent()
        {
            this.Close();
        }
    }
}
