/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VISACommon;
using System.ComponentModel;
using System.Xml;
using System.IO;

namespace VixHealthMonitorCommon.testresult
{
    public class VisaHealthTestResult : INotifyPropertyChanged
    {
        public DateTime TestDate { get; private set; }
        public bool TestFailed { get; private set; }
        public string TestFailureReason { get; private set; }
        public VisaSource VisaSource { get; private set; }

        public VisaHealthTestResult(VisaSource visaSource, DateTime testDate, bool testFailed, string testFailureReason)
        {
            this.VisaSource = visaSource;
            this.TestDate = testDate;
            this.TestFailed = testFailed;
            this.TestFailureReason = testFailureReason;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public static List<VisaHealthTestResult> GetVisaSourceTestResults(VaSite vaSite)
        {
            List<VisaHealthTestResult> result = new List<VisaHealthTestResult>();

            return result;
        }

        
    }
}
