/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VixHealthMonitorDailyStatus
{
    public class SiteInformation
    {
        public string SiteNumber { get; private set; }
        public string LastLoaded { get; set; }
        public long HealthRequestCount { get; set; }
        public long SuccessfulHealthRequestCount { get; set; }

        public SiteInformation(string siteNumber)
        {
            this.SiteNumber = siteNumber;
        }

        public SiteInformation(string siteNumber, string lastLoaded, long healthRequestCount, long successfulHealthRequestCount)
        {
            this.SiteNumber = siteNumber;
            this.LastLoaded = lastLoaded;
            this.HealthRequestCount = healthRequestCount;
            this.SuccessfulHealthRequestCount = successfulHealthRequestCount;
        }
    }
}
