/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixAKCommon.gov.va.med.imaging
{
    public class ExamImage :SavableObject
    {
        private string mstrSiteNumber;
        private string mstrPatientIcn;
        private string mstrExamId;
        private string mstrImageId;

        private string mstrRequestString;

        public string RequestString
        {
            get { return mstrRequestString; }
            set { mstrRequestString = value; }
        }

        public string ImageId
        {
            get { return mstrImageId; }
            set { mstrImageId = value; }
        } 

        public string SiteNumber
        {
            get { return mstrSiteNumber; }
            set { mstrSiteNumber = value; }
        }        

        public string PatientIcn
        {
            get { return mstrPatientIcn; }
            set { mstrPatientIcn = value; }
        }        

        public string ExamId
        {
            get { return mstrExamId; }
            set { mstrExamId = value; }
        }

        public ExamImage(string siteNumber, string patientIcn, string examId, string imageId)
        {
            mstrSiteNumber = siteNumber;
            mstrPatientIcn = patientIcn;
            mstrExamId = examId;
            mstrImageId = imageId;
        }

        public static ExamImage CreateFromImageId(string imageId)
        {
            ExamImage examImage = new ExamImage();
            examImage.mstrImageId = imageId;
            StringBuilder requestString = new StringBuilder();
            requestString.Append("imageURN=");
            requestString.Append(imageId);
            requestString.Append("&imageQuality=90&contentType=application/dicom,image/x-targa");

            examImage.mstrRequestString = requestString.ToString();
            return examImage;
        }

        public ExamImage()
        {
            mstrSiteNumber = null;
            mstrPatientIcn = null;
            mstrExamId = null;
            mstrImageId = null;
        }

        public override bool Equals(object obj)
        {
            if (obj is ExamImage)
            {
                ExamImage that = (ExamImage)obj;
                return (this.mstrExamId == that.mstrExamId) &&
                    (this.mstrImageId == that.mstrImageId) &&
                    (this.mstrPatientIcn == that.mstrPatientIcn) &&
                    (this.mstrRequestString == that.mstrRequestString) &&
                    (this.mstrSiteNumber == that.mstrSiteNumber);
            }
            return false;
        }

        public override string ToString()
        {
            return base.ToString();
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }
    }
}
