/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixAKCommon.gov.va.med.imaging
{
    public class ExamSite : SavableObject
    {
        private string mstrSiteNumber;
        private string mstrPatientIcn;

        private List<Exam> exams = new List<Exam>();

        public List<Exam> Exams
        {
            get { return exams; }
            set { exams = value; }
        } 

        public string SiteNumber
        {
            get { return mstrSiteNumber; }
            set { mstrSiteNumber = value; }
        }

        public string PatientIcn
        {
            get { return mstrPatientIcn; }
            set { mstrPatientIcn = value; }
        } 


        public ExamSite(string siteNumber, string patientIcn)
        {
            mstrSiteNumber = siteNumber;
            mstrPatientIcn = patientIcn;
        }

        public ExamSite()
        {
            mstrSiteNumber = null;
            mstrPatientIcn = null;
        }

        public override bool Equals(object obj)
        {
            if (obj is ExamSite)
            {
                ExamSite that = (ExamSite)obj;
                if (this.mstrPatientIcn != that.mstrPatientIcn)
                    return false;
                if (this.mstrSiteNumber != that.mstrSiteNumber)
                    return false;
                if (this.exams.Count != that.exams.Count)
                    return false;
                for (int i = 0; i < exams.Count; i++)
                {
                    Exam e = this.exams[i];
                    Exam t = that.exams[i];
                    if (!e.Equals(t))
                        return false;
                }
                return true;
            }
            return false;
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }
    }

}
