/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixAKCommon.gov.va.med.imaging
{
    public class Series : SavableObject
    {
        private string mstrSeriesId;
        private string mstrDicomUid;
        private List<Instance> instances = new List<Instance>();
        private string mstrDescription;

        public string Description
        {
            get { return mstrDescription; }
            set { mstrDescription = value; }
        }

        public string DicomUid
        {
            get { return mstrDicomUid; }
            set { mstrDicomUid = value; }
        }        

        public List<Instance> Instances
        {
            get { return instances; }
            set { instances = value; }
        }

        public string SeriesId
        {
            get { return mstrSeriesId; }
            set { mstrSeriesId = value; }
        }

        public Series(string id)
        {
            mstrSeriesId = id;
        }

        public Series()
        {
        }

        public override bool Equals(object obj)
        {
            if (obj is Series)
            {
                Series that = (Series)obj;
                if (this.mstrSeriesId != that.mstrSeriesId)
                    return false;
                if (this.instances.Count != that.instances.Count)
                    return false;
                for (int i = 0; i < this.instances.Count; i++)
                {
                    Instance j = this.instances[i];
                    Instance t = that.instances[i];
                    if (!j.Equals(t))
                        return false;
                }
                return true;
            }
            return false;
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

    }
}
