/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Net;

namespace VixAKCommon.gov.va.med.imaging.vix.services
{
    public class ClinicalDisplayServiceCommon
    {
    }

    public class ClinicalDisplayDownloadResult : DownloadResult
    {
        private readonly string mstrImageFormatSubTypeRequestString;

        public string ImageFormatSubTypeRequestString
        {
            get { return mstrImageFormatSubTypeRequestString; }
        } 

        public ClinicalDisplayDownloadResult(string returnedImageQuality, string returnedImageFormat, string returnedImageChecksum,
            WebHeaderCollection responseHeaders, string imageFormatSubTypeRequestString, byte[] imageBuffer)
            : base(returnedImageQuality, returnedImageFormat, returnedImageChecksum, responseHeaders, imageBuffer)
        {
            mstrImageFormatSubTypeRequestString = imageFormatSubTypeRequestString;
        }
    }

    public class ClinicalDisplayStudiesRequest
    {
        private readonly string mstrPatientIcn;
        private readonly string mstrSiteNumber;
        private readonly string mstrFromDate;
        private readonly string mstrToDate;
        private readonly bool mbIncludeArtifacts;
        private readonly string mstrAuthorizedSensitivityLevel;

        public string PatientIcn
        {
            get { return mstrPatientIcn; }
        } 

        public string SiteNumber
        {
            get { return mstrSiteNumber; }
        } 

        public string FromDate
        {
            get 
            {
                if (mstrFromDate == "")
                    return null;
                return mstrFromDate; 
            }
        } 

        public string ToDate
        {
            get
            {
                if (mstrToDate == "")
                    return null;
                return mstrToDate;
            }
        } 

        public bool IncludeArtifacts
        {
            get { return mbIncludeArtifacts; }
        } 

        public string AuthorizedSensitivityLevel
        {
            get { return mstrAuthorizedSensitivityLevel; }
        }

        public ClinicalDisplayStudiesRequest(string siteNumber, string patientIcn, string fromDate, string toDate, bool includeArtifacts,
            string authorizedSensitivityLevel)
        {
            mstrAuthorizedSensitivityLevel = authorizedSensitivityLevel;
            mstrFromDate = fromDate;
            mstrPatientIcn = patientIcn;
            mstrSiteNumber = siteNumber;
            mstrToDate = toDate;
            mbIncludeArtifacts = includeArtifacts;
        }

        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("SiteNumber [" + mstrSiteNumber + "]");
            sb.Append(", ");
            sb.Append("Patient ICN [" + mstrPatientIcn + "]");
            sb.Append(", ");
            sb.Append("From Date [" + mstrFromDate + "]");
            sb.Append(", ");
            sb.Append("To Date [" + mstrToDate + "]");
            sb.Append(", ");
            sb.Append("Include Artifacts [" + mbIncludeArtifacts + "]");
            sb.Append(", ");
            sb.Append("Authorized Sensitivity Level [" + mstrAuthorizedSensitivityLevel + "]");
            return sb.ToString();
        }

    }
}
