/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixAKCommon.gov.va.med.imaging.vix.services
{
    public class PassthroughParameter
    {
        private string mstrParameterIndex;
        private PassthroughParameterType mParameterType;
        private PassthroughParameterValue mParameterValue;

        public string ParameterIndex
        {
            get { return mstrParameterIndex; }
            set { mstrParameterIndex = value; }
        }        

        public PassthroughParameterType ParameterType
        {
            get { return mParameterType; }
            set { mParameterType = value; }
        }        

        public PassthroughParameterValue ParameterValue
        {
            get { return mParameterValue; }
            set { mParameterValue = value; }
        }

        public PassthroughParameter(string parameterIndex, PassthroughParameterType parameterType, 
            PassthroughParameterValue parameterValue)
        {
            mstrParameterIndex = parameterIndex;
            mParameterValue = parameterValue;
            mParameterType = parameterType;
        }
        
    }

    public class PassthroughParameterValue
    {
        private string mstrValueField;
        private string[] mstrMultipleValueField;

        public string ValueField
        {
            get { return mstrValueField; }
            set { mstrValueField = value; }
        }        

        public string[] MultipleValueField
        {
            get { return mstrMultipleValueField; }
            set { mstrMultipleValueField = value; }
        }

        public PassthroughParameterValue(string valueField)
        {
            mstrValueField = valueField;
        }

        public PassthroughParameterValue(string[] multipleValueField)
        {
            mstrMultipleValueField = multipleValueField;
        }
    }

    public enum PassthroughParameterType
    {
        literal, list, reference
    }
}
