/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixAKCommon.gov.va.med.imaging.vix.tester
{
    /// <summary>
    /// This class defines the result of many actions that contain both a savable object and transaction log entries from the test. This 
    /// class does not implement Savable Object and should not be used as such, the savableObject it contains should be used for verification
    /// purposes.
    /// </summary>
    public class VixAKTransactionLogSavableResultHolder
    {
        private readonly SavableObject savableObject;
        private readonly List<VixAKTransactionLogEntry> transactionLogEntries = new List<VixAKTransactionLogEntry>();

        public SavableObject SavableObject
        {
            get { return savableObject; }
        } 

        public List<VixAKTransactionLogEntry> TransactionLogEntries
        {
            get { return transactionLogEntries; }
        }

        public VixAKTransactionLogSavableResultHolder(SavableObject savableObject)
        {
            this.savableObject = savableObject;
        }

        public VixAKTransactionLogSavableResultHolder(SavableObject savableObject, List<VixAKTransactionLogEntry> transactionLogEntries)
        {
            this.savableObject = savableObject;
            this.transactionLogEntries.AddRange(transactionLogEntries);
        }
    }
}
