/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixAKCommon.gov.va.med.imaging.vix.tester.actions.options;
using System.Xml;

namespace VixAKCommon.gov.va.med.imaging.vix.tester
{
    public class VixTestUser :  BaseCustomOption
    {
        private readonly string mstrDuz;
        private readonly string mstrFullname;
        private readonly string mstrSsn;
        private readonly string mstrSiteName;
        private readonly string mstrSiteNumber;
        private readonly string mstrSecurityToken;

        public string SecurityToken
        {
            get { return mstrSecurityToken; }
        } 

        public string Duz
        {
            get { return mstrDuz; }
        }

        public string Fullname
        {
            get { return mstrFullname; }
        }

        public string Ssn
        {
            get { return mstrSsn; }
        }

        public string SiteName
        {
            get { return mstrSiteName; }
        }

        public string SiteNumber
        {
            get { return mstrSiteNumber; }
        }

        public VixTestUser(string duz, string fullname, string ssn, string siteName, string siteNumber, string securityToken)
        {
            mstrDuz = duz;
            mstrFullname = fullname;
            mstrSiteName = siteName;
            mstrSiteNumber = siteNumber;
            mstrSsn = ssn;
            mstrSecurityToken = securityToken;
        }

        public override string ToString()
        {
            return mstrFullname + "@" + mstrSiteNumber;
        }

        public static string VIX_USER_NODE_NAME = "VixUser";

        public override XmlNode toXml(XmlDocument xmlDoc)
        {
            XmlNode node = xmlDoc.CreateElement(VIX_USER_NODE_NAME);
            XmlAttribute attr = xmlDoc.CreateAttribute("Duz");
            attr.Value = mstrDuz;
            node.Attributes.Append(attr);
            attr = xmlDoc.CreateAttribute("Fullname");
            attr.Value = mstrFullname;
            node.Attributes.Append(attr);
            attr = xmlDoc.CreateAttribute("SiteName");
            attr.Value = mstrSiteName;
            node.Attributes.Append(attr);
            attr = xmlDoc.CreateAttribute("SiteNumber");
            attr.Value = mstrSiteNumber;
            node.Attributes.Append(attr);
            attr = xmlDoc.CreateAttribute("Ssn");
            attr.Value = mstrSsn;
            node.Attributes.Append(attr);
            attr = xmlDoc.CreateAttribute("SecurityToken");
            attr.Value = mstrSecurityToken;
            node.Attributes.Append(attr);
            return node;
        }

        public static VixTestUser USER135 = new VixTestUser("", "", "", "", "", "");
        public static VixTestUser USER126 = new VixTestUser("", "", "", "", "", "");
        public static VixTestUser DOD_USER = new VixTestUser("", "", "", "", "", "");

        public static List<VixTestUser> GetVixTestUsers()
        {
            List<VixTestUser> users = new List<VixTestUser>();
            users.Add(USER126);
            users.Add(USER135);
            users.Add(DOD_USER);
            return users;
        }
    }
}
