/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixAKCommon.gov.va.med.imaging.vix.services;
using VixAKCommon.gov.va.med.imaging.vix.tester.actions.options;
using VixAKCommon.gov.va.med.imaging.vix.tester.actions;

namespace VixAKCommon.gov.va.med.imaging.vix.tester.actions.clinicaldisplay
{
    public class ClinicalDisplayGetImageGlobalNodes : AbstractClinicalDisplayGetImageInfoAction
    {
        public static string CLINICAL_DISPLAY_GET_IMAGE_GLOBAL_NODES_ACTION_NAME = "Clinical Display Get Image Global Nodes Test";

        public ClinicalDisplayGetImageGlobalNodes()
            : base()
        {
            necessaryProperties[PROPERTY_SKIP_LINES] = "^MAG(2005,778,0) ";
        }

        protected override string GetImageInformation(ClinicalDisplayInterface clinicalDisplayInterface, 
            string transactionId, VixTestUser testUser, string imageUrn)
        {
            return clinicalDisplayInterface.GetImageGlobalNodes(transactionId, testUser, imageUrn);
        }

        public override string GetActionName()
        {
            return CLINICAL_DISPLAY_GET_IMAGE_GLOBAL_NODES_ACTION_NAME;
        }
    }
}
