/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixAKCommon.gov.va.med.imaging.vix.services;
using VixAKCommon.gov.va.med.imaging.vix.tester.actions.options;

namespace VixAKCommon.gov.va.med.imaging.vix.tester.actions.clinicaldisplay
{
    public class ClinicalDisplayGetImageTextFileAction : AbstractClinicalDisplayGetImageAction
    {
        public static string CLINICAL_DISPLAY_IMAGE_TEXT_FILE_ACTION_NAME = "Clinical Display Get Image Text File Test";

        public ClinicalDisplayGetImageTextFileAction()
            : base()
        {
            necessaryProperties[PROPERTY_IMAGE_URN] = "urn:vaimage:660-8819-8818-1008861107V475740";
            necessaryProperties[PROPERTY_TRANSACTION_LOG_COMMAND_NAMES] = "GetInstanceByImageUrnCommandImpl";
        }

        protected override VixAKTransactionLogSavableResultHolder GetImageResults(ClinicalDisplayInterface clinicalDisplayInterface,
            string imageUrl, string imageUrn)
        {
            string transactionId = Guid.NewGuid().ToString();
            Instance instance = new Instance(imageUrn);
            instance.ImageType = 1;
            List<VixAKTransactionLogEntry> transactionLogEntries = new List<VixAKTransactionLogEntry>();
            List<string> imageRelevantKeys = new List<string>();
            imageRelevantKeys.Add("Item in cache?");
            DownloadResult result =
                        clinicalDisplayInterface.DownloadTextFile(new ImageRequestInput(null, instance, ImageQuality.REFERENCE, transactionId, true));
            GetTransactionLogEntriesForCommandsIfEnabled(new Uri(imageUrl), transactionId,
                        transactionLogEntries, imageRelevantKeys);
            return new VixAKTransactionLogSavableResultHolder(new SavableDownloadResult(result), transactionLogEntries);
        }

        public override string GetActionName()
        {
            return CLINICAL_DISPLAY_IMAGE_TEXT_FILE_ACTION_NAME;
        }
    }
}
