/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace VixAKCommon.gov.va.med.imaging.vix.tester.actions.options
{
    /// <summary>
    /// For representing boolean options as custom options.
    /// 
    /// This doesn't work right since by default both items will be selected and that can't be allowed. Would need some
    /// logic to ensure both items are not selected (could use MultipleSelect property of ActionCustomOption...)
    /// </summary>
    public class BooleanOption : BaseCustomOption
    {
        private readonly bool mbValue;

        public BooleanOption(bool value)
        {
            mbValue = value;
        }

        public override string ToString()
        {
            return mbValue.ToString();
        }

        public static string BOOLEAN_OPTION_NODE_NAME = "Boolean";

        public override System.Xml.XmlNode toXml(System.Xml.XmlDocument xmlDoc)
        {
            XmlNode node = xmlDoc.CreateElement(BOOLEAN_OPTION_NODE_NAME);
            XmlAttribute attr = xmlDoc.CreateAttribute("Value");
            attr.Value = mbValue.ToString();
            node.Attributes.Append(attr);
            return node;
        }
    }
}
