/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixAKCommon.gov.va.med.imaging;

namespace VixAKCommon.gov.va.med.imaging.vix.tester.exceptions
{
    /// <summary>
    /// Wraps an Exception as a SavableObject so it can be stored and then compared
    /// </summary>
    public class ExceptionSavableObject : SavableObject
    {
        private string mstrExceptionMessage;
        private string mstrExceptionTypeName;

        public string ExceptionMessage
        {
            get { return mstrExceptionMessage; }
            set { mstrExceptionMessage = value; }
        }        

        public string ExceptionTypeName
        {
            get { return mstrExceptionTypeName; }
            set { mstrExceptionTypeName = value; }
        }

        public ExceptionSavableObject()
        {
        }

        public ExceptionSavableObject(Exception ex)
        {
            mstrExceptionMessage = ex.Message;
            mstrExceptionTypeName = ex.GetType().Name;
        }

        public override bool Equals(object obj)
        {
            if (obj is ExceptionSavableObject)
            {
                ExceptionSavableObject that = (ExceptionSavableObject)obj;
                return (this.mstrExceptionTypeName == that.mstrExceptionTypeName) &&
                    (this.mstrExceptionMessage == that.mstrExceptionMessage);
            }
            return false;
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }
    }

}
