/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixAKCommon.gov.va.med.imaging.vix.tester.actions;
using VixAKCommon.gov.va.med.imaging.vix;
using log4net;
using System.Windows.Forms;
using System.Configuration;

namespace VixAKConsole
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int exitCode = 0;// normal - no problem
            if (args.Length <= 0)
            {
                Console.WriteLine("Application must provide actions file as command line parameter");
                exitCode = 1;
            }
            else
            {
                string actionsFilename = args[0];
                string simpleResultsFilename = null;
                if (args.Length > 1)
                {
                    simpleResultsFilename = args[1];
                }
                log4net.Config.XmlConfigurator.Configure(new System.IO.FileInfo("VixAKConsoleLog.xml"));

                AKConsoleRunner runner = new AKConsoleRunner(actionsFilename, simpleResultsFilename);
                if (runner.Execute())
                {
                    exitCode = 0;
                }
                else
                {
                    exitCode = 1;
                }
            }
            System.Environment.ExitCode = exitCode;            
        }
    }
}
