/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixBuilderBusiness
{
    public enum BuildActionEnum { makeprod, makedev, getBuildProjects, build, getDeployProjects, assembleAndStageMsiPayload, buildMsi, deploytomcat, labelCvsWorkspace,
    makenightly, buildnightly, branchCvsWorkspace, deleteLabelFromCvsWorkspace, updateMsiIdentityAndVersion };

    public class BuildAction
    {
        public static BuildAction[] GetBuildActionSteps()
        {
            List<BuildAction> buildActions = new List<BuildAction>();
            buildActions.Add(new BuildAction(BuildActionEnum.getBuildProjects));
            buildActions.Add(new BuildAction(BuildActionEnum.build));
            buildActions.Add(new BuildAction(BuildActionEnum.getDeployProjects));
            buildActions.Add(new BuildAction(BuildActionEnum.assembleAndStageMsiPayload));
            buildActions.Add(new BuildAction(BuildActionEnum.buildMsi));
            buildActions.Add(new BuildAction(BuildActionEnum.deploytomcat));
            //buildActions.Add(new BuildAction(BuildActionEnum.labelCvsWorkspace));
            //buildActions.Add(new BuildAction(BuildActionEnum.branchCvsWorkspace));
            //buildActions.Add(new BuildAction(BuildActionEnum.deleteLabelFromCvsWorkspace));
            return buildActions.ToArray();
        }

        public static BuildAction[] GetCvsBuildActionSteps()
        {
            List<BuildAction> buildActions = new List<BuildAction>();
            buildActions.Add(new BuildAction(BuildActionEnum.getBuildProjects));
            buildActions.Add(new BuildAction(BuildActionEnum.build));
            buildActions.Add(new BuildAction(BuildActionEnum.getDeployProjects));
            buildActions.Add(new BuildAction(BuildActionEnum.assembleAndStageMsiPayload));
            buildActions.Add(new BuildAction(BuildActionEnum.buildMsi));
            buildActions.Add(new BuildAction(BuildActionEnum.deploytomcat));
            buildActions.Add(new BuildAction(BuildActionEnum.labelCvsWorkspace));
            buildActions.Add(new BuildAction(BuildActionEnum.branchCvsWorkspace));
            buildActions.Add(new BuildAction(BuildActionEnum.deleteLabelFromCvsWorkspace));
            return buildActions.ToArray();
        }

        public static BuildAction[] GetBuildActionGroups()
        {
            List<BuildAction> buildActions = new List<BuildAction>();
            buildActions = new List<BuildAction>();
            buildActions.Add(new BuildAction(BuildActionEnum.makeprod));
            buildActions.Add(new BuildAction(BuildActionEnum.makedev));
            buildActions.Add(new BuildAction(BuildActionEnum.makenightly));
            buildActions.Add(new BuildAction(BuildActionEnum.buildnightly));
            return buildActions.ToArray();
        }

        private string description;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }
        private BuildActionEnum id;

        public BuildActionEnum Id
        {
            get { return id; }
            set { id = value; }
        }

        private BuildAction(BuildActionEnum action)
        {
            id = action;
            description = action.ToString();
        }
    }
}
