/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixBuilderBusiness
{
    public interface IDeployRepository
    {
        InfoDelegate Info { get; set; } // used to display a line of text in the main form's info text box
        OutputDelegate Output { get; set; } // used to display combined standard output and error to output text box
        DoEventsDelegate DoEvents { get; set; } // keep the UI responsive
        bool CanRun { get; set; }
        void GetDeployProjects();
        bool UndoFileCheckout(string fileSpec); // true indicates success
        bool CheckoutFile(string fileSpec); // true indicates success
        bool CheckinFile(string filespec, string comment); // true indicates success
        void CopyPayloadArtifacts(); // copy the payload artifacts and directory strucure from the repository to the payload construction directory
        string GetVixInstallerSolutionRootDirspec(); // the absolute dirspec of VixInstallerSolution2010.root
        string GetVixPayloadRootDirspec(); // the absolute dirspec of Vix Installer Payload Directory
        string GetNextMsiVersion(bool performCheckout); // return the next MSI version number or null
    }
}
