/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace VixBuilderBusiness
{
    public enum InstallationTypeEnum { VIX, CVIX, HDIG };

    public class InstallationType
    {
        private static List<InstallationType> installationTypes = null;

        public static InstallationType[] GetInstallationTypes()
        {
            if (installationTypes == null)
            {
                installationTypes = new List<InstallationType>();
                installationTypes.Add(new InstallationType(InstallationTypeEnum.VIX, "VIX Installer", "VixInstaller", "VIX Service Installation Wizard"));
                installationTypes.Add(new InstallationType(InstallationTypeEnum.CVIX, "CVIX Installer", "CvixInstaller", "CVIX Service Installation Wizard"));
                installationTypes.Add(new InstallationType(InstallationTypeEnum.HDIG, "HDIG Installer", "HdigInstaller", "HDIG Installation Wizard"));
            }
            return installationTypes.ToArray();
        }

        public static InstallationType GetInstallationTypeByID(InstallationTypeEnum id)
        {
            InstallationType specifiedInstallationType = null;
            foreach (InstallationType installationType in GetInstallationTypes())
            {
                if (installationType.Id == id)
                {
                    specifiedInstallationType = installationType;
                    break;
                }
            }
            Debug.Assert(specifiedInstallationType != null);
            return specifiedInstallationType;
        }

        private string description;
        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        private InstallationTypeEnum id;
        public InstallationTypeEnum Id
        {
            get { return id; }
            set { id = value; }
        }

        private string installerMsiApplicationFolder;
        public string InstallerMsiApplicationFolder
        {
            get { return installerMsiApplicationFolder; }
            set { installerMsiApplicationFolder = value; }
        }

        private string installerDisplayName;
        public string InstallerDisplayName
        {
            get { return installerDisplayName; }
            set { installerDisplayName = value; }
        }

        //private string msiFilename;

        //public string MsiFilename
        //{
        //    get { return msiFilename; }
        //    set { msiFilename = value; }
        //}

        private InstallationType(InstallationTypeEnum installationType, string description, string installerMsiApplicationFolder, string installerDisplayName)
        {
            this.id = installationType;
            this.description = description;
            this.installerMsiApplicationFolder = installerMsiApplicationFolder;
            this.installerDisplayName = installerDisplayName;
            //this.msiFilename = msiFilename;
        }

    }
}
