/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixBuilderBusiness
{
    public enum RepositoryEnum
    {
        ConcurrentVersionsSystem, VisualSourceSafe, TeamFoundationServer, ClearCase
    };

    public class RepositoryType
    {
        private static List<RepositoryType> buildRepositories = null;
        private static List<RepositoryType> deployRepositories = null;

        public static RepositoryType[] GetBuildRepositories()
        {
            if (buildRepositories == null)
            {
                buildRepositories = new List<RepositoryType>();
                buildRepositories.Add(new RepositoryType(RepositoryEnum.ConcurrentVersionsSystem));
                buildRepositories.Add(new RepositoryType(RepositoryEnum.TeamFoundationServer));
            }
            return buildRepositories.ToArray();
        }

        public static RepositoryType[] GetDeployRepositories()
        {
            if (deployRepositories == null)
            {
                deployRepositories = new List<RepositoryType>();
                deployRepositories.Add(new RepositoryType(RepositoryEnum.TeamFoundationServer));
                deployRepositories.Add(new RepositoryType(RepositoryEnum.VisualSourceSafe));
            }
            return deployRepositories.ToArray();
        }

        public string Description { get; set; }
        public RepositoryEnum Id { get; set; }

        private RepositoryType(RepositoryEnum action)
        {
            Id = action;
            Description = action.ToString();
        }
    }
}
