/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace VixCertificateTool
{
    public class Utils
    {

        public static string getAppDir(string applicationExe)
        {
            FileInfo file = new FileInfo(applicationExe);
            return file.Directory.FullName;
        }

        public static void ClearDirectory(string directory)
        {
            DirectoryInfo dir = new DirectoryInfo(directory);
            foreach (FileInfo file in dir.GetFiles())
            {
                file.Delete();
            }
        }

        public static string SelectDirectory(string description)
        {
            System.Windows.Forms.FolderBrowserDialog dialog = new System.Windows.Forms.FolderBrowserDialog();
            dialog.Description = description;
            if (dialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                return dialog.SelectedPath;
            }
            return "";
        }

        public static string SelectExistingFile(string title)
        {
            System.Windows.Forms.OpenFileDialog dialog = new System.Windows.Forms.OpenFileDialog();
            dialog.Title = title;
            if (dialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                return dialog.FileName;
            }
            return "";
        }

        /*
        public static bool CreateKeystore(string serverName, string keystorePassword, string keystoreFilename, 
            LogMessageDelegate LogMsg)
        {
            KeystoreParameters keystoreParameters = KeystoreParameters.CreateDefaultKeystore(serverName,
                keystorePassword);
            string filename = keystoreFilename;
            return CertificateHelper.CreateKeystore(filename, keystoreParameters, LogMsg);
        }
         */ 
    }
}
