/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using java.io;
using java.util.zip;
using System.IO;


namespace VixCertificateTool
{
    public class ZipHelper
    {

        public static bool ZipFiles(List<string> files, string zipFilename)
        {
            try
            {
                if (System.IO.File.Exists(zipFilename))
                    System.IO.File.Delete(zipFilename);
                FileOutputStream fos = new FileOutputStream(zipFilename);
                ZipOutputStream zipStream = new ZipOutputStream(fos);
                foreach (string file in files)
                {
                    FileInputStream inputStream = new FileInputStream(file);
                    FileInfo fInfo = new FileInfo(file);
                    ZipEntry entry = new ZipEntry(fInfo.Name);
                    zipStream.putNextEntry(entry);
                    sbyte[] buffer = new sbyte[1024];
                    int len;
                    while ((len = inputStream.read(buffer)) >= 0)
                    {
                        zipStream.write(buffer, 0, len);
                    }
                    zipStream.closeEntry();
                    inputStream.close();
                }
                zipStream.close();
                fos.close();

            }
            catch (Exception)
            {
                return false;
            }
            return true;
        }


    }
}
