unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, trpcb, StdCtrls, rpcconf1;

type
  TForm1 = class(TForm)
    btnGenerateToken: TButton;
    procedure btnGenerateTokenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    filename : String;

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnGenerateTokenClick(Sender: TObject);
var
  server, port : string;
  Broker : Trpcbroker;
  token :  string;
  outputFile : TextFile;
begin
  if filename = '' then
  begin
    showmessage('filename to write to is empty');
    application.Terminate();
    exit;
  end;
//  showmessage(filename);

  broker := nil;
  try
    try
      if not (GetServerInfo(server, port) = mrok) then
      begin
        exit;
      end;
      broker := TRPCBroker.Create(self);
      Broker.Server := server;
      Broker.ListenerPort := strtoint(port);
      Broker.Connected := true;
      Broker.CreateContext('MAG WINDOWS');
      broker.RemoteProcedure :='MAG BROKER SECURITY';
      token := broker.strCall;

      assignfile(outputFile, filename);
      rewrite(outputFile);
      writeln(outputFile, token);
      closefile(outputFile);

    except
      on E : Exception do
      begin
        showmessage(e.Message);
      end;
    end;
  finally
    if broker <> nil then
    begin
      broker.Connected := false;
      freeandnil(broker);
    end;
  end;

  application.Terminate();

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  filename := paramstr(1);
end;

end.
