/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using VixClientV3Common;

namespace VixClientV3
{
    public partial class frmAddInterfaceConfiguration : Form
    {
        public frmAddInterfaceConfiguration()
        {
            InitializeComponent();
        }

        public MethodFactoryConfiguration getMethodFactoryConfiguration()
        {
            return config;
        }

        private MethodFactoryConfiguration config = null;

        public DialogResult ShowAddInterface()
        {
            btnAdd.Enabled = false;
            this.ShowDialog();

            return this.DialogResult;
        }

        private void btnBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "DLL Files (*.dll)|*.dll";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                txtAssemblyFilename.Text = openFileDialog1.FileName;
                LoadFactoryName();
            }
        }

        private void LoadFactoryName()
        {
            try
            {
                System.IO.FileInfo file = new System.IO.FileInfo(txtAssemblyFilename.Text);
                string methodFactoryName = MethodFactoryHelper.getMethodFactoryName(file.Name, txtFactoryType.Text);
                txtName.Text = methodFactoryName;
                btnAdd.Enabled = true;
            }
            catch (Exception ex)
            {
                btnAdd.Enabled = false;
                MessageBox.Show("Error loading method factory assembly, " + ex.Message);

            }
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            System.IO.FileInfo file = new System.IO.FileInfo(txtAssemblyFilename.Text);
            this.config = new MethodFactoryConfiguration(txtName.Text, txtFactoryType.Text, file.Name);
        }
    }
}
