/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace VixClientV3Common
{
    public class MethodFactoryHelper
    {

        public static string getMethodFactoryName(string assemblyFilename, string factoryTypeName)
        {
            IMethodFactory factory = getMethodFactory(assemblyFilename, factoryTypeName);

            return factory.getName();
        }

        public static IMethodFactory getMethodFactory(string assemblyFilename, string factoryTypeName)
        {
            Assembly assembly = Assembly.LoadFrom(assemblyFilename);
            //Assembly assembly = Assembly.LoadFile(assemblyFilename);
            Type type = assembly.GetType(factoryTypeName);
            Type[] parameters = new Type[0];
            ConstructorInfo constructor = type.GetConstructor(parameters);
            IMethodFactory factory = (IMethodFactory)constructor.Invoke(parameters);
            return factory;
        }        
    }
}
