/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixClientV3Common
{
    public class MethodFactoryParameter : StoredMethodFactoryParameter
    {
        protected readonly string mstrDescription;
        private readonly bool mbRequired;
        private readonly bool mbSaveable;
        
        public bool Required
        {
            get { return mbRequired; }
        } 

        public bool Saveable
        {
            get { return mbSaveable; }
        } 

        public string Description
        {
            get { return mstrDescription; }
        }         

        public MethodFactoryParameter(string parameterName, bool required, string parameterValue, bool saveable, string description) : base(parameterName, parameterValue)
        {
            mstrDescription = description;
            mbRequired = required;
            mbSaveable = saveable;
        }

        public MethodFactoryParameter(string parameterName, bool required, string parameterValue, bool saveable)
             : this(parameterName, required, parameterValue, saveable, "")
        {
           
        }
    }

    public class StoredMethodFactoryParameter
    {
        protected readonly string mstrParameterName;
        protected string mstrParameterValue;

        public string ParameterName
        {
            get { return mstrParameterName; }
        } 

        public string ParameterValue
        {
            get { return mstrParameterValue; }
            set { mstrParameterValue = value; }
        }

        public StoredMethodFactoryParameter(string name, string value)
        {
            mstrParameterName = name;
            mstrParameterValue = value;
        }
    }

    public class StoredMethodFactoryParameters
    {
        private readonly string mstrDescription;
        private readonly List<StoredMethodFactoryParameter> methodFactoryParameters =
            new List<StoredMethodFactoryParameter>();

        public string Description
        {
            get { return mstrDescription; }
        }

        public List<StoredMethodFactoryParameter> MethodFactoryParameters
        {
            get { return methodFactoryParameters; }
        } 


        public StoredMethodFactoryParameters(string description)
        {
            mstrDescription = description;
        }

        public override string ToString()
        {
            return mstrDescription;
        }
    }
}
