/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixClientV3Common
{
    public class UserCredentials
    {
        private readonly string duz;

        public string Duz
        {
            get { return duz; }
        }

        private readonly string name;

        public string Name
        {
            get { return name; }
        }

        private readonly string siteName;

        public string SiteName
        {
            get { return siteName; }
        }

        private readonly string siteNumber;

        public string SiteNumber
        {
            get { return siteNumber; }
        }

        private readonly string ssn;

        public string Ssn
        {
            get { return ssn; }
        }

        private readonly string cacheLocationId;

        public string CacheLocationId
        {
            get { return cacheLocationId; }
        }

        private readonly string bseToken;

        public string BseToken
        {
            get { return bseToken; }
        }


        public UserCredentials(string duz, string name, string siteName, string siteNumber,
            string ssn, string cacheLocationId, string bseToken)
        {
            this.duz = duz;
            this.name = name;
            this.siteName = siteName;
            this.siteNumber = siteNumber;
            this.ssn = ssn;
            this.cacheLocationId = cacheLocationId;
            this.bseToken = bseToken;
        }

        public override string ToString()
        {
            return name + "[" + duz + "] @ " + SiteNumber;
        }
    }
}
