/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixClientV3Common
{
    public class VixConfiguration : VixServerConfiguration
    {        
        
        private string mstrDicomViewerPath;
        private string mstrImageDirectory;
        private string mstrClientVersion;

        public string ClientVersion
        {
            get { return mstrClientVersion; }
            set { mstrClientVersion = value; }
        }

        public string ImageDirectory
        {
            get { return mstrImageDirectory; }
            set { mstrImageDirectory = value; }
        }

        public string DicomViewerPath
        {
            get { return mstrDicomViewerPath; }
            set { mstrDicomViewerPath = value; }
        }

        public VixConfiguration(string server, int port)
            : base(server, port)
        {

        }        
    }

    public class VixServerConfiguration
    {
        protected readonly string mstrServer;
        protected readonly int mintPort;
        private string mstrName;

        public string Server
        {
            get { return mstrServer; }
        }

        public int Port
        {
            get { return mintPort; }
        }

        public string Name
        {
            get { return mstrName; }
            set { mstrName = value; }
        }

        public override string ToString()
        {
            return Name;
        }

        public VixServerConfiguration(string server, int port)
        {
            mstrServer = server;
            mintPort = port;
        }

        public VixServerConfiguration(string server, int port, string name)
            : this(server, port)
        {
            mstrName = name;
        }
    }
}
