/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixClientV3Common;
using System.Net;

namespace VixClientV3_AWIV.methods
{
    public class AWIVMethodFactory : AbstractBaseMethodFactory, IMethodFactory
    {
        public List<IMethod> getMethods(List<MethodFactoryParameter> userMethodFactoryParameters,
            UserCredentials userCredentials, VixConfiguration vixConfiguration, LogMsgDelegate logMsgDelegate)
        {
            awivWebReference.ImageMetadataAWIVService service = new VixClientV3_AWIV.awivWebReference.ImageMetadataAWIVService();
            
            service.Url = "http://" + vixConfiguration.Server + ":" + vixConfiguration.Port + "/AWIVWebApp/awiv-ws/ImageMetadataAWIV.V1";
            service.Credentials = new NetworkCredential("", "");

            List<IMethod> methods = new List<IMethod>();
            methods.Add(new GetImageList(service, userCredentials, vixConfiguration));
            methods.Add(new GetImage(userCredentials, vixConfiguration));
            methods.Add(new GetPatientPhotoImage(userCredentials, vixConfiguration));
            methods.Add(new GetImageTextFile(userCredentials, vixConfiguration));
            methods.Add(new GetStudyReport(service, userCredentials, vixConfiguration));
            return methods;
        }

        public override string getName()
        {
            return "AWIV";
        }

        public override string ToString()
        {
            return getName();
        }

        public List<MethodFactoryParameter> getMethodFactoryParameters()
        {
            return null;
        }        
    }
}
