/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixClientV3Common;

namespace VixClientV3_ClinicalDisplay.methods
{
    public class AbstractBaseClinicalDisplayMethod : AbstractBaseMethod
    {
        protected clinicalDisplayV5WebReference.ImageMetadataClinicalDisplayService service = null;

        public AbstractBaseClinicalDisplayMethod(clinicalDisplayV5WebReference.ImageMetadataClinicalDisplayService service,
            UserCredentials userCredentials, VixConfiguration vixConfiguration) 
            : base(userCredentials, vixConfiguration)
        {
            this.service = service;
        }

        protected clinicalDisplayV5WebReference.UserCredentials GetServiceUserCredentialsFromParameters(Dictionary<string, MethodParameter> values)
        {
            clinicalDisplayV5WebReference.UserCredentials credentials =
                new clinicalDisplayV5WebReference.UserCredentials();

            credentials.fullname = values["credentials_fullName"].ParameterValue;
            credentials.duz = values["credentials_duz"].ParameterValue;
            credentials.ssn = values["credentials_ssn"].ParameterValue;
            credentials.siteName = values["credentials_siteName"].ParameterValue;
            credentials.siteNumber = values["credentials_siteNumber"].ParameterValue;
            credentials.securityToken = values["credentials_securityToken"].ParameterValue;

            return credentials;
        }
    }
}
