/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using VixClientV3Common;

namespace VixClientV3_ClinicalDisplayV6.methods
{
    public class GetImageInformation : AbstractGetInformation
    {
        private readonly string parameterIncludeDeletedImages = "IncludeDeletedImages";

        public GetImageInformation(clinicalDisplayV6WebReference.ImageMetadataClinicalDisplayService service,
            UserCredentials userCredentials, VixConfiguration vixConfiguration)
            : base(service, userCredentials, vixConfiguration)
        {

        }

        public override object execute(Dictionary<string, MethodParameter> values)
        {
            string imageId = getImageId(values);
            string transactionId = getTransactionId(values);
            bool includeDeletedImages = bool.Parse(values[parameterIncludeDeletedImages].ParameterValue);
            clinicalDisplayV6WebReference.UserCredentialsType userCredentialsType = GetServiceUserCredentialsFromParameters(values);
            return service.getImageInformation(imageId, transactionId, userCredentialsType, includeDeletedImages);
        }

        protected override void AddAdditionalParameters(Dictionary<string, MethodParameter> values)
        {
            values.Add(parameterIncludeDeletedImages, new MethodParameter(parameterIncludeDeletedImages, true, "true", true));
        }
    }
}
