/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using RestSharp;
using System.Xml.Serialization;
using System.IO;

namespace VixClientV3_Study.methods
{
    public class StudyService
    {
        
        private readonly string username;
        private readonly string password;
        private readonly string baseUrl;

        public StudyService(string baseUrl, string username, string password)
        {
            this.username = username;
            this.password = password;
            this.baseUrl = baseUrl;
        }

        public T Execute<T>(RestRequest request) where T : new()
        {
            var client = new RestClient();
            client.BaseUrl = baseUrl;
            client.Authenticator = new HttpBasicAuthenticator(username, password);
            var response = client.Execute<T>(request);
            return response.Data;
        }

        public T ExecuteAndDeserializeRequest<T>(RestRequest request) where T : new()
        {
            //request.AddParameter("context", UserContext.ApplicationContext, ParameterType.UrlSegment);
            //string transactionId = "{" + Guid.NewGuid().ToString() + "}";

            RestClient client = new RestClient();
            client.BaseUrl = baseUrl;
            client.Authenticator = new HttpBasicAuthenticator(username, password);
            IRestResponse response = client.Execute(request);

            XmlSerializer serializer = new XmlSerializer(typeof(T));
            StringReader reader = new StringReader(response.Content);
            T result = (T)serializer.Deserialize(reader);
            return result; 
        }
    }
}
