/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;

namespace VixCommon
{
    
    public delegate void TypeSelectedHandlerDelegate(object value, Type methodToCallType);

    public class TypeSelectedHandler
    {
        private readonly Type typeToFind;
        private readonly string methodToCallName;
        private readonly Type methodToCallType;
        private readonly TypeSelectedHandlerDelegate onTypeSelectedHandlerEvent;

        public Type TypeToFind
        {
            get { return typeToFind; }
        } 

        public string MethodToCallName
        {
            get { return methodToCallName; }
        } 

        public Type MethodToCallType
        {
            get { return methodToCallType; }
        } 

        public TypeSelectedHandlerDelegate OnTypeSelectedHandlerEvent
        {
            get { return onTypeSelectedHandlerEvent; }
        } 


        public TypeSelectedHandler(Type typeToFind, string methodToCallName, Type methodToCallType,
            TypeSelectedHandlerDelegate onTypeSelectedHandlerEvent)
        {
            this.typeToFind = typeToFind;
            this.onTypeSelectedHandlerEvent = onTypeSelectedHandlerEvent;
            this.methodToCallType = methodToCallType;
            this.methodToCallName = methodToCallName;
        }
    }
}
