/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using VixLogAnalyzerEngine;

namespace VixLogAnalyzer
{
    /// <summary>
    /// Interaction logic for TransactionWindow.xaml
    /// </summary>
    public partial class TransactionWindow : Window
    {
        public TransactionWindow()
        {
            InitializeComponent();
        }

        //private List<TransactionLogEntry> entries = null;
        private TransactionLogEntry entry = null;

        //public void ShowTransactions(List<TransactionLogEntry> entries)
        public void ShowTransactions(TransactionLogEntry entry)
        {
            //this.entries = entries;
            this.entry = entry;
            dgValues.ItemsSource = entry.Values;
            this.Title = entry.TransactionId;
            this.Show();
        }

        private void dgValues_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (dgValues.SelectedItem != null)
            {
                KeyValuePair<string, string> keyPair = (KeyValuePair<string, string>)dgValues.SelectedItem;
                tbValue.Text = keyPair.Value;
            }
        }
    }
}
