/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VixLogAnalyzerEngine
{
    public class VASite : IComparable<VASite>
    {
        public static VASite AllSites = new VASite("*", "All", "ALL", "0", "", 0, "all", 1);


        public string SiteNumber { get; set; }
        public string SiteName { get; set; }
        public string SiteAbbreviation { get; set; }
        public string Region { get; set; }
        public string VistaServer { get; set; }
        public int VistaPort { get; set; }
        public string VixServer { get; set; }
        public int VixPort { get; set; }

        public bool HasVix
        {
            get
            {
                return !string.IsNullOrEmpty(VixServer) && (VixPort > 0);
            }
        }

        public VASite(string siteNumber, string siteName, string siteAbbreviation, 
            string region, string vistaServer, int vistaPort, string vixServer, int vixPort)
        {
            this.SiteNumber = siteNumber;
            this.SiteName = siteName;
            this.SiteAbbreviation = siteAbbreviation;
            this.Region = region;
            this.VistaServer = vistaServer;
            this.VistaPort = vistaPort;
            this.VixServer = vixServer;
            this.VixPort = vixPort;
        }

        public override string ToString()
        {
            return SiteName + " [" + SiteNumber + "]";
        }

        public int CompareTo(VASite other)
        {
            return this.SiteName.CompareTo(other.SiteName);
        }
    }
}
