/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;
using System.Configuration;
using System.ServiceModel.Configuration;


namespace VixLogCollector.Client
{
    [RunInstaller(true)]
    public partial class ProjectInstaller : System.Configuration.Install.Installer
    {
        public ProjectInstaller()
        {
            InitializeComponent();
            this.Committed += new InstallEventHandler(ClientInstaller_Committed);
        }

        void ClientInstaller_Committed(object sender, InstallEventArgs e)
        {
            string targetDir = this.Context.Parameters["targetDir"];
            string exePath = string.Format("{0}VixLogCollector.Client.exe", targetDir);
            Configuration config = ConfigurationManager.OpenExeConfiguration(exePath);
            ClientSection clientSection = config.GetSection("system.serviceModel/client") as ClientSection;
            ChannelEndpointElementCollection endpointCollection =
                clientSection.ElementInformation.Properties[string.Empty].Value as ChannelEndpointElementCollection;

            ChannelEndpointElement collectorEndpoint = null;
            foreach (ChannelEndpointElement endpointElement in endpointCollection)
            {
                if (endpointElement.Name.Equals("CollectorEndpoint"))
                    collectorEndpoint = endpointElement;
            }
            collectorEndpoint.Address = new Uri(this.Context.Parameters["collector"]);
            config.Save();
        }
    }
}
