/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using VixLogErrorCollectorUtility;

namespace VixLogErrorCollectorUtility
{
    public class SiteServiceHelper
    {

        public static List<VistaSite> GetVixSites()
        {
            string siteServiceUrl = "http://siteserver.vista.domain.ext/VistaWebSvcs/ImagingExchangeSiteService.asmx";// ConfigurationManager.AppSettings["SiteServiceUrl"];
            ImagingExchangeSiteService.ImagingExchangeSiteService service = new VixLogErrorCollectorUtility.ImagingExchangeSiteService.ImagingExchangeSiteService();
            service.Url = siteServiceUrl;
            ImagingExchangeSiteService.ImagingExchangeSiteTO [] exchangeSites = service.getImagingExchangeSites();
            return translateExchangeSites(exchangeSites);
        }

        private static List<VistaSite> translateExchangeSites(ImagingExchangeSiteService.ImagingExchangeSiteTO[] exchangeSites)
        {
            List<VistaSite> sites = new List<VistaSite>();
            foreach (ImagingExchangeSiteService.ImagingExchangeSiteTO exchangeSite in exchangeSites)
            {
                if ((exchangeSite.acceleratorPort > 0) && (exchangeSite.acceleratorServer.Length > 0))
                {
                    if (exchangeSite.siteNumber != "200")
                    {
                        VistaSite site = new VistaSite(exchangeSite.siteNumber, exchangeSite.siteName, exchangeSite.acceleratorServer, exchangeSite.acceleratorPort);
                        sites.Add(site);
                    }
                }
            }
            return sites;
        }


    }
}
