/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;


namespace VixMonitorBusiness.Vix.Monitor.Business
{
    public class SiteServiceHelper
    {
        gov.va.med.vista.siteserver.ImagingExchangeSiteService service = null;
        public SiteServiceHelper()
        {
            service = new VixMonitorBusiness.gov.va.med.vista.siteserver.ImagingExchangeSiteService();
            service.Url = ConfigurationManager.AppSettings["SiteServiceURL"];
        }

        public string SiteServiceUrl
        {
            get { return service.Url; }
        }

        public List<VixServer> GetVixServers()
        {
            List<VixServer> servers = new List<VixServer>();
            bool includeDod = bool.Parse(ConfigurationManager.AppSettings["IncludeDOD"]);
            gov.va.med.vista.siteserver.ImagingExchangeSiteTO[] sites = service.getImagingExchangeSites();
            if (sites != null)
            {
                for (int i = 0; i < sites.Length; i++)
                {
                    VixServer server = new VixServer(sites[i].siteName, sites[i].siteNumber, 
                        sites[i].siteAbbr, sites[i].vistaServer, sites[i].vistaPort, sites[i].acceleratorServer, sites[i].acceleratorPort);
                    if (server.HasVix())
                    {
                        if (server.IsDOD())
                        {
                            if (includeDod)
                            {
                                servers.Add(server);
                            }
                        }
                        else
                        {
                            servers.Add(server);
                        }
                    }

                }
            }
            servers.Sort(new VixServerSorter());
            return servers;
        }


    }
}
